2007-10-04  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.4.1

2007-10-04  Carlos Garnacho  <carlosg@gnome.org>

	* Time/TimeDate.pm, Time/NTP.pm: make time modules work for Archlinux.
	Patch by Ermanno Scaglione  <e.scaglione@arcor.de>

2007-09-28  Carlos Garnacho  <carlosg@gnome.org>

	* Utils/Backend.pm (print_platform_list): Added, prints supported
	platforms.
	(init): parse --platform-list
	* diagnostics.pl: put that in the help blurb.

2007-09-28  Carlos Garnacho  <carlosg@gnome.org>

	* Utils/Replace.pm (set_sh): add option to keep the value unescaped.
	actually needed when saving services config for Archlinux.

2007-09-26  Carlos Garnacho  <carlosg@gnome.org>

	Add support for Archlinux to UsersConfig and ServicesConfig. patch
	provided by Ermanno Scaglione  <e.scaglione@arcor.de>

	* Users/Users.pm (add_user): Archlinux prefers useradd.
	* Init/Services.pm (get_runlevels) (set_archlinux_service_status)
	(get_rcng_service_info) (run_rcng_script): Fixes for rcng/archlinux
	init.

2007-09-26  Carlos Garnacho  <carlosg@gnome.org>

	* Init/Services.pm (set_gentoo_service_status), (set_gentoo_services):
	ensure that a service status has changed before trying to change it.
	(get_gentoo_runlevels) (get_gentoo_runlevels_services): return undef
	if it couldn't get the configuration.

2007-09-26  Carlos Garnacho  <carlosg@gnome.org>

	Add a diagnostics tool, returns the whole system configuration
	without using DBus, it's way easier to debug problems when dealing
	with the distro.

	* Utils/Backend.pm: Remove DBus usage, move DBus related functions to:
	* Utils/DBus.pm: new file.
	* Utils/Makefile: added here too.
	* SystemToolsBackend.pl.in: error out if no module was requested here.
	* Platform: use Utils::DBus.
	* StbObject.pm: use Utils::DBus. ensure platform and set counter here.
	* diagnostics.pl: new tool, uses the s-t-b core, which doesn't depend
	on DBus anymore.
	* Makefile.am: added diagnostics.pl

2007-09-17  Carlos Garnacho  <carlosg@gnome.org>

	* Init/Services (get_gentoo_*): general improvements to the gentoo
	services parsing code, slightly refactored code, and faster (calling
	rc-status -l too many times was the main culprit)

2007-09-15  Carlos Garnacho  <carlosg@gnome.org>

	* Users/Users.pm (add_user): adduser doesn't work as expected in
	Slackware, make sure we fallback to useradd for that distro. Spotted
	by Markus Kanet <<darkvision@gmx.info>

2007-09-14  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.4.0

2007-09-12  Markus Kanet  <darkvision@gmx.info>

	* Utils/Platform.pm: Add support for Bluewhite64.

2007-09-12  Carlos Garnacho  <carlosg@gnome.org>

	* SystemToolsBackends.pl.in: move some includes to
	* Utils/Backend.pm: here

2007-09-12  Carlos Garnacho  <carlosg@gnome.org>

	* Users/Users.pm (add_user): use abbreviated options for useradd, they
	seem to be more generic, and makes adding users work again for
	Slackware. Based on a patch by Markus Kanet <darkvision@gmx.info>. Bug
	#471083.

2007-09-06  Carlos Garnacho  <carlosg@gnome.org>

	* Utils/Backend.pm, Utils/Report.pm: unused code cleanup.
	* SystemToolsBackend.pl.in: update to Utils::Backend::init()
	parameters.

2007-09-03  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.3.2

2007-09-03  Carlos Garnacho  <carlosg@gnome.org>

	* Users/Shells.pm (get): get list of unique elements.

2007-08-29  Markus Kanet  <darkvision@gmx.info>

	* Init/Services.pm: Apply correctly the information for Slackware.
	Fixes GNOME Bug #471254.

2007-08-28  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.3.1

2007-08-28  Sasa Ostrouska  <saxa@droplinegnome.org>

	* Utils/Platform.pm: Support Slackware 11.0 and 12.0.

2007-08-27  Carlos Garnacho  <carlosg@gnome.org>

        * Utils/Backend.pm: make --platform work again

2007-08-27  Carlos Garnacho  <carlosg@gnome.org>

        * Init/Services.pm: Fixes for Slackware code.

2007-08-27  Carlos Garnacho  <carlosg@gnome.org>

        * Net-DBus/*: update to Net::DBus 0.33.5

2007-08-24  Carlos Garnacho  <carlosg@gnome.org>

	* Network/Ifaces.pm (get_interface_parse_table)
	(get_interface_replace_table): Fix wireless settings parsing/saving
	for Slackware.

2007-07-10  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.3.0

2007-07-06  Carlos Garnacho  <carlosg@gnome.org>

	* Network/Ifaces.pm (get_encrypted_wpa_psk): function to get encrypted
	psk.
	(set_debian_key): use it here.

2007-07-06  Carlos Garnacho  <carlosg@gnome.org>

	* Network/Ifaces.pm (get_available_encryptions): add wpa to plain
	debian too.

2007-07-05  Carlos Garnacho  <carlosg@gnome.org>

	Added WPA/WPA2 PSK wireless encryption support (wext driver), at the
	moment just for debian like distros (specifically ubuntu >= 7.04). 
	Fixes GNOME bug #161376

	* Network/Ifaces.pm (get_debian_key_type) (set_debian_key)
	(set_debian_essid): Added , unified functions for handling essid/key
	for wep/wpa.
	(get_interface_parse_table) (get_interface_replace_table): use these 
	functions.
	(get_available_encryptions): add wpa-psk and wpa2-psk for ubuntu.

	* Utils/Platform.pm (ensure_distro_map): Add Gutsy to the list.

2007-07-05  Carlos Garnacho  <carlosg@gnome.org>

	* Network/Ifaces.pm (get_modem_volume) (get): change a couple of
	default values that make more sense for uninitialized modem devices.

2007-07-05  Carlos Garnacho  <carlosg@gnome.org>

	* dispatcher/dispatcher.c (get_destination): be more paranoid checking
	the destination path before creating the forwarded copy.
	(dispatch_stb_message): do not leak the copy if there was something
	wrong with the destination.

2007-04-09  Carlos Garnacho  <carlosg@gnome.org>

	* Utils/Parse.pm (split_all_array_with_pos): only push non empty
	values. Improves GNOME bug #420213.

2007-04-08  Carlos Garnacho  <carlosg@gnome.org>

	* Net-DBus/Makefile.am: improve uninstall rules. Suggested by
	Joseph E. Sacco  <jsacco@gnome.org>
	* configure.in: make netdbusdir equal to modulesdir if none is
	specified.
	* HostsConfig.pm: remove print.

2007-04-03  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.2.1

2007-04-03  Carlos Garnacho  <carlosg@gnome.org>

	* Net-DBus/lib/Net/DBus.pm: do not use nonexistent
	Test::MockConnection module, noticed by Carlos Eduardo Rodrigues
	Diógenes <cerdiogenes@yahoo.com.br>

2007-03-12  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.2.0

2007-02-27  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.1.4

2007-02-20  Carlos Garnacho  <carlosg@gnome.org>

	* Network/Ifaces.pm: oops, actually be able to configure static
	interfaces in debian...

2007-02-19  Carlos Garnacho  <carlosg@gnome.org>

	* Utils/Platform.pm: patch by the Guadalinex people to support
	Guadalinex v4 in s-t-b.

2007-01-10  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.1.3

2007-01-09  Carlos Garnacho  <carlosg@gnome.org>

	* Network/Ifaces.pm (get_debian_bootproto) (set_debian_bootproto):
	misc fixes to make extensible config methods work ok.
	(interface_configured): parse correctly bootproto to determine whether
	an interface is configured.

2007-01-08  Carlos Garnacho  <carlosg@gnome.org>

	* Network/Ifaces.pm (get_available_configuration_methods): oops,
	elements in mapping table are arrays, not scalars. Definitely add
	ipv4ll support for ubuntu-7.04.

2007-01-04  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.1.2

2007-01-04  Carlos Garnacho  <carlosg@gnome.org>

	* */*.pm: Add support for Ubuntu Feisty, separated from the rest of
	the debian based ones, because there are supposed to be important
	changes.
	* Network/Ifaces.pm (get_available_configuration_methods): add ipv4ll
	support for Ubuntu Feisty.
	* Utils/Platform.pm (init): do not use cache at the moment, might
	give incorrect results if the underlying system requires different
	treatment, and as it's called just one in all s-t-b app lifecicle,
	there shouldn't be any noticeable performance decrease.

2007-01-04  Carlos Garnacho  <carlosg@gnome.org>

	* configure.in: bump revision number.

2007-01-04  Carlos Garnacho  <carlosg@gnome.org>

	Added support for extensible configuration methods and wireless key
	types, with this, new additions may be handled almost transparently on
	top of s-t-b. This change is backwards compatible with the old format.

	* Network/Ifaces.pm (get_available_configuration_methods): Added, gets
	an extensible list of the interface configuration methods that are
	recognized/available for the current distribution.
	(get_available_encryptions): Added, same for encryption types.
	(get) (set): add a new text field for ethernet-like interfaces
	containing the used configuration method. Ditto for wireless key type
	in wireless interfaces.
	(get_rh_bootproto) (set_rh_bootproto) (get_debian_bootproto)
	(get_slackware_bootproto) (get_bootproto) (get_suse_bootproto)
	(get_gentoo_bootproto) (set_gentoo_bootproto) (set_freebsd_bootproto)
	(get_sunos_bootproto) (get_wep_key): internal changes to follow the
	same formats.
	* IfacesConfig.pm: add a few new fields to the expected DBus struct.

2006-12-11  Carlos Garnacho  <carlosg@gnome.org>

	* Net-DBus/*: update to Net::DBus 0.33.4, add some .cvsignore files

2006-12-10  Carlos Garnacho  <carlosg@gnome.org>

	* Net-DBus/Makefile.am: specify INSTALLSITEARCH, this should let perl
	find the internal Net::DBus independently of the distro perl settings.

2006-12-05  Carlos Garnacho  <carlosg@gnome.org>

	* Network/Ifaces.pm (set_interface_config): do not try to enable 
	interfaces twice.

2006-12-04  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.1.1

2006-12-04  Carlos Garnacho  <carlosg@gnome.org>

	* configure.in: expand bindir.
	* org.freedesktop.SystemToolsBackends.in: execute the dispatcher.

2006-12-01  Carlos Garnacho  <carlosg@gnome.org>

	* dispatcher/dispatcher.c: do not read trash from private DBus stdout,
	problem spotted by seb128

2006-12-01  Carlos Garnacho  <carlosg@gnome.org>

	* dispatcher/dispatcher.c: catch DBus errors, kill the private bus if
	there was any fatal error.

2006-12-01  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.1.0

2006-11-30  Carlos Garnacho  <carlosg@gnome.org>

	* configure.in, dispatcher/dispatcher.c: use localstatedir for the
	pidfile location based on the autogen/configure arguments.

2006-11-30  Carlos Garnacho  <carlosg@gnome.org>

	* dispatcher/dispatcher.c (daemonize): Oops, create the pid file if it
	doesn't exist, also close unneeded file descriptors.

2006-11-27  Carlos Garnacho  <carlosg@gnome.org>

	Merge c-dispatcher branch, adds a lightweight dispatcher which raises
	configuration modules on demand, reducing memory use during inactivity
	and allowing the development of modules in other languages than Perl.

	2006-10-24  Carlos Garnacho  <carlosg@gnome.org>

	* dispatcher/dispatcher.c: exit() on SIGTERM.

	2006-10-24  Carlos Garnacho  <carlosg@gnome.org>

	Continued work on the dispatcher, I think it's now feature complete
	enough to work.

	* StbObject.pm: base object for s-t-b services, does all
	initialization and common stuff.

	* GroupsConfig.pm, HostsConfig.pm, IfacesConfig.pm, NFSConfig.pm,
	NTPConfig.pm, SMBConfig.pm, ServicesConfig.pm, TimeConfig.pm,
	UsersConfig.pm: inherit from StbObject, keep message format in a 
	variable to avoid duplicates.

	* Utils/Platform.pm: move DBus code to Platform.pm.
	* Platform.pm: added, new DBus object.

	* Utils/Backend.pm: ensure system and platform.

	* Init/Services.pm: code improvements for archlinux

	* dispatcher/dispatcher.c: Add license, make it raise it's own private
	session bus to spawn configuration modules, cache platform and return
	it when asked, create a copy of the message to pass around (seems to
	be necessary by design)

	* services/*: added, used to raise configuration modules.
	* configure.in, Makefile.am: added services directory stuff.

	2006-10-13  Carlos Garnacho  <carlosg@gnome.org>

	* dispatcher/dispatcher.c (daemonize): added, function to make the 
	dispatcher become a daemon.

	2006-10-12  Carlos Garnacho  <carlosg@gnome.org>

	beginnings of a really lightweight dispatcher written in C, this way
	the modules will only be loaded when necessary, reducing memory usage
	and allowing to develop modules in other languages than Perl.

	* dispatcher/dispatcher.c, Makefile.am: added, first draft of the
	dispatcher, it already forwards messages and sends replies back and
	tries to raise modules in the session bus

	* Makefile.am: add the dispatcher directory.

	* configure.in: require GLib to build the dispatcher, maybe this dep
	could be dropped at some point in the future, if I don't feel too
	lazy...

	* Utils/Backend.pm: remove --no-daemon and --session-bus parameters,
	should be no longer needed. Add --disable-shutdown for testing
	purposes, as modules are supposed to shutdown automatically after some
	inactivity. Add --module parameter to raise a configuration module.

	* GroupsConfig.pm, HostsConfig.pm, IfacesConfig.pm, NFSConfig.pm,
	NTPConfig.pm, SMBConfig.pm, ServicesConfig.pm, TimeConfig.pm,
	UsersConfig.pm: create the DBus object by themselves.

	* SystemToolsBackends.pl.in: do not create all the DBus objects, just
	the one we want to raise, this way the script becomes a loader for
	services instead of a service itself.

2006-11-27  Carlos Garnacho  <carlosg@gnome.org>

	* Init/Services.pm: add some sanity checks.

2006-11-26  Carlos Garnacho  <carlosg@gnome.org>

        * Release 2.0

2006-11-26  Carlos Garnacho  <carlosg@gnome.org>

	* Utils/File.pm (get_base_path): use localstatedir.

2006-11-24  Carlos Garnacho  <carlosg@gnome.org>

	* test-backends: move to test-backends.in
	* test-backends.in: added, make it use the same Net::DBus copy than
	the backends.
	* configure.am: build test-backends
	* Makefile.am: autofoo changes for test-backends.in

2006-11-20  Carlos Garnacho  <carlosg@gnome.org>

	These changes make it work again for RH derivatives, plenty of thanks
	to Joseph E. Sacco  <joseph_sacco@comcast.net> for providing his YDL
	configuration for testing.

	* Network/Ifaces.pm (get_interface_parse_table): do not use custom
	function to get the interfaces list in RH7.2 derivatives.
	* Utils/Parse.pm (expand): recurse properly in replacement arrays
	* Utils/Platform.pm: Fix regexp for a bunch of ditributions, makes me
	wonder about the distribution of whoever has used s-t-b...

2006-11-20  Carlos Garnacho  <carlosg@gnome.org>

	* Utils/Platform.pm: added Yellow Dog, it behaves like FC

2006-11-17  Carlos Garnacho  <carlosg@gnome.org>

	* configure.in: expand localstatedir
	* SystemToolsBackends.pl.in, Utils/Backend.pm: use localstatedir
	passed by configure to write pidfile.

2006-11-15  Carlos Garnacho  <carlosg@gnome.org>

	* Shares/NFS.pm (get_share_client_info): Do not reset $rw if it finds
	other NFS share options.

2006-11-15  Carlos Garnacho  <carlosg@gnome.org>

	* Utils/Parse.pm (get_from_chatfile):
	* Utils/Replace.pm (set_chat): Fix infinite loop if the chatscript
	contains tabs. Fixes GNOME Bug #343193 (Kris Shannon)

2006-11-15  Carlos Garnacho  <carlosg@gnome.org>

	* Makefile.am: include test-backends in EXTRA_DIST, it's nice to have.

2006-11-15  Carlos Garnacho  <carlosg@gnome.org>

	* Network/Ifaces.pm (get_interface_parse_table):
	* Utils/Replace.pm (set_chat): Improve phone number parsing regexes
	* Utils/Replace.pm (set_from_table): do not process empty values in
	the configuration as if they weren't empty.

2006-11-14  Carlos Garnacho  <carlosg@gnome.org>

	* Utils/File.pm: do not double escape quotes, commands are already
	escaped where necessary. Fixes GNOME bug #343999.

2006-11-14  Carlos Garnacho  <carlosg@gnome.org>

	* Time/TimeDate.pm (get_timezone) (set_timezone): be prepared to
	handle symlinks to the zoneinfo file, also save it as a link by
	default. Fixes GNOME bug #354661.

2006-11-05  Carlos Garnacho  <carlosg@gnome.org>

	* Release 1.9.91

2006-11-03  Carlos Garnacho  <carlosg@gnome.org>

	* Shares/NFS.pm (get_share_client_info): logic was wrong when
	retrieving whether the share is rw/ro, invert it.
	* Network/Ifaces.pm (get_interface_parse_table): allow [*#] in phone
	numbers.

2006-10-31  Carlos Garnacho  <carlosg@gnome.org>

	* Shares/NFS.pm (share_line_matches): fix != SunOS case.

2006-10-26  Carlos Garnacho  <carlosg@gnome.org>

	* Release 1.9.90
	* message-of-doom: removed

2006-10-26  Carlos Garnacho  <carlosg@gnome.org>

	* Init/Services.pm: fixes for archlinux

2006-10-12  Carlos Garnacho  <carlosg@gnome.org>

	* configure.in: expand properly datadir and sysconfdir

2006-10-09  Carlos Garnacho  <carlosg@gnome.org>

	* Network/Ifaces.pm: don't corrupt wireless essid and key.

2006-10-06  Carlos Garnacho  <carlosg@gnome.org>

	* Release 1.9.7

2006-10-06  Carlos Garnacho  <carlosg@gnome.org>

	* IfacesConfig.pm, Network/Ifaces.pm: save/restore gateway settings
	for static interfaces.
	* configure.in: preemptively bump minor number.

2006-10-05  Carlos Garnacho  <carlosg@gnome.org>

	Ported to 1.9.x a huge and incredible patch by Darren Kenny  
	<Darren.Kenny@Sun.COM> and Erast Benson  <erast@gnusolaris.com> 
	to make s-t-b recognize and configure SunOS based systems.

	* Utils/Platform.pm: recognize OpenSolaris and Nexenta properly.
	* Utils/File.pm (read_joined_lines): added.
	* Users/Shells.pm, Users.pm, Groups.pm: add SunOS case paths.
	* Time/NTP.pm, TimeDate.pm: ditto.
	* Shares/NFS.pm: parse/modify dfstab in the SunOS case
	* Network/Hosts.pm, Ifaces.pm: add code to deal with SunOS network
	configuration.
	* Init/Services.pm: deal with SMF init system.

2006-10-02  Carlos Garnacho  <carlosg@gnome.org>

	* Utils/Parse.pm (escape): fix slight problem when $value has spaces.

2006-09-28  Carlos Garnacho  <carlosg@gnome.org>

	* Release 1.9.6

2006-09-28  Carlos Garnacho  <carlosg@gnome.org>

	* SharesList.pm, Shares/Exports.pm: removed old and unused code.

2006-09-25  Carlos Garnacho  <carlosg@gnome.org>

	* Time/TimeDate.pm: remove some obsolete code.

2006-09-23  Carlos Garnacho  <carlosg@gnome.org>

	* Network/Ifaces.pm: pass always the correct parameters to
	&check_type() to fix Modem settings saving.

2006-09-18  Carlos Garnacho  <carlosg@gnome.org>

	* Utils/Monitor.pm: tell the main loop to select() on the FAM file
	descriptor to avoid using timeouts.

2006-09-17  Carlos Garnacho  <carlosg@gnome.org>

	* configure.in: avoid empty $netdbusdir to make SystemToolsBackends.pl
	stop whining about empty "use lib" line

2006-09-15  Carlos Garnacho  <carlosg@gnome.org>

	* ServicesConfig.pm, Init/Services.pm: transform the status parameter
	into an enum-like value.

2006-09-15  Carlos Garnacho  <carlosg@gnome.org>

	* UsersConfig.pm, GroupsConfig.pm, Users/Users.pm, Users/Groups.pm:
	add an independent identification number to users and groups, this 
	number should not be modified in the other communication side (GID 
	and UID can be changed) and new users/groups should have different ID
	numbers (ideally counting from the current max ID number). Fixes the
	case described in GNOME bug #342293.

2006-09-15  Carlos Garnacho  <carlosg@gnome.org>

	* Init/Services.pm: code improvements to the BSD, RCng and suse init
	types code.

2006-09-15  Carlos Garnacho  <carlosg@gnome.org>

	* SystemToolsBackends.pl.in, Utils/Monitor.pm: only initialize the
	file monitor if Sys::Gamin is found.

2006-09-08  Carlos Garnacho  <carlosg@gnome.org>

	* Utils/Parse.pm (get_from_ini)
	* Utils/Replace.pm (set_init) (remove_ini_section): escape properly
	the section name so it doesn't barf in regexps. Fixes GNOME bug
	#325495.

2006-09-08  Carlos Garnacho  <carlosg@gnome.org>

	* Release 1.9.5.1

2006-09-08  Carlos Garnacho  <carlosg@gnome.org>

	* system-tools-backends.conf.in: s/user/group/ in the @STB_GROUP@
	policy, you fool.

2006-09-08  Carlos Garnacho  <carlosg@gnome.org>

	* Utils/Platform.pm: cache the detected platform, it very likely won't
	vary ever for the same installation.

2006-09-06  Carlos Garnacho  <carlosg@gnome.org>

	* Release 1.9.5

2006-09-06  Carlos Garnacho  <carlosg@gnome.org>

	* system-tools-backends.conf.in: drop at_console, looks a bit scary
	wrt modifying system configuration, also uncomment group matching, 
	as latest DBus no longer crashes if the group doesn't exist.

2006-09-04  Carlos Garnacho  <carlosg@gnome.org>

	* Release 1.9.4

2006-09-04  Carlos Garnacho  <carlosg@gnome.org>

	* Init/Services.pm: do not provide services/runlevels roles. if 
	the users of s-t-b want this will need to have their own heuristic.
	* ServicesConfig.pm: do not export services/runlevels roles in the
	DBus struct.

2006-09-04  Carlos Garnacho  <carlosg@gnome.org>

	* Services.pm (run_sysv_initd_script) (run_bsd_script)
	(run_gentoo_script) (run_rcng_script) (run_script): Added back.

	(set_sysv_service) (set_filerc_service) (set_bsd_services)
	(set_gentoo_service_status) (set_rcng_service_status)
	(set_archlinux_service_status) (set_suse_services): call the
	appropiate functions to start/stop a service.

2006-08-29  Carlos Garnacho  <carlosg@gnome.org>

	* Time/NTP.pm: set the time with ntpdate if available. ATM it will
	only work if there isn't a NTP server running.

2006-08-23  Carlos Garnacho  <carlosg@gnome.org>

	* Utils/Platform.pm (check_file_exists): fix distro detection in the
	Gentoo case.
	(set_platform), (ensure_platform): code improvements.

2006-08-12  Carlos Garnacho  <carlosg@gnome.org>

	* Release 1.9.3

2006-08-12  Carlos Garnacho  <carlosg@gnome.org>

	* Init/Services.pm: fixes to file-rc services parsing

2006-08-12  Cezary Krzyżanowski  <cezary.krzyzanowski@gmail.com>

	* Utils/Platform.pm: added support for PLD 2.99

2006-08-11  Carlos Garnacho  <carlosg@gnome.org>

	* Init/ServicesList.pm: add postgresql-8.1 to the list. Ubuntu patch
	* Network/Ifaces.pm (check_capi): modified Ubuntu patch. More reliable
	ISDN detection on Linux.
	(get_interface_replace_table) (set): hardcode serial speed to 115200.
	Modified Ubuntu patch
	* Utils/Backend.pm (daemonize) (set_no_daemon) (init): run daemonized
	by default, add --no-daemon. Modified Ubuntu patch. Also, remove lots
	of unused code
	* Utils/File.pm (get_data_path): removed, no longer necessary
	* Utils/Platform.pm: slight code fixes
	* Utils/Replace.pm (set_ppp_options_connect): use chatscript path.
	Ubuntu patch.

	Thanks to the Ubuntu Folks!! (mvo and dholbach surely)

2006-08-11  Carlos Garnacho  <carlosg@gnome.org>

	* Utils/Platform.pm (guess): make distribution detection more generic,
	remove lots of check_distro() functions.
	(ensure_distro_map): create a distro metamap, from now adding a new
	distro that behaves exactly like another will be one liner.
	(PLATFORM_INFO): remove some ancient (as in ooold) distros.

	* Init/Services.pm, Network/Hosts.pm, Network/Ifaces.pm,
	Shares/SMB.pm, Time/NTP.pm, Time/TimeDate.pm, Users/Users.pm: Unify
	parse/replace distro maps where necessary, make shorter those lists 
	now that the distro metamap is there.

2006-08-05  Carlos Garnacho  <carlosg@gnome.org>

	* Services.pm (get_gentoo_runlevel_status_by_service)
	(get_gentoo_service_info) (get_gentoo_services) (get_init_type): Fix
	glitches that made ServicesConfig misbehave with gentoo
	* File.pm (get_cmd_command): return -1 if the command doesn't exist

2006-08-02  Carlos Garnacho  <carlosg@gnome.org>

	* Release 1.9.2

2006-08-02  Carlos Garnacho  <carlosg@gnome.org>

	* Utils/Monitor.pm: monitor also "created" events

2006-07-28  Carlos Garnacho  <carlosg@gnome.org>

	* configure.in, Net-DBus/Makefile.am: do not use standard prefix when
	installing the internal copy of Net::DBus to avoid conflicts
	* Net-DBus/lib/DBus.pm: remove an unnecessary include

2006-07-07  Carlos Garnacho  <carlosg@gnome.org>

	* AUTHORS.Net-DBus, COPYING.Net-DBus, Net-DBus/*, configure.in,
	Makefile.am: Modified patch from Frederic Peters  <fpeters@0d.be> to
	include an internal copy of Net::DBus.

2006-07-07  Carlos Garnacho  <carlosg@gnome.org>

	* Utils/Monitor.pm (do_monitor_files): improvements to the "changed"
	signal emission.

2006-06-12  Carlos Garnacho  <carlosg@gnome.org>

	* Release 1.9.1

2006-06-12  Carlos Garnacho  <carlosg@gnome.org>

	* Makefile.am: install *Config.pm too!

2006-06-06  Carlos Garnacho <carlosg@gnome.org>

	* Release 1.9.0

2006-06-05  Carlos Garnacho  <carlosg@gnome.org>

	* Makefile.am, Init/Makefile.am, Network/Makefile.am,
	Shares/Makefile.am, Time/Makefile.am, Users/Makefile.am,
	Utils/Makefile.am: distcheck fixes

2006-06-05  Carlos Garnacho  <carlosg@gnome.org>

	* Users/Users.pm (change_user_chfn): specify which user to modify.
	(add_user): remove a stray apostrophe.
	* Users/Groups.pm (change_group): get the correct state for the users

2006-06-05  Carlos Garnacho  <carlosg@gnome.org>

	* HostsConfig.pm: uncomment some needed code.
	* Network/Hosts.pm: fix a couple of code typos.
	* IfacesConfig.pm, Network/Ifaces.pm: get/set "auto"
	* Init/Services.pm (set_sysv_service): fix a typo that made links to
	be erased/recreated, remove links for ignored services.

2006-06-01  Carlos Garnacho  <carlosg@gnome.org>

	* Utils/Replace.pm (set_init_bool): inverse logic to allow values != 1
	to be TRUE.
	* Shares/SMB.pm (get): initialize $smb_conf_file before actually using
	it.

2006-05-30  Carlos Garnacho  <carlosg@gnome.org>

	* Network/Hosts.pm (run_hostname), (get_fqdn_replace_table)
	(ensure_hostname): added
	(set_fqdn): use get_fqdn_replace_table().
	(set_hosts), (get_hosts): renamed, former get() and set()
	(set_hosts): ensure that if hostname changes /etc/hosts file reflects
	this too.
	* HostsConfig.pm: ensure that the set() Dbus message format contains
	hostname and domainname

2006-05-30  Carlos Garnacho  <carlosg@gnome.org>

	* Network/Ifaces.pm (interface_configured): fix a typo with plip
	interfaces.
	(bootproto_to_code): new function, gets a numeric code according to
	the bootproto.
	(get): use this function
	(set): set bootproto accordingly

2006-05-29  Carlos Garnacho  <carlosg@gnome.org>

	* files/general_isdn_ppp_options: do not load plugin userpass. Fixes
	GNOME bug #319553
	* Init/ServicesList.pm: add a missing comma

2006-05-29  Joe Marcus Clarke  <marcus@freebsd.org>

	* Network/Ifaces.pm: fix wireless support, improve interface type
	detection.
	* Init/Services.pm, Init/ServicesList.pm, Network/Hosts.pm,
	Network/Ifaces.pm, Shares/SMB.pm, Time/NTP.pm, Time/TimeDate.pm,
	Users/Users.pm, Utils/Platform.pm: add support for FreeBSD 7

2006-05-26  Carlos Garnacho  <carlosg@gnome.org>

	* system-tools-backends.conf.in: make dbus access file open for
	testing purposes, and do not use stuff that potentially crashes the
	DBus daemon

2006-05-26  Carlos Garnacho  <carlosg@gnome.org>

	* UsersConfig.pm: added default group. -1 will mean "create new group
	for the user"
	* Users/Groups.pm: use addgroup/delgroup if available
	* Users/Users.pm: use adduser/deluser if available, translate default
	group to GIDs. Do not use a global variable getting the configuration,
	some values may survive several get() calls

2006-05-20  Carlos Garnacho  <carlosg@gnome.org>

	* configure.in: fix problem expanding paths, detect Net::DBus, and
	also allow to specify a non-standard perl library dir for it with
	--with-net-dbus
	* SystemToolsBackends.pl.in: include scriptsdir and netdbusdir in @INC

2006-05-19  Carlos Garnacho  <carlosg@gnome.org>

	* system-tools-backends.conf.in: added, prototype file for DBus
	system.d dir.
	* .cvignore: updated.
	* Makefile.am: install, clean and package
	system-tools-backends.conf.in.
	* configure.in: small improvements, add --with-dbus-sys=<dir> and
	--with-stb-group=<group>

2006-05-15  Carlos Garnacho  <carlosg@gnome.org>

	* Makefile.am, autogen.sh: do not intltoolize things, do not delete
	.pm files in clean

2006-05-15  Carlos Garnacho <carlosg@gnome.org>

	* po/*.po, po/POTFILES.*, po/ChangeLog: nuked, no more translations in
	HEAD, huge thanks to all contributors until now
	* ABOUT-NLS: removed too

2006-05-15  Carlos Garnacho Parro  <carlosg@gnome.org>

	* Merged the waiting-the-dbus branch into HEAD

	* configure.in, Makefile.am, autogen.sh: bump to 1.9.0, do not use
	translations (no longer needed) and fix references to the new .pc file

	* GroupsConfig.pm, HostsConfig.pm, IfacesConfig.pm, NFSConfig.pm,
	NTPConfig.pm, SMBConfig.pm, ServicesConfig.pm, ServicesList.pm,
	SharesList.pm, SystemToolsBackends.pl.in, TimeConfig.pm, 
	UsersConfig.pm, org.freedesktop.SystemToolsBackends.service.in,
	system-tools-backends-2.0.pc.in, test-backends, Init/Services.pm,
	Init/ServicesList.pm, Network/Hosts.pm, Network/Ifaces.pm, 
	Shares/Exports.pm, Shares/NFS.pm, Shares/SMB.pm, Time/NTP.pm,
	Time/TimeDate.pm, Users/Groups.pm, Users/Shells.pm, Users/Users.pm,
	Utils/Backend.pm, Utils/File.pm, Utils/Monitor.pm, Utils/Parse.pm,
	Utils/Platform.pm, Utils/Replace.pm, Utils/Report.pm, Utils/Util.pm,
	Utils/XML.pm: Added/refactored files, replace the functionality in 
	the older *.pl.in files

	* boot-conf.in, boot-grub.pl.in, boot-lilo.pl.in, boot-yaboot.pl.in,
	boot.pl.in, file.pl.in, general.pl.in, network-conf.in, network.pl.in,
	parse.pl.in, platform.pl.in, replace.pl.in, report.pl.in,
	service-list.pl.in, service.pl.in, services-conf.in, share.pl.in,
	shares-conf.in, system-tools-backends.pc.in, time-conf.in,
	users-conf.in, util.pl.in, xml.pl.in: Functional removed files, 
	they've been replaced with the files above.

	* add_amp.sh, debug.pl.in, dhcpd-conf.in, dhcpd.pl.in, disks-conf.in,
	display-conf.in, filesys.pl.in, font-conf.in, font.pl.in,
	gen-reportcode-list.sh, guess_system.sh, hardware-conf.in,
	internetsharing-conf.in, ishare.pl.in, media.pl.in, memory-conf.in,
	mouse-conf.in, option.pl, package-conf.in, partition.pl.in,
	perldoc.pl, print-conf.in, print.pl.in, process.pl.in,
	removable-media.pl.in, rhprinterdb2gstxml.pl, test.pl,
	tokenizer.pl.in, type1inst, x.pl.in: Bunch of unused files (or used in
	unstable tools), if/when they prove their usefulness, they'll be added
	back, but for now they'd better be in the Attic.

2006-05-15  Carlos Garnacho Parro  <carlosg@gnome.org>

	* Utils/Replace.pm: added functions for replacing in gentoo's
	/etc/conf.d/net like files
	* Utils/Parse.pm: ditto for parsing
	* Utils/File.pm (copy): do not fail miserably if the original copy
	doesn't exist
	* Utils/Platform.pm: add support for Ubuntus, Mandrivas, Yoper, VLOS,
	Archlinux and Ark in this branch, rename Specifix to rPath
	* Users/Users.pm, Time/TimeDate.pm, Time/NTP.pm, Network/Ifaces.pm,
	Network/Hosts.pm, Init/Services.pm: add changes related to these
	distros in this branch
	* Shares/SMB.pm: add mapping function to know the distro config file

2006-05-14  Carlos Garnacho Parro  <carlosg@gnome.org>

	* HostsConfig.pm, Network/Hosts.pm: added hability to get/set hostname
	and domainname
	* NFSConfig.pm: fix a typo
	* Shares/NFS.pm: fix another typo, make a variable local to a function
	* SMBConfig.pm, Shares/SMB.pm: add hability to get/set general SMB 
	properties
	* Utils/Backend.pm: use system bus by default, remove some ancient
	code
	* Utils/File.pm (remove): use $gst_prefix
	* Utils/Monitor.pm: remove some silly c&p in the license banner
	* Utils/Parse.pm: fix typo
	* Init/Services.pm (set_gentoo_services): refactor it a bit to allow
	individual services to be started/stopped from other parts of the code
	(say interfaces auto)
	* Init/ServicesList.pm: make a difference between SMB and NFS
	* Utils/Replace.pm (set_join_hash): renamed to join_hash.
	(set_ppp_options_re) (set_ppp_options_connect): added
	* IfacesConfig.pm, Network/Ifaces.pm: add set() functionality, minor
	changes to get()
	* Utils/Platform.pm: added methods for getting the detected platform,
	setting a custom platform and getting the list of supported platforms.
	Other misc fixes to detect properly the platform
	* Loader.pl.in: remove unused variable, add Platform object
	* test-backend: use system bus

2006-03-17  Carlos Garnacho Parro  <carlosg@gnome.org>

	* GroupsConfig.pm: add maximum and minimum GID
	* UsersConfig.pm: add default shell
	* Time/TimeDate.pm: fixed a couple of typos
	* Users/Users.pm: put default home_prefix to the home dirname (i.e.:
	/home/)

2005-12-12  Carlos Garnacho Parro  <carlosg@gnome.org>

	* org.freedesktop.SystemToolsBackends.service.in, Init/Makefile.am,
	Network/Makefile.am: added files
	* configure.in, Makefile.am: fixed build, added .service file

2005-12-09  Carlos Garnacho Parro  <carlosg@gnome.org>

	* Time/TimeDate.pm (get_local_time) (set_local_time): modified to deal
	with UTC time, renamed accordingly. Modified months to be between 0
	and 11, in the localtime() fashion.

2005-12-05  Carlos Garnacho Parro  <carlosg@gnome.org>

	* Loader.pl.in, Utils/Backend.pm: add --system parameter, to run the
	backends in the system bus
	* Users/Users.pm: fix the code for the root case (number of parameters
	mismatch)
	* test-backends: cosmetic fix

2005-11-20  Carlos Garnacho Parro  <carlosg@gnome.org>

	* GroupsConfig.pm, Users/Groups.pm: removed id from the group struct
	* ShellsConfig.pm: removed, has been moved to UsersConfig, didn't have
	much sense as a separate object.
	* Loader.pl.in: removed ShellsConfig.pm
	* UsersConfig.pm, Users/Users.pm: removed id from the user struct, 
	added shells array here
	* Users/Groups.pm, Users/Users.pm: made the code for
	adding/deleting/modifying users/groups a bit more readable
	* Utils/Monitor.pm: initilize correctly the file monitor if Gamin is
	present

2005-11-17  Carlos Garnacho Parro  <carlosg@gnome.org>

	* HostsConfig.pm: really add a "set" dbus method

2005-11-14  Carlos Garnacho Parro  <carlosg@gnome.org>

	* Utils/Monitor.pm: make use of gamin optional, thus not spreading the
	"changed" signals if it isn't installed

2005-11-11  Carlos Garnacho Parro  <carlosg@gnome.org>

	* IfacesConfig.pm: added, DBus object to handle network ifaces config
	* Network/Ifaces.pm: added again, at the moment there's only
	get() support
	* Loader.pl.in: added the IfacesConfig object
	* Shares/SMB.pm (get): fixed a typo with $smb_conf_file
	* Utils/Monitor.pm: use the recently uploaded Sys::Gamin CPAN perl
	module
	* Utils/Parse.pm (expand): allow expanding of several keywords.
	(get_ppp_options_re): added.

2005-11-05  Carlos Garnacho Parro  <carlosg@gnome.org>

	* Init/Services.pm: added missing set() support for the rest of the
	init systems

2005-11-04  Carlos Garnacho Parro  <carlosg@gnome.org>

	* ServicesConfig.pm, Init/Services.pm: began to add set() support, at
	the moment it's working for sysV, the rest is to come.
	* Init/Services.pm: fixed get() for systems distinct to sysV, should
	work fine now.

2005-10-30  Carlos Garnacho Parro  <carlosg@gnome.org>

	* NFSConfig.pm, Shares/NFS.pm: added set() methods.
	* SMBConfig.pm, Shares/SMB.pm: ditto
	* Utils/File.pm (open_filter_write_from_names): small fix when the
	output stream can't be opened
	* TODO: updated

2005-10-27  Carlos Garnacho Parro  <carlosg@gnome.org>

	* GroupsConfig.pm, Users/Groups.pm: added set() methods
	* UsersConfig.pm, Users/Users.pm: ditto
	* Users/Users.pm: removed lots of dead and unused code

2005-10-24  Carlos Garnacho Parro  <carlosg@gnome.org>

	* Utils/Backend.pm, Report.pm: fix args parsing and verbose reports

2005-10-21  Carlos Garnacho Parro  <carlosg@gnome.org>

	* HostsConfig.pm, Network/Hosts.pm: Implemented set() methods
	* NTPConfig.pm, Time/NTP.pm: ditto
	* TimeConfig.pm, Time/TimeDate.pm: ditto
	* SMBConfig.pm: monitor SMB config files
	* ServicesConfig.pm, Init/Services.pm: added runlevel roles, plus
	default runlevel
	* TODO: updated

2005-10-13  Carlos Garnacho Parro  <carlosg@gnome.org>

	* SMBConfig.pm, Shares/SMB.pm: include share name in the provided
	information

2005-10-13  Carlos Garnacho Parro  <carlosg@gnome.org>

	* GroupsConfig.pm, HostsConfig.pm, NFSConfig.pm, NTPConfig.pm,
	SMBConfig.pm, ServicesConfig.pm, ShellsConfig.pm, TimeConfig.pm,
	UsersConfig.pm: fixed objects paths
	* test-backends: ditto
	* Shares/NFS.pm: fixed and simplified things for retrieving
	information

2005-10-11  Carlos Garnacho Parro  <carlosg@gnome.org>

	* TimeConfig.pm: return the correct number of parameters
	* Time/TimeDate.pm: return correctly all needed parameters

2005-10-08  Carlos Garnacho Parro  <carlosg@gnome.org>

	* GroupsConfig.pm, HostsConfig.pm, Loader.pl.in, NFSConfig.pm,
	NTPConfig.pm, SMBConfig.pm, ServicesConfig.pm, ShellsConfig.pm,
	TimeConfig.pm, UsersConfig.pm, test-backends: updated everything to
	latest perl DBus bindings API

2005-10-06  Carlos Garnacho Parro  <carlosg@gnome.org>

	* configure.in: changed installation path

2005-10-04  Carlos Garnacho Parro  <carlosg@gnome.org>

	* Network/Hosts.pm: added
	* HostsConfig.pm: ditto
	* ServicesConfig.pm: ditto
	* Init/ServicesList.pm: ditto
	* Init/Services.pm: added code, need to review to see if it works on
	non system V distros
	* Loader.pl.in: added new services

2005-09-17  Carlos Garnacho Parro  <carlosg@gnome.org>

	* Loader.pl.in: add some code to check whether the backends are
	installed and add the install path to @INC in such case. Use
	objects for SMB, NFS and time/date
	* Makefile.am, autogen.sh, configure.in: modified to make the 
	thing actually compile
	* Shares/Makefile.am, Time/Makefile.am, Users/Makefile.am,
	Utils/Makefile.am: added
	* NFSConfig.pm, Shares/NFS.pm: added
	* SMBConfig.pm, Shares/SMB.pm: added
	* TimeConfig.pm, Time/TimeDate.pm: added
	* UsersConfig.pm: fixed a typo
	* Utils/Parse.pm (get_from_ini_bool): return 0 (not undef) if it
	couldn't find the value

2005-08-13  Carlos Garnacho Parro  <carlosg@gnome.org>

	* Loader.pl.in: use the new objects

2005-08-13  Carlos Garnacho Parro  <carlosg@gnome.org>

	* Time/NTP.pm: module for handling NTP servers configuration
	* NTPConfig.pm: toplevel object for dealing with NTP config

2005-08-13  Carlos Garnacho Parro  <carlosg@gnome.org>

	* test-backends: improved a bit, removed unused code

2005-08-13  Carlos Garnacho Parro  <carlosg@gnome.org>

	* Users/Groups.pm: module for managing group settings
	* GroupsConfig.pm: toplevel object for dealing with groups

2005-08-13  Carlos Garnacho Parro  <carlosg@gnome.org>

	* ShellsConfig.pm: ShellsList object renamed, all exported objects
	will be called *Config

2005-08-13  Carlos Garnacho Parro  <carlosg@gnome.org>

	* Users/Shells.pm: small indenting fix
	* Users/Users.pm: modify to get data from login.defs and some pam 
	info (whether to use MD5 to crypt passwords)
	* UsersConfig.pm: new toplevel object, contains the users list,	and
	logindefs info relevant to users. Deprecates UserList
	* UsersList.pm: deleted

2005-06-12  Carlos Garnacho Parro  <carlosg@gnome.org>

	* time-conf.in: applied patch to update /etc/timezone in debian based
	systems. Fixes #167035

2005-06-12  Carlos Garnacho Parro  <carlosg@gnome.org>

	* network.pl.in: added support for WEP key type (ASCII or hexa)

2005-05-08  Carlos Garnacho Parro  <carlosg@gnome.org>

	* UsersList.pm: added
	* Loader.pl.in: use UsersList
	* Users/Users.pm: made passwd/shadow parameters a bit more generic,
	but still needs some love. Removed unused bits from the get()
	function, implemented get_files()

2005-05-04  Carlos Garnacho Parro  <carlosg@gnome.org>

	* SharesList.pm: adapted signal emitting to new Dbus bindings API
	* Users/Shells.pm: separated shells handling from Users/Users.pm,
	implemented set()
	* ShellsList.pm: use new .pm for shells, monitor /etc/shells
	* Utils/Monitor.pm: accept both arrays and single file names

2005-05-02  Carlos Garnacho Parro  <carlosg@gnome.org>

	* Users/Users.pm: moved from users-conf.in, removed some code that
	should not be used now
	* users-conf.in: removed
	* ShellsList.pm: object for gettings the available shells
	* Loader.pl.in: add ShellsList to the init code
	* ServicesList.pm: put object path correctly
	* test-backends: put object paths correctly
	* Init/Services.pm: forgot to rename namespace to Init::Services

2005-04-29  Carlos Garnacho Parro  <carlosg@gnome.org>

	* SharesList.pm: put object path correctly
	* configure.in: use the 2.0 .pc file, bumped version to 1.9.x
	* system-tools-backends.pc.in: removed
	* system-tools-backends-2.0.pc.in: added

2005-04-27  Carlos Garnacho Parro  <carlosg@gnome.org>

	* Init/Services.pm: added, previously known as service.pl.in
	* service.pl.in: removed
	* ServicesList.pm: added, DBus object for accessing services at init
	* Loader.pl.in: added ServicesList
	* SharesList.pm: updated to latest DBus bindings api
	* network.pl.in: use Init::Services
	* test-backends: don't recurse infinitely with arrays, other
	improvements

2005-04-21  Carlos Garnacho Parro  <carlosg@gnome.org>

	* test-backends: Added simple perl script for querying the backends 
	data

2005-04-20  Carlos Garnacho Parro  <carlosg@gnome.org>

	* Utils/Monitor.pm: New file for monitoring file changes and emitting
	DBus signals according to this
	* Loader.pl.in: added function for monitoring files in a timeout
	* SharesList.pm: monitor SMB and NFS files and emit "changed" signal
	* Shares/Exports.pm: misc changes

2005-04-20  Carlos Garnacho Parro  <carlosg@gnome.org>

	* Loader.pl.in: Added, this will be the application that will load all
	the backend objects, instead of being each backend an executable
	* SharesList.pm: Added, this is the DBus object for the shared folders
	list, at the moment it only does SMB (First DBus object here, wooo)
	* network.pl.in: misc changes for making object work, it will be
	eventually moved to Network/*.pm
	* Shares/Exports.pm: new place for share.pl.in
	* Utils/Backend.pm: added vars for the DBus path and so
	* TODO: Added
	* shares.pl.in: to the attic with you

2005-04-19  Carlos Garnacho Parro  <carlosg@gnome.org>

	* Third round of huge commits
	* parse.pl.in: removed
	* Utils/Parse.pm: new place for the file above, plus function renaming
	* boot-conf.in, boot-grub.pl.in, boot-lilo.pl.in, boot-yaboot.pl.in,
	boot-pl.in, dhcpd.pl.in, disks-conf.in, filesys.pl.in, ishare.pl.in,
	media.pl.in, network.pl.in, print.pl.in, service.pl.in, share.pl.in,
	shares-conf.in, time-conf.in, users-conf.in, Utils/Backend.pm,
	Utils/Platform.pm, Utils/Replace.pm, Utils/Report.pm, Utils/XML.pm:
	Use new module, other misc fixes
	* xml.pl.in, replace.pl.in, platform.pl.in, general.pl.in: Forgot to
	remove these

2005-04-18  Carlos Garnacho Parro  <carlosg@gnome.org>

	* Second round in huge commits
	* general.pl.in, platform.pl.in, replace.pl.in, xml.pl.in: Second
	step in modularization
	* Utils/Backend.pm, Platform.pm, Replace.pm, XML.pm: new place/name
	for the files above, plus function renaming and so
	* boot-conf.in, boot-grub.pl.in, boot-lilo.pl.in, boot-yaboot.pl.in,
	boot.pl.in, dhcpd-conf.in, dhcpd.pl.in, disks-conf.in,
	display-conf.in, filesys.pl.in, font-conf.in, font.pl.in,
	hardware-conf.in, internetsharing-conf.in, ishare.pl.in, media.pl.in,
	memory-conf.in, mouse-conf.in, network-conf.in, network.pl.in,
	package-conf.in, partition.pl.in, print-conf.in, print.pl.in,
	process.pl.in, removable-media.pl.in, service.pl.in, services-conf.in,
	share.pl.in, shares-conf.in, time-conf.in, users-conf.in, x.pl.in,
	Utils/File.pm, Utils/Report.pm:
	Use new modules and function names
	* replace-func: improved

2005-04-14  Carlos Garnacho Parro  <carlosg@gnome.org>

	* created the experimental DBus branch
	* file.pl.in, report.pl.in, util.pl.in: First step in modulization,
	they've been converted to perl modules and put in Utils/*
	* Utils/File.pm, Report.pm, Util.pm: these are the previous files with
	some function renaming, due to the fact that modules are already
	namespaced
	* debug.pl.in: deleted, was barely used, and things have been quite
	stable for a good time
	* boot-conf.in, boot-grub.pl.in, boot-lilo.pl.in, boot-yaboot.pl.in,
	boot.pl.in, dhcpd-conf.in, dhcpd.pl.in, disks-conf, display-conf,
	filesys.pl.in, font-conf.in, font.pl.in, general.pl.in,
	hardware-conf.in, internetshareing-conf.in, ishare.pl.in,
	memory-conf.in, mouse-conf.in, network-conf.in, network.pl.in,
	package-conf.in, parse.pl.in, partition.pl.in, platform.pl.in,
	print-conf.in, print.pl.in, process.pl.in, replace.pl.in,
	service.pl.in, services-conf.in, share.pl.in, shares-conf.in,
	time-conf.in, tokenizer.pl.in, users-conf.in, x.pl.in, xml.pl.in:
	Use these modules instead of the old files
	* replace-func: silly shellscript for renaming function names in perl
	files, is helping a lot in the backends modulization task

2006-04-18  Carlos Garnacho Parro  <carlosg@gnome.org>

	* po/no.po, configure.in: nuke no.po under request from Kjartan Maraas
	<kmaraas@gnome.org>

2006-01-02  Carlos Garnacho Parro  <carlosg@gnome.org>

	* Release 1.4.2

2006-01-02  Carlos Garnacho Parro  <carlosg@gnome.org>

	* platform.pl.in, service-list.pl.in, service.pl.in, services-conf.in,
	time-conf.in, users-conf.in: patch by Arjan Timmerman  
	<arjan@soulfly.nl> to add archlinux support in the services and time, 
	updated users-admin archlinux support too. Closes Gnome bug #319527

2005-12-31  Carlos Garnacho Parro  <carlosg@gnome.org>

	* Patch sent by Juan Luis Baptiste <juan.baptiste@kdemail.net>, adds
	support for ubuntu 5.10 and 6.04, Yoper 2.2, Ark, Fedora Core 4 
	and latest Mandrake/Mandriva for the network tool.

2005-11-28  Carlos Garnacho Parro  <carlosg@gnome.org>

	* Release 1.4.1

2005-11-27  Carlos Garnacho Parro  <carlosg@gnome.org>

	* replace.pl.in (gst_replace_confd_net_re): do not put extra spaces in
	configuration, it may break the fragile gentoo's configuration parser.
	Hopefully closes #317841

2005-11-21  Ken VanDine  <ken@vandine.org>

	* disks-conf.in, network-conf.in, network.pl.in, platform.pl.in,
	service.pl.in, services-conf.in, shares-conf.in, time-conf.in,
	users-conf.in: Specifix Linux is now rPath linux

2005-11-21  Scott J. Harmon  <harmon@ksu.edu>

	* network-conf.in, network.pl.in, platform.pl.in, service.pl.in,
	services-conf.in, shares-conf.in, time-conf.in, users-conf.in: Added
	support for Slackware 10.2.0

2005-10-04  Carlos Garnacho Parro  <carlosg@gnome.org>

	* network.pl.in: combined and modified patch from Christian Meyer
	<chrisime@gnome.org> and Florian Schricker <fschricker@web.de> for 
	supporting new network configuration sintax in both Vidalinux and 
	Gentoo. Fixes bugs #317841, #311946 and #153490
	* parse.pl.in, replace.pl.in: added functions to parse/replace files
	like gentoo's /etc/conf.d/net
	* file.pl.in (gst_file_copy): make copy not fail miserably if the orig
	file doesn't exist

2005-09-20  Carlos Garnacho Parro  <carlosg@gnome.org>

	* network.pl.in: Fixed WEP key detection on both slackware and gentoo.
	Closes GNOME bug #316732

2005-09-04  Carlos Garnacho Parro  <carlosg@gnome.org>

	* Release 1.4.0

2005-08-27  Carlos Garnacho Parro  <carlosg@gnome.org>

	* network-conf.in (xml_parse_statichost): made regexp for parsing IP
	addresses more liberal to avoid problems

2005-08-27  Carlos Garnacho Parro  <carlosg@gnome.org>

	* network.pl.in: replace hostname without leaving the old name, and
	foreseeing the possibility of having a loopback IP != 127.0.0.1. Fixes
	GNOME bug #310109

2005-08-27  Carlos Garnacho Parro  <carlosg@gnome.org>

	* network.pl.in: explicitly deactivate wireless encription if there's
	no specified key. Fixes GNOME bug #171927

2005-08-23  Carlos Garnacho Parro  <carlosg@gnome.org>

	* Release 1.3.92

2005-08-23  Jean-Philippe Guillemin  <jp.guillemin@free.fr>

	* network.pl.in: patch to enable gateway saving under Slackware
	and Zenwalk. Closes GNOME Bug #313210

2005-08-08  Carlos Garnacho Parro  <carlosg@gnome.org>

        * Release 1.3.2

2005-08-08  Carlos Garnacho Parro  <carlosg@gnome.org>

	* Applied patch to improve groups descriptions, closes GNOME bug
	#308685 (Corey Burger, Guillaume Desmottes)

2005-08-08  Carlos Garnacho Parro  <carlosg@gnome.org>

	* service-list.pl.in: Added role for FTP servers

2005-08-06  Carlos Garnacho Parro  <carlosg@gnome.org>

	* service-list.pl.in: Added some more services/roles

2005-07-26  Carlos Garnacho Parro  <carlosg@gnome.org>

	* Release 1.3.1

2005-07-16  Carlos Garnacho Parro  <carlosg@gnome.org>

	* network.pl.in: (gst_network_get_gateway_data)
	(gst_network_get_default_gateway): added, use them for Debian

2005-07-15  Carlos Garnacho Parro  <carlosg@gnome.org>

	* network.pl.in (gst_network_get_interface_type): set more strict
	regexp, so irlan[0-9] isn't confused with an[0-9]

2005-07-05  Carlos Garnacho Parro  <carlosg@gnome.org>

	* Release 1.3.0

2005-07-05  Carlos Garnacho Parro  <carlosg@gnome.org>

	* service-list.pl.in: added roles stuff
	* service.pl.in: use roles, separate priorities for each runlevel
	* services-conf.in: use this stuff

2005-06-30  Carlos Garnacho Parro  <carlosg@gnome.org>

	* network-conf.in, network.pl.in, platform.pl.in, service.pl.in:
	Added patch from the KUbuntu people for the network backend, should
	search the rest of the Ubuntu patches and apply them... Thanks to the
	KUbuntu team :). UPDATE: It's from Juan Luis Baptiste, sorry about
	this

2005-06-21  Christian Meyer  <chrisime@gnome-de.org>

	* network-conf.in, network.pl.in, platform.pl.in, service.pl.in,
	services-conf.in, shares-conf.in, time-conf.in, users-conf.in: Added
	support for Vida Linux OS 1.2

2005-06-12  Carlos Garnacho Parro  <carlosg@gnome.org>

	* time-conf.in: applied patch to update /etc/timezone in debian based
	systems. Fixes #167035

2005-06-12  Carlos Garnacho Parro  <carlosg@gnome.org>

	* network.pl.in: added support for WEP key type (ASCII or hexa)

2005-05-15  Christian Meyer  <chrisime@gnome-de.org>

	* network.pl.in: fix small issue with dhcpcd

2005-04-13  Scott J. Harmon  <harmon@ksu.edu>

	* network-conf.in, network.pl.in, platform.pl.in, service.pl.in,
	services-conf.in, shares-conf.in, time-conf.in, users-conf.in:
	Added support for Slackware 10.1.0

2005-04-12  Joe Marcus Clarke  <marcus@freebsd.org>

	* network.pl.in: Fixed FreeBSD network tool support

2005-04-11  Carlos Garnacho Parro  <carlosg@gnome.org>

	* ABOUT-NLS: Added
	* configure.in, autogen.sh: removed gnome-autogen.sh dependencies

2005-04-07  Carlos Garnacho Parro  <carlosg@gnome.org>

	* sync'ed contents with the current gnome.org server

2005-04-03  Steve Murphy  <murf@e-tools.com>

        * configure.in: Added "rw" to ALL_LINGUAS (again, sorry!). Must have glitched or stroked or something.

2005-04-04  Carlos Garnacho Parro  <carlosg@gnome.org>

	* configure.in: Removed "rw" from ALL_LINGUAS, it seems it wasn't
	added...

2005-04-01  Adi Attar  <aattar@cvs.gnome.org>

	* configure.in: Added "xh" to ALL_LINGUAS.

2005-03-31  Steve Murphy  <murf@e-tools.com>

        * configure.in: Added "rw" to ALL_LINGUAS.

2005-03-25  Carlos Garnacho Parro  <carlosg@gnome.org>

       * network.pl.in: Fixed a bug when dealing with dhclient v3, the -e
       	option doesn't make the same than in dhclient v2.

2005-03-15  Pawan Chitrakar  <pawan@nplinux.org>

	* configure.in: Added ne in ALL_LINGUAS

2005-03-15  Carlos Garnacho Parro  <carlosg@gnome.org>

	* network.pl.in: recognize tun interfaces as ppp too

2005-03-15  Carlos Garnacho Parro  <carlosg@gnome.org>

	* network.pl.in: leave only wireless-* and remove wireless_* (for
	handled wi-fi options, the rest will remain untouched)

2005-03-07  Carlos Garnacho Parro  <carlosg@gnome.org>

	* Release 1.2.0

2005-03-05  Carlos Garnacho Parro  <carlosg@gnome.org>

	* network.pl.in: don't activate the interface after having changed
	if it was left disabled

2005-03-05  Abel Cheung  <maddog@linuxhall.org>

	* configure.in: Added "vi" to ALL_LINGUAS.

2005-03-01  Carlos Garnacho Parro  <carlosg@gnome.org>

	* Release 1.1.92
	* general.pl.in: made bind_textdomain_codeset optional, big hack, but
	ATM it's better than requiring a package that distros don't ship at
	all...

2005-03-01  Carlos Garnacho Parro  <carlosg@gnome.org>

	* network-conf.in, network.pl.in, platform.pl.in, service.pl.in,
	services-conf.in, shares-conf.in, time-conf.in, users-conf.in:
	Added support for Fedora Core 3, it's just like FC2

2005-02-28  Carlos Garnacho Parro  <carlosg@gnome.org>

	* network.pl.in: add dhcpcd as an option to dhclient. Fixes #164993
	* process.pl.in (gst_process_kill_by_pidfile): add the possibility of
	specifying a full path, defaulting to /var/run

2005-02-25  Carlos Garnacho Parro  <carlosg@gnome.org>

	* share.pl.in: avoid print$ section as well in smb.conf, it has much
	more to do with printing than with file sharing

2005-02-24  Carlos Garnacho Parro  <carlosg@gnome.org>

	* network-conf.in: added "set_gateway" directive

2005-02-23  Carlos Garnacho Parro  <carlosg@gnome.org>

	* network-conf.in, network.pl.in: patch with lots of help and testing
	from Michael Vogt <mvogt@acm.org> to fix PPP calling in the network
	tool. this should fix #167342

2005-02-23  Carlos Garnacho Parro  <carlosg@gnome.org>

	* process.pl.in: added for basic process management
	* Makefile.am, configure.in: added process.pl

2005-02-13  Michael Vogt  <mvogt@acm.org>

	* network.pl.in (gst_network_enable_isdn): made it really work with
	ISDN

2005-02-12  Carlos Garnacho Parro  <carlosg@gnome.org>

	* general.pl.in: added stupid missing function in i18n initialization.
	Fixes #167095
	* xml.pl.in: cosmetic fix

2005-02-08  Carlos Garnacho Parro  <carlosg@gnome.org>

	* Release 1.1.91

2005-02-08  Carlos Garnacho Parro  <carlosg@gnome.org>

	* network.pl.in: added some extra stability to the dhclient call in
	enable_iface_with_config, made it truly return whether it has failed

2005-02-08  Carlos Garnacho Parro  <carlosg@gnome.org>

	* configure.in: small fix to make it compile separatedly, now that the
	backend is divided from the frontend

2005-02-05  Carlos Garnacho Parro  <carlosg@gnome.org>

	* users-conf.in: made a string more user-frienly (Ole Laursen's
	suggestion). Fixes #166330

2005-02-02  Carlos Garnacho Parro  <carlosg@gnome.org>

	* network.pl.in: Only add an empty ppp0 interface if it wasn't added
	before and pppd exists

2005-01-31  Carlos Garnacho Parro  <carlosg@gnome.org>

	* users-conf.in: detect whether to use md5 or not from the pam setup.
	Fixes #161269. Removed default groups from all distros

2005-01-26  Carlos Garnacho Parro  <carlosg@gnome.org>

	* time-conf.in: update the correct server status in debian

2005-01-25  Carlos Garnacho Parro  <carlosg@gnome.org>

	* parse.pl.in: Fixed hosts file parsing when there's more than
	one line per IP address

2005-01-25  Carlos Garnacho Parro  <carlosg@gnome.org>

	* Release 1.1.90

2005-01-24  Carlos Garnacho Parro  <carlosg@gnome.org>

	* network.pl.in: unbreak list_ifaces directive
	* shares-conf.in: unbreak interfaces detection for nfs acl addition
	dialog

2005-01-22  Carlos Garnacho Parro  <carlosg@gnome.org>

	* network.pl.in (drop_dhcp_connection): function to drop dhclient
	proccess when disabling an interface. (enable_iface_with_config): use
	this. Definitely fixes bug #157343

2005-01-21  Carlos Garnacho Parro  <carlosg@gnome.org>

	* network.pl.in: use [0-9*#]+ as regexp for getting the dial prefix
	in all distros

2005-01-21  Carlos Garnacho Parro  <carlosg@gnome.org>

	* time-conf.in: added openntpd as NTP daemon for gentoo, replace
	ntp-simple and npt-refclock with ntp-server in debian. Closes #153491
	and #154377 (This one with patch from Vincent Vuntz)

2005-01-21  Carlos Garnacho Parro  <carlosg@gnome.org>

	* network.pl.in: remove "dialing" tags, not needed, no UI for this,
	and wvdialconf could block under certain circumstances. Closes #123216

2005-01-21  Carlos Garnacho Parro  <carlosg@gnome.org>

	* network.pl.in (gst_network_enable_isdn): added, handles ISDN
	connections. (gst_network_enable_iface_with_config): use it

2005-01-21  Carlos Garnacho Parro  <carlosg@gnome.org>

	* shares-conf.in: fixed paths extraction from XML, added some extra
	info to the XML to know which sharing servers exist/are active

2005-01-20  Carlos Garcia Campos  <carlosgc@gnome.org>

	* disks-conf.in: fixed an important bug in the scsi bus scanning

2005-01-17  Carlos Garnacho Parro  <carlosg@gnome.org>

	* network.pl.in: Doh!, fixed bootproto creation in debian

2005-01-13  Carlos Garnacho Parro  <carlosg@gnome.org>

	* Release 1.1.4.1

2005-01-13  Carlos Garnacho Parro  <carlosg@gnome.org>

	* users-conf.in: unfuck groups stuff in profiles, more concretely
	make it safe the new info sucessfully

2005-01-12  Carlos Garnacho Parro  <carlosg@gnome.org>

	* Release 1.1.4

2005-01-12  Carlos Garnacho Parro  <carlosg@gnome.org>

	* users-conf.in: added default groups to profiles

2005-01-11  Carlos Garnacho Parro  <carlosg@gnome.org>

	* shares-conf.in: made it to save general SMB config

2005-01-11  Carlos Garnacho Parro  <carlosg@gnome.org>

	* shares-conf.in: added SMB general config to the XML

2005-01-10  Carlos Garnacho Parro  <carlosg@gnome.org>

	* network.pl.in: s/login/user/ in debian ppp config files, it seems
	to be the good one

2005-01-03  Carlos Garnacho Parro  <carlosg@gnome.org>

	* m4macros/system-tools-backends.m4, Makefile.am: added, for other
	modules which may depend on this, setting STB_SCRIPTS_DIR with the
	backends path
	* configure.in, Makefile.am: ditto

2005-01-02  Carlos Garnacho Parro  <carlosg@gnome.org>

	* file.pl.in (gst_file_run_backtick): modified, now it can return
	stderr too. (gst_file_locate_tool): return too setuid apps.
	(gst_file_copy_from_stock): added, it copies files from FILESDIR to
	an specified location

	* network.pl.in (gst_network_get_interface_type): cache all values
	for not calling some commands constantly.
	(gst_network_create_isdn_options): added, creates ISDN PPP options file.
	(gst_network_check_pppd_plugin): added, checks for plugins existence.
	(gst_network_interfaces_get): only show PPP/ISDN interfaces if pppd
	exists.
	(gst_network_check_iface): replaced everywhere with
	gst_network_check_type(), it checks the iface type instead of the
	iface name.
	Other minor changes to support ISDN (at the moment it does so in
	debian)

2004-12-27  Carlos Garnacho Parro  <carlosg@gnome.org>

	* users-conf.in: fixed a couple of typos. fixes #162333 and #162336

2004-12-21  Carlos Garnacho Parro  <carlosg@gnome.org>

	* Release 1.1.3

2004-12-21  Carlos Garnacho Parro  <carlosg@gnome.org>

	* network-conf.in: removed a spare semicolon

2004-12-10  Carlos Garnacho Parro  <carlosg@gnome.org>

	* parse.pl.in, time-conf.in: handled parsing/replacing of parameters
	after the ntp server name

2004-12-06  Carlos Garnacho Parro  <carlosg@gnome.org>

	* users-conf.in: added "plugdev" group to the descriptions list

2004-11-16  Carlos Garnacho Parro  <carlosg@gnome.org>

	* network.pl.in, parse.pl.in: look for wireless-essid, wireless-key,
	wireless-key1 and that kind of variations in debian when parsing
	/etc/network/interfaces

2004-11-14  Carlos Garnacho Parro  <carlosg@gnome.org>

	* Makefile.am: moved the intltool-* files to DISTCLEANFILES.
	Fixes #158213

2004-11-12  Christophe Merlet  <redfox@redfoxcenter.org>

	* configure.in: Added "fr" (French) to ALL_LINGUAS.

2004-12-21  Carlos Garnacho Parro  <carlosg@gnome.org>

	* network.pl.in: handled properly wvdial dependent distros with the
	new XML format

2004-12-20  Carlos Garnacho Parro  <carlosg@gnome.org>

	* network-conf.in: added the "save_profiles" directive

2004-12-16  Carlos Garnacho Parro  <carlosg@gnome.org>

	* network-conf.in: added "set_profile" directive, which sets all
	the configuration from a profile name

2004-12-16  Carlos Garnacho Parro  <carlosg@gnome.org>

	* network-conf.in: avoid the creation of empty <configuration> tags
	* network.pl.in: don't report when running iwconfig, it was getting
	saved in the profiles file

2004-12-14  Carlos Garnacho Parro  <carlosg@gnome.org>

	* network-conf.in, network.pl.in: improved old profiles fixing, 
	fixed plip interfaces enabling, accept other characters than numbers 
	in dial prefix, other code improvements

2004-12-06  Carlos Garnacho Parro  <carlosg@gnome.org>

	* network-conf.in (fixdown_profile_interface_format),
	(fixdown_profile_format): added functions for translating the old
	profile format to the new one

2004-12-06  Carlos Garnacho Parro  <carlosg@gnome.org>

        * file.pl.in (gst_file_get_temp_name): added.
        * network.pl.in (gst_network_enable_iface_with_config): splitted in
        several functions. Handled too the modem stuff, creating a temporary
        chat file and using pppd.

2004-12-01  Carlos Garnacho Parro  <carlosg@gnome.org>

	* network.pl.in: moved pppscripts creation to a generic function,
	made debian use pppscript instead of wvial. s/wvsection/section/g

2004-11-26  Carlos Garnacho Parro  <carlosg@gnome.org>

	* network.pl.in (gst_network_enable_iface_with_config): little fix 
	with multiword essids

2004-11-23  Carlos Garnacho Parro  <carlosg@gnome.org>

	* network.pl.in: add the PPP interface EVEN if it's not configured

2004-11-23  Carlos Garnacho Parro  <carlosg@gnome.org>

	* network.pl.in (gst_network_interfaces_get): began to handle PPP
	devices

2004-11-22  Carlos Garnacho Parro  <carlosg@gnome.org>

	* network-conf.in: added a small hack for being sure that the
	interface is really down when possibly messing ifup/ifdown/ifconfig
	calls

2004-11-20  Carlos Garnacho Parro  <carlosg@gnome.org>

	* network.pl.in (gst_network_enable_iface_with_config): add "up" 
	at the end of the ifconfig call

2004-11-18  Carlos Garnacho Parro  <carlosg@gnome.org>

	* network-conf.in, network.pl.in: finished the
	"enable_iface_with_config" directive, it should work with eth, wifi,
	irlan and plip interfaces in linux and freebsd. Got rid of the hideous
	"get_interface_name" hack

2004-11-18  Carlos Garnacho Parro  <carlosg@gnome.org>

	* network-conf.in, network.pl.in: began working on the new
	"enable_iface_with_config" directive

2004-11-16  Carlos Garnacho Parro  <carlosg@gnome.org>

	* network-conf.in, network.pl.in: fix some functions that got
	broken with the new xml format, only save the interfaces if they
	have changed

2004-11-15  Carlos Garnacho Parro  <carlosg@gnome.org>

	* network.pl.in, network-conf.in: added "detect_essids" directive

2004-11-11  Carlos Garnacho Parro  <carlosg@gnome.org>

	* network.pl.in (gst_network_interfaces_set): really delete the
	interfaces that aren't configured.
	* replace.pl.in: somewhat improve interfaces deleting in debian

2004-11-11  Carlos Garnacho Parro  <carlosg@gnome.org>

	* network.pl.in: more silly improvements for storing correctly the
	information

2004-11-10  Carlos Garnacho Parro  <carlosg@gnome.org>

	* network.pl.in: made it able to store again the configuration, still
	some checking has to be done, though

2004-11-08  Carlos Garnacho Parro  <carlosg@gnome.org>

	* network.pl.in: removed "wireless_device" tags, they're no longer
	used. (gst_network_get_default_gatewaydev) added.

2004-11-08  Carlos Garnacho Parro  <carlosg@gnome.org>

	* network-conf.in, network.pl.in: modified XML format for the new
	network tool

2004-11-05  Carlos Garcia Campos <carlosgc@gnome.org>

	* disks-conf.in, partition.pl.in: added DVD support 

2004-11-05  Link Dupont  <link.dupont@gmail.com>

	* platform.pl.in: Added archlinux to the list
	* users-conf.in: added support for archlinux 0.7

2004-11-04  Carlos Garnacho Parro  <carlosg@gnome.org>

	* file.pl.in (gst_file_buffer_load): return a void array instead of
	undef if the file doesn't exist, it can be filled later. Fixes
	#157331

2004-11-03  Carlos Garnacho Parro  <carlosg@gnome.org>

	* Release 1.1

2004-11-01  Carlos Garcia Campos <carlosgc@gnome.org>

	* disks-conf.in: fixed floppy drive detection

2004-10-25  Carlos Garnacho Parro  <carlosg@gnome.org>

	* Makefile.am: delete the correct intltool-* files when making clean

2004-10-25  Mohammad DAMT  <mdamt@bisnisweb.com>

	* configure.in: Added "id" (Indonesian) to ALL_LINGUAS
	* po/id.po: Added Indonesian translation

2004-10-17  Marcel Telka  <marcel@telka.sk>

	* configure.in (ALL_LINGUAS): Added sk.

2004-09-29  Abel Cheung  <maddog@linuxhall.org>

	* configure.in: Added "tr" to ALL_LINGUAS.

2004-09-28  Alexander Shopov  <ash@contact.bg>

	* configure.in (ALL_LINGUAS): Added "bg" (Bulgarian)

2004-09-19  Alessio Frusciante  <algol@firenze.linux.it>

	* configure.in: added "it" (Italian) to ALL_LINGUAS.

2004-09-18  Carlos Garcia Campos <carlosgc@gnome.org>

	* disks-conf.in: removed the report messages merged with the xml
	output in disk_info directive

2004-09-14  Carlos Garcia Campos <carlosgc@gnome.org>

	* disks-conf.in: added format partition directive
	
	* partition.pl.in: moved some code from disks-conf.in to
	partition.pl.in

2004-09-14  Carlos Garnacho Parro  <carlosg@gnome.org>

	* network-conf.in (xml_print_statichost): moved to network.pl.in
	* network.pl.in (network_xml_print_statichost): added
	* parse.pl.in: fixed a bug when searching in .ini like files, now
	it stops at the end of the section
	* share.pl.in, shares-conf.in: removed/comented unused code, made
	it safe to store info in modern systems, added the get_network_conf
	directive
	* xml.pl.in: fixed a badly indented line

2004-09-14  Carlos Garnacho Parro  <carlosg@gnome.org>

	* shares-conf.in: made "/etc/exports" the default NFS exports file
	for all distros, this is pretty standard
	* share.pl.in, shares-conf.in: small fixes, made it work (at least 
	the SMB exports) with all the distributions that network-conf 
	already supports
	* users-conf.in: Added <allows_to> tag for some groups.

2004-09-13  Carlos Garnacho Parro  <carlosg@gnome.org>

	* Release 1.0

2004-09-13  Jordi Mallach  <jordi@sindominio.net>

	* configure.in (ALL_LINGUAS): Added "ca" (Catalan).

2004-09-12  Mugurel Tudor  <mugurelu@go.ro>

	* configure.in: Added "ro" to ALL_LINGUAS

2004-09-08  Abel Cheung  <maddog@linux.org.hk>

	* configure.in: Added "zh_TW" and "zh_CN" to ALL_LINGUAS.

2004-09-08  Arafat Medini  <lumina@arabeyes.org>

	* configure.in: Added Arabic locale "ar" to ALL_LINGUAS.

2004-09-03  Jayaradha <njaya@redhat.com>

	* configure.in: Added ta to ALL_LINGUAS
2004-09-02  Ilkka Tuohela <hile@iki.fi>

	* configure.in: Added fi to ALL_LINGUAS

2004-09-01  Carlos Garnacho Parro  <carlosg@gnome.org>

	* Release 0.92

2003-09-01  Hasbullah Bin Pit  <sebol@my-penguin.org>
                                                                                
        * configure.in: Added 'ms' (Malay) to ALL_LINGUAS.

2004-08-30  Carlos Garnacho Parro  <carlosg@gnome.org>

	* boot-grub.pl.in (boot_grub_check_device_map): Added, it creates
	the devices map with the grub shell if the file doesn't exist,
	it's not perfect, but I can't think a better solution. Probably fixes
	#150557
	
	* boot.pl.in: call boot_grub_check_device_map() in the grub case
	
	* file.pl.in (gst_file_run_pipe): silenced output in the
	GST_FILE_WRITE case

2004-08-29  Carlos Garnacho Parro  <carlosg@gnome.org>

	* network-conf.in, platform.pl.in, service.pl.in, services-conf.in,
	time-conf.in, users-conf.in: Added support for SuSE 9.1

2004-08-29  Carlos Garnacho Parro  <carlosg@gnome.org>

	* network.pl.in: added support for WEP keys, this isn't reflected
	in the frontends still

2004-08-28  Akagic Amila  <bono@linux.org.ba>

        * configure.in: Added 'bs' to ALL_LINGUAS.

2004-08-27  Iñaki Larrañaga  <dooteo@euskalgnu.org>

	* configure.in: Added "eu" (Basque) to ALL_LINGUAS.

2004-08-25  Maxim Dziumanenko <mvd@mylinux.com.ua>

	* configure.in:: Added uk (Ukrainian) to ALL_LINGUAS.

2004-08-24  Joe Marcus Clarke  <marcus@freebsd.org>

	* network-conf.in, network.pl.in, platform.pl.in, service.pl.in,
	services-conf.in, shares-conf.in, time-conf.in, users-conf.in:
	Added support for the recently forked FreeBSD 6, at the moment it's
	the same than 5.X

2004-08-21  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Added «nb» to ALL_LINGUAS.

2004-08-20  Carlos Garnacho Parro  <carlosg@gnome.org>

	* network.pl.in: removed those LANG=C when running ifconfig
	this is set internally in the function

2004-08-20  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* Release 0.91.0

2004-08-20  Ken VanDine  <ken@biZrace.com>

	* network-conf.in, network.pl.in, platform.pl.in, service.pl.in,
        services-conf.in, time-conf.in, users-conf.in: Added support for
	Specifix Linux

2004-08-20  Daisuke SUZUKI  <daisuke@linux.or.jp>

	* network-conf.in, network.pl.in, platform.pl.in, service.pl.in,
	services-conf.in, time-conf.in, users-conf.in: Added support for
	Vine Linux 3.0 and 3.1

2004-08-17  Carlos Garnacho Parro  <carlosg@gnome.org>

	* xml.pl.in: Modified patch from Joe Marcus Clarke
	<marcus@freebsd.org> which fixes Encode module detection for 
	Perl < 5.8. Should fix #150191

2004-08-17  Carlos Garnacho Parro  <carlosg@gnome.org>

	* users-conf.in (change_user_chfn): compared old and new data before
	changing it. Fixed #150248

2004-08-07  Runa Bhattacharjee <runab@redhat.com>

	* configure.in: Added Bengali(bn) in ALL_LINGUAS.

2004-08-07  Carlos Garnacho Parro  <carlosg@gnome.org>

	* file.pl.in: (gst_file_get_cmd_path_with_stderr): really return
	stderr output. Fixed style in a function

2004-08-06  Carlos Garnacho Parro  <carlosg@gnome.org>

	* boot-grub.pl.in, boot.pl.in: handled the cases where unknown entries
	come with root(hdX,Y) instead of rootnoverify(hdX,Y). Fixes #149381

2004-08-06  Carlos Garnacho Parro  <carlosg@gnome.org>

	* network.pl.in: fixed interface activation in slackware, there's
	no command that automatically parses rc.inet1.conf, so now the
	function parses the file itself

2004-08-05  Carlos Garnacho Parro  <carlosg@gnome.org>

	* service.pl.in: added support for mdk 7.2 (and ALT Linux) for
	the get_status directive

2004-08-02  Carlos Garnacho Parro  <carlosg@gnome.org>

	* boot-conf.in: fixed some issues in entry name verifying function,
	now it works with the chosen bootloader instead of the detected one

2004-08-01  Carlos Garnacho Parro  <carlosg@gnome.org>

	* platform.pl.in: Black Panther linux has changed it's name to
	"Black Panther OS", reflect this

2004-08-01  Carlos Garnacho Parro  <carlosg@gnome.org>

	* platform.pl.in: /etc/debian_release in Sarge now contains "3.1".
	Updated

2004-07-30  Carlos García Campos <elkalmail@yahoo.es>

	* file.pl.in: added get_cmd_path_with_stderr and
	run_pipe_read_with_stderr 

2004-07-29  Carlos García Campos <elkalmail@yahoo.es>

	* disks-conf.in: removed unused variable list_devices in
	scan_[scsi|ide]_bus. Added device as an optional paramater for
	scan_[scsi|ide]_bus funtions.

2004-07-28  Carlos García Campos <elkalmail@yahoo.es>

	* disks-conf.in: added disk_info directive to get information about a
	certain disk. Modularization of xml_print

2004-07-26  Carlos García Campos <elkalmail@yahoo.es>

	* disks-conf.in: added suse-9.1 to the supported distros list
	
2004-07-25  Carlos García Campos <elkalmail@yahoo.es>

	* disks-conf.in: look for mount point into fstab, using alias, when a
	device is not mounted.

2004-07-19  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* Release 0.90

2004-07-19  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* network-conf.in, network.pl.in, platform.pl.in, service.pl.in:
	  Added support for Blackpanther Linux 4.0, I think that it's from
	  Karoly Barcza <kbarcza@blackpanther.hu>

2004-07-18  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* platform.pl.in: man, I'd swear that I tested the last commit. fixed
	  brokenness

2004-07-17  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* network-conf.in, network.pl.in, platform.pl.in, service.pl.in,
	  services-conf.in, time-conf.in, users-conf.in: added support for
	  Fedora Core 2

2004-07-17  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* network-conf.in, network.pl.in, platform.pl.in, service.pl.in, 
	  services-conf.in, time-conf.in, users-conf.in: added support for
	  Slackware 10, thanks to Evandro for testing it

2004-07-14  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* general.pl.in, xml.pl.in: finally made all the output utf-8, this
	  will require perl >= 5.8.0 (on older versions it will still work,
	  but the output won't be guaranteed to be utf-8), it also allows
	  backends i18n for distributions != debian (with it's annyoning
	  liblocale-gettext-perl package). Fixes also bugs #142921 and 
	  #145240

2004-07-13  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* replace.pl.in (gst_replace_line_first): add a \n after the line.
	  fixes debian bug #258551

2004-07-13  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* network.pl.in: made it to really restart all changed interfaces when
	  applying data, not only the currently active ones. other silly stetic
	  code improvements
	* replace.pl.in: Fixed an anyonning that corrupted smb.conf when the 
	  winsserver tag was empty and didn't exist in the file

2004-07-07  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* platform.pl.in (gst_platform_get_system): added, this functionality
	  has been detached from gst_platform_guess()
	* general.pl.in: call gst_platform_get_system() in any case

2004-06-30  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* Release 0.34

2004-06-28  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* network.pl.in: in debian, made it to enable/disable the samba
	  service, not smb, fixes #145047

2004-06-27  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* network-conf.in, network.pl.in: at last, added network tool support
	  for suse 9.0 and 9.1, thanks to Satvik <satvik@students.iiit.net>
	  and Kirti <kirtisinha@students.iiit.net> for their cool work.
	* parse.pl.in (gst_parse_split_first_array_pos), (gst_parse_fq_domain):
	  added. (gst_parse_slackware_hostname): replaced by
	  (gst_parse_fq_hostname)
	* replace.pl.in (gst_replace_slackware_hostname): replaced by
	  (gst_replace_fq_hostname)

2004-06-27  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* service.pl.in: sexy improvements for suse, for time and network
	  to take advantage of them
	* time-conf.in: use those improvements

2004-06-17  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* partition.pl.in: really return the partition table

2004-06-09  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* users-conf.in: added SuSE 9.0 support with help from James Ogley
	  <james@usr-local-bin.org>

2004-06-08  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* file.pl.in (gst_file_get_cmd_path): added LC_ALL=C when running
	  a command, this should get rid of any problem when running obscure 
	  i18n-ed commands. Very probably fixes bug #142786

2004-05-28  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* boot-grub.pl.in (gst_boot_grub_get_config_file): placed menu.lst
	  in the first position, searching for grub.conf first was giving
	  problems in SuSE (it exists too, but has no relevant info), I guess
	  it's a FIXME, I'm not sure if grub.conf is nowadays used in any
	  distro

2004-05-28  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* service.pl.in, services-conf.in: Added support for SuSE 9.0
	* service-list.pl.in: added some forbidden services for SuSE 9.0

2004-05-24  Carlos García Campos <elkalmail@yahoo.es>

	* disks-conf.in: added support for device aliases to manage symlinks
	for a device file. New method to scan buses, added scan_ide_bus and
	scan_scsi_bus to scan buses looking for devices, later we read the
	fstab file to complete it with mount options and removable devices
	that are not present. Now disks-conf is more faster. In devices sort
	function, when media is the same in both devices, it uses device name
	to sort it.
	
2004-05-17  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* network.pl.in, platform.pl.in, network-conf.in, users-conf.in,
	  service.pl.in, time-conf.in, services-conf.in: added support for
	  Mandrakelinux 10.0 and 10.1. Patch by Goetz Waschk
	  <waschk@informatik.uni-rostock.de>

2004-05-15  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* Release 0.33.0

2004-05-12  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* network-conf.in, network.pl.in, platform.pl.in, service.pl.in:
	  added network-admin support for conectiva. I think that the patch
	  is from Helio Chissini de Castro <helio@conectiva.com.br>, but
	  Juan Luis (the Knetworkconf maintainer) is who forwarded them to
	  me...

2004-05-11  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* boot-conf.in, boot-grub.pl.in, boot.pl.in, partition.pl.in:
	  added support for FreeBSD, mostly defining alternatives to
	  partition parsing and system2grub and grub2system translation

2004-05-11  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* network.pl.in (gst_network_autodetect_modem),
	  (gst_network_freebsd_interface_delete): modified for adding PPP
	  support for FreeBSD.
	  (gst_network_parse_pppconf), (gst_network_parse_pppconf_bool),
	  (gst_network_parse_pppconf_re), (gst_network_replace_pppconf),
	  (gst_network_replace_pppconf_bool), 
	  (gst_network_replace_pppconf_route),
	  (gst_network_replace_pppconf_dial_command),
	  (gst_network_replace_pppconf_volume),
	  (gst_network_get_freebsd5_ppp_persist),
	  (gst_network_freebsd_create_ppp_startif): added.
	  (gst_network_get_interface_parse_table),
	  (gst_network_get_interface_replace_table): Added support for
	  FreeBSD PPP.
	  Other random small bug fixes

2004-05-11  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* parse.pl.in, replace.pl.in: added parse and replace functions for
	  FreeBSD's /etc/ppp/ppp.conf

2004-05-05  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* users-conf.in: lots of bugfixes related to FreeBSD, now it parses
	  correctly data, adds/deletes/modifies users/groups correctly (AFAICT).
	  Added too the <default> tag to the profiles, guessing the default
	  profile with the name tag sucked. Added and removed some strings for
	  translation

2004-05-05  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* users-conf.in (add_group): made it to add users too in linux OS

2004-05-04  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* service.pl.in: made it to look too in /usr/local/etc/rc.d for
	  starting/stopping/searching services
	* platform.pl.in: parsing improvements in the freebsd function
	* parse.pl.in (gst_parse_process_sh_line): parsing improvements,
	  it now only replaces hashes inside valid double quotes
	  (gst_parse_startif): added, for parsing /etc/start_if.$iface
	  in FreeBSD
	* network-conf.in, network.pl.in: added partial network support
	  for FreeBSD, only the PPP stuff is missing, the rest seems quite
	  stable

2004-05-02  Carlos García Campos <elkalmail@yahoo.es>

	* disks-conf.in: mounts as user who launched the frontend when it's
	possible. Gets cdrom capabilities using ioctls instead of /proc

2004-04-23  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* service.pl.in (gst_service_proc_get_owners), 
	  (gst_service_proc_stop_all), (gst_service_proc_start_all):
	  generic replacement for (gst_service_proc_get_owner),
	  (gst_service_proc_stop) and (gst_service_proc_start)
	* time-conf.in: added somewhat support for FreeBSD, although date
	  changing seems to give a lot of problems with open descriptors :-?

2004-04-23  Carlos Garnacho Parro  <garnacho@tuxerver.net>
                                                                                
        * network-conf.in (detect_modem): improved code a bit. Added the
          get_interface_name directive, to get the system dependent interface
          names (eth, ppp, dc, wi...) for each interface from a given keyword.
          Yes, I know it sucks, but right now it must be done by the backend,
          as it can be run in a different machine/platform than the frontend
        * network.pl.in: ditto

2004-04-21  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* Makefile.am: made it to delete the correct intltool-* when making
	  clean
	* report.pl.in: marked "service_sysv_unsupported" as info, not error
	* service.pl.in: used "forcestatus" to get a service status.
	  (gst_service_rcng_installed): added

2004-04-22  Carlos García Campos <elkalmail@yahoo.es>

	* disks-conf.in: added bit present to all devices to represent a
	device listed in fstab but no present in the current system, usually
	removable devices. For the moment only work for hard disk devices

2004-04-22  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* services-conf.in: made it to end the report correctly when writing 
	  config

2004-04-22  Artur Flinta  <aflinta@cvs.gnome.org>

	* configure.in: Added pl to ALL_LINGUAS.

2004-04-20  Carlos García Campos <elkalmail@yahoo.es>

	* disks-conf.in: declare @tracks variable with "my" to set local scope
	for it

2004-04-20  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* service.pl.in: added support for saving services config in
	  FreeBSD
	* util.pl.in (gst_util_read_boolean): added the "YES" condition to
	  this function

2004-04-19  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* service.pl.in, services-conf.in: added read-only support for
	  FreeBSD, support for saving the services config is to come
	* service-list: added a bunch of forbidden services for FreeBSD

2004-04-18  Carlos García Campos <elkalmail@yahoo.es>

	* disks-conf.in: added get_cdrom_disc_info to get information
	specific for each cdrom disc type (data, audio and mixed)

	* disks-conf.in: avoid fdisk -l scan for cdrom devices

2004-04-16  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* service-list.pl.in: more services

2004-04-14  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* service-list.pl.in: added a couple of forbidden services

2004-04-14  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* disks-conf.in (get_dev_speed) (dev_speed): made it not to block
	  UI when getting the device speed

2004-04-11  Carlos García Campos <elkalmail@yahoo.es>

	* disks-conf.in: fixed minor bug in mount directive

2004-04-11  Carlos García Campos <elkalmail@yahoo.es>

	* disks-conf.in: added <mounted> and <point> tags for data and mixed
	cdrom

2004-04-10  Carlos García Campos <elkalmail@yahoo.es>

	* disks-conf.in: sorts devices by "media" to send it sorted to the
	frontend. In mount directive it sends extra information even if an
	error have been occurred. 

2004-04-09  Carlos García Campos <elkalmail@yahoo.es>

	* disks-conf.in: added a directive for mount / umount actions

2004-04-09  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* service-list.pl.in: added some more descriptions and forbidden 
	  services to the list

2004-04-08  Adam Weinberger  <adamw@gnome.org>

	* configure.in: Added en_CA to ALL_LINGUAS.

2004-04-06  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* network.pl.in: several fixes for gentoo, such as gateway 
	  setting fixes for gentoo, adding control for starting or 
	  stopping samba service and avoiding the silly creation of 
	  /etc/conf.d/net.$dev file

2004-04-05  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* service-list.pl.in: added descriptions for "joystick", "acpid" and
	  "ntpdate" from John Spray <jcs116@york.ac.uk>

2004-04-05  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* file.pl.in (gst_file_copy): added
	* service.pl.in (gst_service_gentoo_get_service_status): added.
	  (gst_service_gentoo_set_status): added a $force var for 
	  forcing the starting or stopping of the service
	* time-conf.in: updated gst_service_gentoo_set_status() use
	* network.pl.in: added PPP support for gentoo

2004-04-04  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "sv" to ALL_LINGUAS.

2004-04-03  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* service.pl.in (gst_service_gentoo_installed) 
	  (gst_service_gentoo_set_status): added
	* time-conf.in: added full service for gentoo

2004-04-02  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* service.pl.in, services-conf.in: added --set for gentoo init,
	  all the gentoo modifications in the services tool has been 
	  made with collaboration from Eduardo Garcia Cebollero 
	  <kiwnix@yahoo.es>

2004-04-02  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* service-list.pl.in: replaced the forbidden services hash with
	  a forbidden services list. added regexp search capabilities to 
	  such list. Added some gentoo forbidden services too
	* service.pl.in: added gentoo support for reading config, 
	  guessing a service status and running/stopping a service
	* services-conf.in: added support for gentoo

2004-03-30  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* platform.pl.in: d'oh! added Mandrake 9.2 to $PLATFORM_INFO

2004-03-29  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* network.pl.in, network-conf.in: added initial support for gentoo
	* parse.pl.in (gst_parse_sh_re): added
	* replace.pl.in (gst_replace_sh_re): added

2004-03-29  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* network.pl.in (gst_network_slackware91_ifaces_get_existing): little
	  improvement when parsing unknown interfaces

2004-03-27  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* parse.pl.in: little parse improvement, now it's able to parse things
	  like "%one_tag%-%other_tag%"
	* network.pl.in: (gst_network_suse70_ppp_iface_active): removed STDERR
	  output. (gst_network_route_set_default_gw): fixed default gw setting.
	  Various other slackware related fixings, now ppp ifaces should work
	  like a charm

2004-03-25  Gareth Owen  <gowen72@yahoo.com>

	* configure.in: Added en_GB to ALL_LINGUAS

2004-03-19  Evandro Fernandes Giovanini  <evandrofg@ig.com.br>

	* configure.in (ALL_LINGUAS): Added "pt_BR" (Brazilian Portuguese).

2004-03-17  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* replace.pl.in: (gst_replace_chat): added the possibility of not
	  using quotes in the file, I'm not sure if they are needed at all
	  in any distro's chatfile, so I won't remove that bit until I'm sure

2004-03-16  James Ogley <james@usr-local-bin.org>

	* service.pl.in, time-conf.in: added support for SuSE 9.0 for the
	  time tool

2004-03-16  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* network-conf.in, network.pl.in: added slackware 9.1 ppp support
	* replace.pl.in, parse.pl.in, file.pl.in: related fixes

2004-02-18  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* configure.in: fixed compilation

2004-02-07  Robert Sedak  <robert.sedak@sk.htnet.hr>
 
         * configure.in: Added "hr" (Croatian) to ALL_LINGUAS.

2004-02-08  Takeshi AIHANA <aihana@gnome.gr.jp>

	* configure.in: Added 'ja' (Japanese) to ALL_LINGUAS.

2004-02-05  Christian Neumair  <chris@gnome-de.org>

	* configure.in: Added "de" (German) to ALL_LINGUAS.

2004-02-05  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* Release 0.32.0

2004-02-01  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* boot-grub.pl.in: added some notification when the file can't be
	  found

2004-02-01  Ole Laursen  <olau@hardworking.dk>

	* configure.in: Added "da" (Danish) to ALL_LINGUAS.

2004-01-31  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* boot-conf.in, boot.pl.in: added support for choosing the preferred
	  bootloader if there are several installed

2004-01-31  Žygimantas Beručka  <uid0@tuxfamily.org>

	* configure.in: Added "lt" to ALL_LINGUAS.

2004-01-23  Grzegorz Golawski <grzegol@pld-linux.org>

	* network-conf.in, network.pl.in, platform.pl.in, service.pl.in,
	  services-conf.in, time-conf.in, users-conf.in: Added patch to
	  add support for PLD 1.1 and 1.99

2004-01-16  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Added "no" to ALL_LINGUAS. 

2004-01-14  Changwoo Ryu  <cwryu@debian.org>

	* configure.in: Added "ko" to ALL_LINGUAS.

2004-01-13  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* network.pl.in: delay the call to wvdialconf to the moment in which
	  the config is applied, so when wvdialconf is buggy and blocks it 
	  doesn't affect in the tool's startup

2004-01-07  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* Release 0.31.1

2004-01-07  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* configure.in: updated intltool version to 0.28
	* Makefile.am: added OrigTree.pm to EXTRA_DIST
	* .cvsignore: added intltool-*

2004-01-07  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* service-list.pl.in: fixed some strings, thanks to Elros Cyriatan

2004-01-07  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* services-conf.in, services.pl.in, time-conf.in, users-conf.in,
	  network-conf.in, network.pl.in: added support for mandrake 9.2

2004-01-07  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* network.pl.in: (gst_network_slackware91_interface_activate_by_dev), 
	  (gst_network_slackware91_interface_activate): added functions to
	  activate and deactivate interfaces in slackware

2004-01-06  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* network-conf.in, network.pl.in: added partial support for slackware 
	  9.1, ATM it only supports eth interfaces config (wireless eth ifaces
	  too)
	* service.pl.in: (gst_service_sysv_installed),
	  (gst_service_sysv_list_any_installed): replaced by
	  (gst_service_installed) and (gst_service_list_any_installed).
	  (gst_service_bsd_set_status): added
	* time-conf.in: made it to use gst_service_list_any_installed ()
	* replace.pl.in: (gst_replace_slackware_hostname),
	  (gst_replace_rcinet1conf), (gst_replace_rcinet1conf_global),
	  (gst_replace_wireless_opts): functions added to replace in slackware
	  network config files
	* parse.pl.in: (gst_parse_slackware_hostname),
	  (gst_parse_rcinet1conf), (gst_parse_rcinet1conf_bool),
	  (gst_parse_wireless_opts): functions added to parse slackware network
	  config files

2004-01-05  Carlos Garcia Campos <elkalmail@yahoo.es>

	* disks-conf.in: get start-end cylinder/block for partitions 
	in i386 and powerpc. Added support for empty partitions
	
2004-01-02  Danilo Šegan  <dsegan@gmx.net>

	* configure.in: Added "sr" and "sr@Latn" to ALL_LINGUAS.

2003-12-31  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* general.pl.in: fuck debian, why the hell the
	  bind_domain_codetext function is only in debian, why
	  should they change the liblocale-gettext library api?
	  this should fix gst for the rest of the distros

2003-12-31  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* services-conf.in, service.pl.in: made the throw_service
	  directive more generic, it now allows bsd and sysv services
	  to be thrown

2003-12-31  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* service-list.pl.in: added a forbidden service for slack
	* service.pl.in: made it to parse /etc/rc.inet2 too

2003-12-31  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* configure.in: fixed

2003-12-30  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* Release 0.31.0

2003-12-30  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* autogen.sh, configure.in: changes for passing distcheck

2003-12-29  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* Makefile.am, configure.in, boot-conf.in, boot.pl.in: added
	  yaboot support
	* boot-yaboot.pl.in: added
	* boot-lilo.pl.in: fixed a little bug

2003-12-28  Duarte Loreto <happyguy_pt@hotmail.com>

	* configure.in: Added Portuguese (pt) to ALL_LINGUAS.

2003-12-28  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* platform.pl.in: added slackware 9.1 to the platform list
	* service.pl.in, services-conf.in: added slackware support for
	  the services-admin tool, removed unused code
	* users-conf.in: added slackware 9.1 support for users-admin
	* time-conf.in: added slackware 9.1 support for time-admin

2003-12-28  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* configure.in: Added Spanish (es) to ALL_LINGUAS

2003-12-27  Miloslav Trmac  <mitr@volny.cz>

	* configure.in: Added Czech (cs) to ALL_LINGUAS.

2003-12-26  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* general.pl.in: made the backends to run even when the computer
	  doesn't have the gettext perl library
	* platform.pl.in: added Fedora Core 1 to the supported platforms
	  list
	* network-conf.in, network.pl.in: added support for Fedora Core 1
	* service.pl.in, services-conf.in: ditto
	* time-conf.in: ditto
	* users-conf.in: ditto

2003-12-24  Carlos Garcia Campos <elkalmail@yahoo.es>

	* disks-conf.in: updated CD/DVD type content detection (data, blank,
	mixed or audio)
	
2003-12-22  Alvaro del Castillo San Félix <acs@barrapunto.com>

	* disks-conf.in: several modifications to add support for the new
	  tool to manage disks in GNOME System Tools.
	  - Informartion about CD/DVD properties
	  - Information about disks models
	  - Test of disks speed
	  - Free space
	  - Initial support for USB devices

2003-12-21  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* service.pl.in, services-conf.in: added the "get_status" directive
	  for knowing if a service is running or stopped

2003-12-16  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* added support for i18n in the backends
	* gettext.pl.in: removed, hacky as hell
	* Makefile.am, configure.in: added i18n rules
	* general.pl.in: removed reference to gettext.pl.in, added i18n code
	* hardware-conf.in, package-conf.in, xml.pl.in: made the XML to be
	  UTF-8
	* report.pl.in: removed reference to gettext.pl.in
	* service.pl.in, service-list.pl.in: marked a bunch of strings as
	  translatable
	* po/POTFILES.in, POTFILES.skip: added
	* fixes bug #108519

2003-12-10  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* replace.pl.in: made it to delete in the files all known variables 
	  that are no longer existing in the XML

2003-12-09  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* Release 0.30.0

2003-11-23  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* replace.pl.in: made it to delete the "auto" stanzas from the debian
	  network config file. fixes bug #126930

2003-11-23  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* boot-conf.in: made it to mount the /boot partition before getting
	  or setting the data. fixes bug #125199

2003-11-22  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* network.pl.in, network-conf.in, platform.pl.in, service.pl.in, 
	  services-conf.in, time-conf.in, users-conf.in: s/woody/3\.0/
	* time-conf.in: made it to use gst_service_list_sysv_any_installed ()
	  when the distro is debian woody

2003-11-22  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* services.pl.in: (gst_service_sysv_list_any_installed): added, this
	  checks that any service inside a list exists in init.d

2003-10-30  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* time-conf.in: fixed the ntpd server for debian, it was "ntp-simple",
	  not "ntpd"
	* network.pl.in, time-conf.in: fixed ntp and smbd servers
	  activation/deactivation

2003-10-26  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* network.pl.in: fixed XML generation when iwconfig is missing

2003-10-24  Carlos Garnacho Parro  <garnacho@tuxerver.net>
 
        * Release 0.29.0

2003-10-23  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* network.pl.in: added a small delay between ifup and ifdown when
	  an interface has changed

2003-10-22  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* time-conf.in: added gentoo to conf_get_replace_table(). fixes
	  bug #123400

2003-10-20  Carlos Garnacho Parro  <garnacho@tuxerver.net>
 
         * time-conf.in: made the XML to send the months beginning from 1
           instead of 0, now it works in the same way getting than
	   setting the XML

2003-10-19  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* network.pl.in, network-conf.in: added wireless interfaces support
	  for debian >= woody, redhat >= 7.2 and mandrake >= 9.0

2003-10-13  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* release 0.28.0

2003-10-09  Gerhard Mourani  <gmourani@openna.com>

	* network-conf.in, network.pl.in, package-conf.in, platform.pl.in,
	  print.pl.in, service.pl.in, services-conf.in, shares-conf.in,
	  time-conf.in, users-conf.in: added OpenNA support

2003-10-08  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* xml.pl.in: (gst_xml_read_stdin) improved xml reading
	* general.pl.in: use autoflush for both STDERR and STDOUT, changed
	  textdomain

2003-09-15  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* users-conf.in: added $gentoo_logindefs_defaults, whose default main
	  group is "users". Fixes bug #122163

2003-09-15  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* users-conf.in: added Mandrake 9.X support for the users tool
	* time-conf.in: added Mandrake 9.X support for the time tool
	* service.pl.in, services-conf.in: added Mandrake 9.X support for the
	  services tool
	* network.pl.in, network-conf.in: added Mandrake 9.X almost complete
	  support for the network tool, configuring a PPP interface seems 
	  to be curiously broken at least in mandrake 9.0, I need to find 
	  out what's the problem.

2003-09-13  Eduardo Garcia Cebollero <kiwnix@yahoo.es>

	* *.pl.in, *-conf.in, configure.in, Makefile.am, Makefile.in:
	  [build_system_switch] Update the sustitution system used in the
	  Makefiles for using Autoconf.
	* system-tools-backends.pc.in : Added file (independant info for
	  use if you want to know data about the backends)
	* autogen.sh: made it able to compile the backends independently of
	  the frontends

2003-09-13  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* users-conf.in (del_user): made it not to delete the deleted user's
	  home, it's a more safe default

2003-09-13  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* boot.pl.in (gst_boot_get_entry_parse_table): pass the correct
	  parameters to gst_boot_grub_parse_initrd (), fixes bug #121744

2003-08-30  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* boot-grub.pl.in (gst_boot_grub_linux2grub)
	(gst_boot_grub_grub2linux): added some rude guessing if
	the device doesn't exist in devices.map, anyways, this may still
	fail under certain circumstances, but this is unavoidable :-(

2003-08-25  Carlos Garnacho Parro  <garnacho@tuxerver.net>
 
        * Release 0.27.0

2003-08-25  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* Makefile.am: fixed, now it passes distcheck

2003-08-23  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* boot-grub.pl.in: (gst_boot_grub_edit_entry): removed, no longer
	  neccesary, now boot-conf only deletes and adds entries. 
	  Added support for Hurd. 
	  (gst_boot_grub_entry_is_valid): added.
	  (gst_boot_grub_entries_set): made it to ignore the entries it can't
	  understand.
	* boot.pl.in: added support for grub, made it to ignore the entries it
	  can't understand.

2003-08-21  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* services.pl.in: added verbose runlevel description

2003-08-21  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* Makefile.am: removed some unused backends from installing, removed
	  runlevel-conf.in and added services-conf.in
	* services.pl.in: some changes to make it more services oriented
	* services-conf.in: added
	* runlevel-conf.in: removed

2003-08-11  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* boot-grub.pl.in, boot.pl.in: reverted again the path finding stuff, 
	  don't know how, but I mixed old and new patches misteriously :-/

2003-08-11  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* boot-grub.pl.in: added password support for grub entries,
	  changed the way it finds out the path to the kernel image
	* boot-lilo.pl.in: added password support for lilo entries
	* boot.pl.in: added general password support

2003-08-11  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* xml.pl.in: made it to ignore any whitespace or carriage return
	  at the beginning of the xml when parsing

2003-08-09  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* general.pl.in: added a carriage return for synchronism with the
	  frontend

2003-07-09  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* platform.pl.in: s/Mandrake\ Linux/Linux\ Mandrake/ in PLATFORM_INFO,
	and made MDK 9.1 codename "Bamboo". Fixes bug #116864

2003-06-25  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* network-conf.in, network.pl.in, platform.pl.in, runlevel-conf.in,
	service.pl.in, time-conf.in, users-conf.in: s/redhat\-9\.0/redhat\-9/,
	because it's in this way in /etc/redhat-release, there won't appear
	the distro selection window anymore in redhat9 :-P
	* network.pl.in: (gst_network_ensure_loopback_interface): removed
	loobpack in redhat9, it isn't really neccesary (I'm even thinking about
	removing loopback support at all in GST) and broke the redhat network
	tool. Fixes #114044
	(gst_network_rh72_get_file): made it to create the interface filename
	with the "dev" tag instead of the "name" tag (for RH >=7.2)

2003-06-23  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* network.pl.in: added the possibility of dialing to an external line

2003-06-23  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* boot-grub.pl.in: made it not to remove the root parameter from 
	the append data

2003-06-21  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* boot-grub.pl.in, boot.pl.in: fix path problems when the kernel
	image is in a mount point different to /

2003-06-11  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* backends/boot-grub.pl.in, boot.pl.in: made grub path-aware when 
	/boot is a partition. fixes #113687 and #106997

2003-05-31  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* time-conf.in: added a comma, now the time tool backend works again
	:-(

2003-05-30  Carlos Garnacho Parro  <garnacho@tuxerver.net>
 
        * Release 0.26.1

2003-05-30  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* platform.pl.in, runlevel-conf.in, service.pl.in, time-conf.in,
	users-conf.in: added mandrake 9.1 support, patch by Frej Rasmussen

2003-05-29  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* runlevel-conf.in, service.pl.in, users-conf.in, time-conf.in,
	network-conf.in, network.pl.in, platform.pl.in: added RedHat 9
	support

2003-05-29  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* runlevel-conf.in, service.pl.in: added support for file-rc (ATM in
	debian), tidied up things to allow several init types, but still much
	more work is to come about this...
	* service-list.pl.in: added some more forbidden services

2003-05-24  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* network-conf.in: I am really dumb... I still don't know how, but 
	somehow I deleted the $profile_file declaration line, leaving the
	profiles administration completely useless :-(((

2003-05-20  Carlos Garnacho Parro  <garnacho@tuxerver.net>
 
        * Release 0.26.0
	 
2003-05-19  Ken Stanley  <kstanley@teamzx.com>

	* platform.pl.in, time-conf.in, users-conf.in: slackware 9 version is
	9.0.0, not 9.0. Fixed

2003-05-18  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* network-conf.in: added support for network profiles

2003-05-06  Carlos Garnacho Parro  <garnacho@tuxerver.net>
 
        * Release 0.25.0

2003-05-05  Eduardo García Cebollero <kiwnix@yahoo.es>

	* service-list.pl.in: added more services descriptions

2003-05-05  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* boot-grub.pl.in: when a grub entry had no append, the append tag was
	filled with the image entry, fixed

2003-05-01  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* boot-conf.in: removed @platform, this isn't neccesary
	* network-conf.in, network.pl.in, platform.pl.in, runlevel-conf.in,
	service.pl.in, time-conf.in, users-conf.in: applied patch from 
	Grzegorz Golawski <grzegol@pld.org.pl>, this adds support for the PLD
	distribution

2003-04-25  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* boot-grub.pl.in, boot-lilo.pl.in, boot.pl.in: added support for
	initrd both in grub and lilo

2003-04-23  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* network.pl.in: made it to bring down and up an interface when
	changing it. closes bug #111038.

2003-04-23  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* network.pl.in: fixed modem autodetection, now it works before and
	after a ppp session

2003-03-23  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* network-conf.in, network.pl.in: added modem autodetection directive

2003-03-13  Christian Neumair  <chris@gnome-de.org>

	* .cvsignore: Updated.
	* users-conf.in: Added Gentoo to list of supported platforms.
	* rhprinterdb2gstxml.pl: Added.
	* rhprinterdb2xstxml.pl: Removed, renamed to rhprinterdb2gstxml.pl.

2003-03-12  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* time-conf.in, boot-conf.in, users-conf.in, platform.in:
	  patch by Todd Kulesza <todd@dropline.net>, it adds support
	  for Slackware 8.1 in time-admin, boot-admin and users-admin.

2003-03-12  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* network-conf.in: now stores fine both IPv4 and IPv6 
	  addresses in the /etc/hosts file

2003-03-08  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* Release 0.24.0

2003-03-08  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* boot-conf.in, boot.pl.in, partition.pl.in: modified to include
	  partition list info in the xml (it sends the device and partition
	  type for each partition)

2003-03-04  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* boot-lilo.pl.in: lilo needs the vga settings in the "vga" entry, not
	  in the "append" entry. Fixed

2003-02-21  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* Release 0.23.0

2003-02-19  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* service-list.pl.in: added more service descriptions, patch by Martin
	  Lundberg <martin.lundberg3@telia.com>

2003-02-07  Rodrigo Moya <rodrigo@gnome-db.org>

	* configure.in: require autoconf 2.52 or bigger.

2003-02-06  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* network.pl.in: added more modem options for ppp connection, such
	  as modem volume and dialing type (pulses, tones)

2003-01-14  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* boot-conf.in, network-conf.in, network-pl-in, platform.pl.in,
	  runlevel-conf.in, service.pl.in, time-conf.in, users-conf.in:
	  Added RH8.0 in the supported distros list
	* platform.pl.in: added codename for RH7.3, the dialog looks prettier
	  with codenames :-)

2002-12-28  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* service.pl.in, runlevel-conf.in: added two new directives to
	  runlevel-conf, they are for getting a service parameters and for
	  throwing a service 

2002-12-26  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* service-list.pl.in: added some descriptions to the list.

2002-12-18  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* network.pl.in: fixed ppp interface creation in debian (other distros
	  should be tested)

2002-12-12  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* Fixed bug 100683

2002-12-02  Carlos Garnacho Parro  <garnacho@tuxerver.net>

        * Release 0.22

2002-12-02  Carlos Garnacho Parro <garnacho@tuxerver.net>

        * Makefile.am: fixed to make distcheck pass
	
2002-12-02  Carlos Garnacho Parro <garnacho@tuxerver.net>

	* time-conf.in: solved bug #99744

2002-12-02  Carlos Garnacho Parro <garnacho@tuxerver.net>

	* added README with some contents

2002-11-28  Carlos Garnacho Parro <garnacho@tuxerver.net>

	* Makefile.am: removed README

2002-11-22  Carlos Garnacho Parro <garnacho@tuxerver.net>

	* added RH7.3 in $PLATFORM_INFO

2002-11-22  Markus Bertheau  <twanger@bluetwanger.de>

	* platform.in: Added Gentoo Linux

	* time-conf.in: Added Gentoo Linux, it works like redhat-7.0

2002-11-22  Álvaro Peña <icekooder@usuarios.retecal.es>

         * platform.in: Added Slackware 9.0,
         (check_slackware): Changed the regular expresion

         * time-conf.in: Added Slackware 9.0,
         (conf_get_replace_table, conf_get_parse_table): in dist_map
         slackware-9.0.0 is like debian-2.2

         * users-conf.in: Added Slackware 9.0,
         (logindefs_dist_map): slackware-9.0.0 uses rh_logindefs_defaults

         * boot-conf.in: Added Slackware 9.0

2002-11-21  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* Added general support in all working backends for debian sarge, 
	  it currently works just like woody.
	* fixed lsb bug for debian, just as proposed by Jose Carlos García
	  Sogo.

2002-11-20  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* boot-lilo.pl.in, boot.pl.in: added "timeout" keyword in the lilo
	  configuration, it's set to the same value than "delay"

2002-11-19  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* boot-conf.in: removed platform dependency in the "verify" directive.

2002-11-08  Carlos Garnacho Parro <garnacho@tuxerver.net>

	* boot-conf.in: removed partitions from xml,
	  (xst_platform_ensure_supported) removed, it's no longer neccesary in
	  boot-conf (autodetection now is based on the bootloaders it finds,
	  not in the distro)
	  
	* boot.pl.in: (xst_boot_bootloader_get) added to guess the bootloader
	  the system has in use. removed all distro based stuff.

	* boot-lilo.pl.in: removed all stuff related to the partition type
	  comments

	* boot-grub.pl.in: (xst_boot_grub_get_config_file),
	  (xst_boot_grub_find_entry), (xst_boot_grub_delete_entry),
	  (xst_boot_grub_edit_entry), (xst_boot_grub_add_entry),
	  (xst_boot_grub_entries_set): added to improve the entries management
	  in grub. aditional code improvements.
	  
2002-09-18  Tambet Ingo  <tambet@ximian.com>

	* users-conf.in: Added RedHat 7.3.

	* time-conf.in (conf_get_replace_table): Added RedHat 7.3.

	* service.pl.in (xst_service_sysv_get_paths): Added RedHat 7.3.

	* time-conf.in: Added RedHat 7.3.

2002-09-14  Carlos Garnacho Parro  <garparr@teleline.es>

	* configure.in: next step, 0.22.0

2002-09-13  Carlos Garnacho Parro  <garparr@teleline.es>

	* platform.pl.in: Added FreeBSD 4 and FreeBSD 5 in $PLATFORM_INFO

2002-09-03  Carlos Garnacho Parro  <garparr@teleline.es>

	* Release 0.21.0

2002-09-02 Álvaro Peña <alvaropg@mac.com>

	* platform.pl.in: Added Slackware 8.0.0 to platforms list
	and check_slackware for check it.

	* time-conf.in: Added slackware-8.0.0 to platforms list
	(conf_get_replace_table & conf_get_parse_table): in dist_map
	slackware-8.0.0 is like	debian-2.2

	* users-conf.in: Added slackware-8.0.0 to platforms list
	in logindefs_dist_map slackware-8.0.0 using rh_logindefs_defaults

2002-09-02  Theo van Klaveren  <t.vanklaveren@student.utwente.nl>

	* users-conf.in: basic FreeBSD porting work, adding/deleting
	users and groups should work

2002-08-31  Carlos Garnacho Parro  <garparr@teleline.es>

	* Release 0.20.0

2002-05-17  Carlos Garnacho Parro  <garparr@teleline.es>

	* service-list.pl.in: added a service list
	* service.pl.in: added new functionality
	* runlevel-conf.in: rewritten from scratch
	* AUTHORS: updated

2002-02-10  Chema Celorio  <chema@celorio.com>

	* Port to the GNOME 2.0 platform

2002-02-10  Chema Celorio  <chema@celorio.com>

	* configure.in : portify AC_INIT and AM_INIT_AUTOMAKE

2002-02-08  Chema Celorio  <chema@celorio.com>

	* configure.in: 0.12.0 here we go
	
2002-01-07  Tambet Ingo  <tambet@ximian.com>

	* dhcpd.pl.in (xst_dhcpd_conf_get_parse_table): Added RH 7.1 to platforms list.

	* dhcpd-conf.in: Ditto.
	(xml_parse): Accept a conditional argument to make debugging nicer.

2002-01-06  Chema Celorio  <chema@celorio.com>

	* tokenizer.pl.in: utility functions to parse/replace config file.
	Please : do not use them yet as they need renaming and the order of the
	parameters are going to chamge

	* dhcpd.pl.in: add to repository

	* xml.pl.in (xst_xml_print_hash): only print the tag if it is not empty

	* util.pl.in (xst_array_find_index): utility function to find the index
	of an array item given the item.

	* dhcpd-conf.in: add dhcpd backend

	* Makefile.am (BACKENDSBODY): add dhcpd.pl.in and dhcpd-conf.in

2002-01-02  Arturo Espinosa Aldama  <arturo@ximian.com>

	* general.pl.in (xst_directive_run): Wrong lowargs reporting. Better
	use scalar than $#.

	* file.pl.in (xst_file_run): was redirecting stderr to /dev/null twice.

	* replace.pl.in (xst_replace_split): minor indentation.

2002-01-02  Tambet Ingo  <tambet@ximian.com>

	* xml.pl.in (xst_xml_scan_make_kid_array): Single quote (') can be used
	as an xml attribute enclosing symbol as well.

2001-12-20  Tambet Ingo  <tambet@ximian.com>

	* service.pl.in (xst_service_sysv_remove_link): Close dir also after
	opening it.
	(xst_service_sysv_set_links_active): Use stricter regexps to remove
	only service we need (xfs vs xfstt).
	(xst_service_sysv_set_links_inactive): Ditto.
	(xst_service_sysv_restart): Actually see what parameters got passed and
	use them. doh!

	* font.pl.in (xfs_reload): Use more compatible way to restart xfs.
	(x_font_set): Restart xfs only when needed.

2001-12-19  Tambet Ingo  <tambet@ximian.com>

	* shares-conf.in (get_installed_tools): Implement.
	(xml_print): Print tools.

2001-12-19  Arturo Espinosa Aldama  <arturo@ximian.com>

	* network.pl.in (xst_network_get_replace_table): Use the
	new keyword for SuSE's suseconfig run.
	(xst_network_get_interface_parse_table): Back to editting
	/etc/sysconfig/network-scripts. :)

	* replace.pl.in (xst_replace_run_entry): New "_always_" key
	forces call of the function.
	(xst_replace_from_table): same.

2001-12-18  Arturo Espinosa Aldama  <arturo@ximian.com>

	* platform.pl.in (check_debian): Correctly detect woody, which
	is now officialy 3.0.

2001-12-17  Arturo Espinosa Aldama  <arturo@ximian.com>

	* network-conf.in: Added rh72 back to supported list.

	* replace.pl.in (xst_replace_join_hash): Delete entries missing
	in the hash found in the old file. Fixes #16329

	* network.pl.in (xst_network_debian_woody_get_auto): Hmm... this
	should return 1/0. Fixes #12983

2001-12-16  Chema Celorio  <chema@celorio.com>

	* network-conf.in: remove rh 7.2 from supported list

	* configure.in (dnl): bump version to 0.11.0

2001-12-14  Arturo Espinosa Aldama  <arturo@ximian.com>

	* network.pl.in (xst_network_interfaces_set): simplified expression.
	(xst_network_rh72_interface_delete): redhat-7.2's own version of this.

	* network-conf.in (xml_parse): oops.

	* parse.pl.in (xst_parse_expand): Copy the array before expanding
	into it.

	* network.pl.in (xst_network_sysconfig_dir_ifaces_get_existing): More
	flexible ifcfg-* file matching.

	* users-conf.in: Added redhat-7.2 to logindefs_dist_map.

	* runlevel-conf.in: Added redhat-7.2 as a supported platform.

	* network.pl.in (xst_network_xml_parse_interface): modernized.
	Also, pass the whole hash to network_get_file.
	(xst_network_get_broadcast_ping_cmd): redhat-7.2 was missing.
	(xst_network_rh72_get_file): Red Hat 7.2 version.

	* network-conf.in (xml_parse): modernized parse routines.
	(xml_parse_network): same.
	(xml_parse_statichost): same.
	(xml_parse_dialing): same.

2001-12-11  Israel Escalante <israel@ximian.com>

	* Release 0.10.0.

2001-12-13  Israel Escalante  <israel@ximian.com>

	* ishare.pl.in: Added R.H. 7.2 to the list of supported plataforms.

	* internetsharing-conf.in: Added R.H. 7.2 to the list
	  of supported platforms.

2001-12-13  Arturo Espinosa Aldama  <arturo@ximian.com>

	* boot-grub.pl.in (xst_boot_grub_replace_label): fix: wrong regexp.

	* util.pl.in (xst_item_is_in_list): style fix.

	* general.pl.in (xst_directive_run): bugfix: the min arg count
	was wrong.

	* boot-lilo.pl.in (xst_boot_lilo_verify_entrylabel): Verify
	an entry label's lilo.conf compliance. Uff: no docs on this in
	the man page.
	(xst_boot_lilo_verify): The lilo verification routine.

	* boot-grub.pl.in (xst_boot_grub_verify): No verification
	cases required for this to this moment. Just return success.

	* boot-conf.in (verify_print): print verification result.
	(verify): new verification directive. Other pertinent backends
	should implement this too.

2001-12-12  Arturo Espinosa Aldama  <arturo@ximian.com>

	* network.pl.in (xst_network_get_interface_replace_table): Don't replace
	in the network-script files.

	* boot.pl.in (xst_boot_conf_get): Oops: redhat 72 was behaving
	like 62 for testing.
	(xst_boot_entry_set): Use the copy for replacing. Was contaminating
	further iterations.
	(xst_boot_conf_set): rh 72 behaving like 62 for testing.

	* boot-grub.pl.in (xst_boot_grub_parse_other): Corrected this
	function: wrong semantics.
	(xst_boot_grub_replace_cmd_in_buff): beautify the output.
	(xst_boot_grub_replace_other): use the correct semantics.

2001-12-11  Arturo Espinosa Aldama  <arturo@ximian.com>

	* xml.pl.in (xst_xml_print_structure): minor naming change.

	* util.pl.in (xst_max): can't believe I needed this.

	* report.pl.in (xst_report_stderr): Helps to trap
	errors easily with the debugger.

	* network.pl.in (xst_network_interface_active): return
	undef instead of 0 if failed. This allows fallback.
	(xst_network_interfaces_get): Use parse_expand here too.
	(xst_network_get_interfaces_parse_table): In all distros,
	fallback to trivial 0 if interface_active fails. RedHat 7.2
	fallbacks trying with DEV then IFACE before using trivial 0.
	(xst_network_get_interface_replace_table): redhat-7.2: also
	replace in network-scripts file. *sigh*

	* network-conf.in (xml_parse): minor style change.

	* file.pl.in: Random style adjustments.
	(xst_file_buffer_load_fd): load from an already open fd.
	(xst_file_locate_tool): report locate tool failed for
	absolute paths too.

	* boot-lilo.pl: New file with the lilo stuff. Lots of
	renaming and style changes. Some bug fixes. Should migrate
	the entry stuff to a table-oriented structure.

	* boot.pl.in: Migrated lilo stuff to new boot-lilo.pl.in.
	Some renaming of fix functions that apply to all cases, not
	only lilo. Implemented grub replace functions. All tables
	are now oriented to the KEY as the key, instead of the label.

	* boot-grub.pl.in: Too many changes to mention. Replacing
	function. For code efficiency, migrated all parsing
	functions to read buffer then scan, instead of using
	fd's. Several rounds of bug fixing and reshaping.

	* boot-conf.in (xml_parse): modernized style of all
	xml parse functions.
	(xml_print): removed print_entries: we now use print
	structure for this. Prompt is now a 1/0 boolean scalar.
	Removed global kws: last global kw prompt is now a scalar.
	
	Some function renaming.

	

2001-12-04  Arturo Espinosa Aldama  <arturo@ximian.com>

	* Makefile.am (PERLBODY): Process boot-lilo too.

	* boot-lilo.pl.in: Migrated functions from boot.pl.in.

2001-11-30  Arturo Espinosa Aldama  <arturo@ximian.com>

	* boot-conf.in (xml_print): Oops: prompt not a scalar.

	* file.pl.in (xst_file_buffer_load_fd): Same with an already
	open fd.

2001-12-10  Tambet Ingo  <tambet@ximian.com>

	* general.pl.in (xst_directive_run): Fixed it so it handles
	varargs right.

	* font.pl.in (font_test): Made it to be able to accept list
	of directories (and/or files) to look fonts from.

	* font-conf.in (test): Ditto.

2001-12-07  Tambet Ingo  <tambet@ximian.com>

	* font.pl.in: Added checks to get gnome-print's $DATADIR
	and $SYSCONFDIR.
	Changed internal font list structure from ARRAY to HASH.
	This makes font-conf much faster and obsoletes functions:
	(font_cmp_files): Removed.
	(font_cmp): Removed.
	(font_exists): Removed.
	(font_delete): Removed.

2001-12-06  Tambet Ingo  <tambet@ximian.com>

	* font.pl.in (font_cmp_files): Implement.
	(gp_run): Include aliases to font search.
	(gp_read_fontmaps): Add new font to fontlist only
	if it's not there already.
	(x_get_fonts): Ditto.
	(x_fonts_dir_parse): Check for all font file types
	not just .pfb.


2001-12-05  Tambet Ingo  <tambet@ximian.com>

	* font.pl.in: Removed big chunks of old code.
	(x_add_font): Fixed a bug which prevented
	installing truetype fonts.
	(xfs_add_fontpath): Implement.

2001-12-04  Tambet Ingo  <tambet@ximian.com>

	* Makefile.am (EXTRA_DIST): Added type1inst to build.
	* type1inst: new file.
	* font.pl.in: Now it's able to install font to X and
	gnome-print. Font systems syncronisation work too.
	(font_file_del): Disabled font deletion for now.
	(font_remove): Ditto.

	* font-conf.in: Removed debians from supported list since
	we don't support xfs-tt yet. 
	(set): Enabled it.

2001-11-29  Arturo Espinosa Aldama  <arturo@ximian.com>

	* boot.pl.in: s/image/entry/ bugs: some "image" strs were
	not supposed to be changed. :)

	* xml.pl.in (xst_xml_print_hash): minor comment update.

	* partition.pl.in (xst_partition_scan_info): Moved to the
	top (scrolling past the id table is annoying).

	* network.pl.in (xst_network_get_parse_table): Use the bare
	numbers for parse_trivial entries: no need for quotes.

	* boot-conf.in (xml_print): Removed unused scalars. Print
	partition info.

	* boot.pl.in (xst_boot_conf_get): Parse pixmap support
	and pixmap file. mandrake-7.2's own table.

	* boot-grub.pl.in (xst_boot_grub_parse_type): Part of
	the hack below.
	(xst_boot_grub_parse_pixmap): splashimage support.

	* boot.pl.in (xst_boot_entries_get): Hack to pass
	partition info into the entries parse table.
	(xst_boot_get_entries_parse_table): Part of the hack.

2001-11-28  Arturo Espinosa Aldama  <arturo@ximian.com>

	* boot.pl.in (xst_boot_entries_get): pass param of where
	the grub.conf file is to the entries_get proc.
	
	Use double quotes instead of single for hash indexes and
	table entries: this makes string search easier.

	* boot-grub.pl.in: fixed a lot of bugs. Implemented missing
	grub functions: image, other, append.

2001-11-28  Hans Petter Jansson  <hpj@ximian.com>

	* filesys.pl.in (xst_filesys_mount_sync_all): Use the
	fstab entry for mount optoins, if it exists.

	* shares-conf.in (set): Mount/unmount after fstab updated.

2001-11-27  Arturo Espinosa Aldama  <arturo@ximian.com>

	* boot-grub.pl.in (xst_boot_grub_parse_cmd): use
	xst_boot_grub_search_entry.
	(xst_boot_grub_parse_root): Infer the root.

	* partition.pl.in (xst_partition_scan_info): renamed.

	* boot-grub.pl.in (xst_boot_grub_get_next_entry): Read
	until a title cmd or EOF is found.
	(xst_boot_grub_search_entry): Use get_next_entry to get
	a specified entry.
	(xst_boot_grub_get_entries): Now use get_next_entry.
	(xst_boot_grub_parse_type): Parse the type from the
	grub.conf or deduct from the partition id.

	* boot.pl.in: renamed a bunch of stuff, made the
	XstEntryType key be "type" only instead.

2001-11-27  Hans Petter Jansson  <hpj@ximian.com>

	* service.pl.in (xst_service_proc_get_owner): Implement.
	(xst_service_proc_stop): Implement.
	(xst_service_proc_start): Implement.

	* time-conf.in (time_set_local_time): Stop xscreensaver before
	setting clock, start it up again with the same owner afterwards.
	
2001-11-27  Hans Petter Jansson  <hpj@ximian.com>

	* shares-conf.in (xml_parse_import): Make sure NFS imports are
	soft mounted, so we don't risk hanging indefinitely. Fixes
	Ximian bug 4599.

2001-11-26  Arturo Espinosa Aldama  <arturo@ximian.com>

	* file.pl.in (xst_file_run_pipe): Use FILE_READ
	as default mode_mask.

	* Makefile.am (PERLBODY): Added partition.pl.in.

	* partition.pl.in: Stuff related to hd partitions.
	(xst_filesys_scan_types): Run sfdisk -d and give all
	available info related to partitions.

	* report.pl.in (xst_report): Added sfdisk_failed report.

	* parse.pl.in (xst_parse_trivial): avoiding $#arr notation.

2001-11-24  Tambet Ingo  <tambet@ximian.com>

	* font.pl.in: Implemented infrastructure and two modules:
	gnome-print module and XFree module.

	* file.pl.in: Fixed some typos.

	* Makefile.am: Added font-conf to build.

2001-11-23  Arturo Espinosa Aldama  <arturo@ximian.com>

	* boot-grub.pl.in: s/image/entry/, for a more consistent
	notation.

	* boot-conf.in: same.

	* boot.pl.in: same.

	* network.pl.in (xst_network_interfaces_get) use parse_expand
	now.

	* parse.pl.in (xst_parse_expand): Abstracted from a network.pl
	routine.

2001-11-22  Hans Petter Jansson  <hpj@ximian.com>

	* time-conf.in (xml_parse_time): Pass ref to master hash to
	xml_parse_sync().
	(xml_parse_sync): Store sync_active flag in the master hash,
	not at the head of the server list.
	(xml_print): Get the sync_active flag from master hash.

2001-11-19  Arturo Espinosa Aldama  <arturo@ximian.com>

	* boot.pl.in (xst_boot_conf_get): removed 'root' global param
	support. Include boot-grub.pl.in. Some function renaming and
	repositioning.

	* Makefile.am (PERLBODY): added boot-grub.pl.in

	* boot-grub.pl.in: File that contains all grub-related code.

2001-11-16  Arturo Espinosa Aldama  <arturo@ximian.com>

	* boot-conf.in: Added redhat-7.2 as a supported distro, but this is
	not finished yet.

	* boot.pl.in: working on Grub support, needed by RedHat and Mandrake.

2001-11-15  Hans Petter Jansson  <hpj@ximian.com>

	* time-conf.in (xst_parse_local_time): Return the right reference.
	(time_get_local_time): Return right year, not relative to 1900.
	(time_set_local_time): Correct report output.
	(conf_get_replace_table): Set time after timezone in all tables.

2001-11-15  israel  <chema@celorio.com>

	* time-conf.in (conf_get_parse_table): Added redhat 7.2 support
	identical to 7.1

2001-11-14  Arturo Espinosa Aldama  <arturo@ximian.com>

	* display-conf.in: Added redhat-7.2 support: identical to 7.1.

	* shares-conf.in: Added redhat-7.2 support: identical to 7.1.

	* time-conf.in: Added redhat-7.2 support: identical to 7.1.

	* network.pl.in (xst_network_get_interfaces_parse_table): If
	interface has no NAME variable, use the IFACE: that's the new
	Red Hat 7.2 way.

	* users-conf.in: Added redhat-7.2 as a supported platform.

2001-11-13  Arturo Espinosa Aldama  <arturo@ximian.com>

	* platform.pl.in: Added redhat-7.2 platform info.

	* service.pl.in (xst_service_sysv_get_runlevels): Added redhat-7.2.
	(xst_service_sysv_get_paths): same.

Mon Nov  5 22:03:17 2001  Arturo Espinosa Aldama  <arturo@ximian.com>

	* network.pl.in (xst_network_get_interface_replace_table):
	replace tables for rh72.
	(xst_network_get_replace_table): same.

	* replace.pl.in (xst_replace_run_entry): Converse of
	xst_parse_run_entry.

	* xml.pl.in (xst_xml_unquote): When unquoting, unquote any
	&#num; entities.

2001-11-06  Arturo Espinosa Aldama  <arturo@ximian.com>

	* network.pl.in (xst_network_interfaces_expand_iface): bug fix.
	(xst_network_interfaces_get): Pass the interface.

	* util.pl.in (xst_arr_merge): Merges scr array into dest array.

	* network.pl.in (xst_network_sysconfig_rh72_ifaces_get_existing):
	rh72 method to get all existing interfaces. Calls a redhat prog
	to migrate from network-scripts to networking.
	(xst_network_sysconfig_dir_ifaces_get_existing): Abstraction
	of previous network-scripts specific code.
	(xst_network_sysconfig_rh62_ifaces_get_existing): Use new
	abstraction.

	* network-conf.in: Added redhat-7.2 as a supported platform.

	* network.pl.in (xst_network_interfaces_expand_iface): The
	#ifaces# expansion hack, but for array also.
	(xst_network_interfaces_get): Use this new function.

2001-11-05  Arturo Espinosa Aldama  <arturo@ximian.com>

	* network.pl.in (xst_network_get_parse_table): Created
	parse table for Red Hat 7.2.

	* parse.pl.in (xst_parse_run_entry): This one is powerful.
	["user", \&xst_parse_foo, [0, 1], [2, 3] ] will parse
	using the combinatory of [0, 1]x[2, 3] until a result
	ne undef is given. Check RedHat 7.2's parse table for
	further enlightenment.
	(xst_parse_from_table): xst_parse_run_entry called from
	here to get this new behaviour. Useful for distros that
	put their stuff in different places (RH72).

2001-11-02  Tambet Ingo  <tambet@ximian.com>

	* x.pl.in (x_xml_parse_serverlayout_screen): Implement.
	(x_xml_print_serverlayout_screen): Changed xml format to support multihead setups.
	(x_parse_serverlayout_screen): There could me more than one active screen.

2001-11-01  Tambet Ingo  <tambet@ximian.com>

	* xml.pl.in (xst_xml_print_pcdata): Added missing '&' to functions.
	(xst_xml_format_state_tag): Ditto.
	(xst_xml_print_state_tag): ditto.

2001-10-12  Tambet Ingo  <tambet@ximian.com>

	* xml.pl.in (xst_xml_scan_make_kid_array): Rewrote to support xml attribute
	values with spaces.

2001-10-16  Arturo Espinosa Aldama  <arturo@ximian.com>

	* platform.pl.in (xst_platform_guess): Take the distro from the
	environment.

	* report.pl.in (xst_report_escape): Escapes a report using the report
	line format.

	* general.pl.in (xst_directive_parse_line): This sepparates a line
	in args by the directive line format.

	* report.pl.in (xst_report): removed platform_list report.
	Changed platform_success format.

	* platform.pl.in (xst_platform_ensure_supported): no need
	to list the supported platforms using reports. platform_success
	report now requires the platform description too.
	(xst_platform_set): same regarding report.

2001-10-15  Arturo Espinosa Aldama  <arturo@ximian.com>

	* platform.pl.in: Typo in PLATFORM_INFO and the codename
	for mdk-8.0.

	* general.pl.in (xst_merge_std_directives): Added the
	"platforms" directive.

	* platform.pl.in (xst_platform_print_list): Print an XML of
	the supported platforms.
	(xst_platform_list): Directive handler.

	* xml.pl.in (xst_xml_print_begin): Removed cosmetic comments.
	(xst_xml_print_end): same.

2001-10-06  Arturo Espinosa Aldama  <arturo@ximian.com>

	* network.pl.in (xst_network_interfaces_get_info): It's better
	to say an interface is up if it has an IP address.

2001-10-05  Arturo Espinosa Aldama  <arturo@ximian.com>

	* xml.pl.in (xst_xml_print_request_end): don't use print_comment:
	this breaks the protocol. Not even using xst_xml_print_string, to
	avoid the terminator getting into the debugs or the archiver.

2001-10-05  Tambet Ingo  <tambet@ximian.com>

	* x.pl.in (x_version): Fixed hacky way to find X binary, save it
	in main hash to cache it.
	(x_get_active_screen): Much more robust, should work now in any
	case (X4, X3 with or without ServerLayout).
	(x_probe): Oops, forgot to uncomment this!

2001-10-03  Tambet Ingo  <tambet@ximian.com>

	* users-conf.in (logindefs_add_defaults): Return the hash we fill :)
	(read_logindefs): assign the return value to something, don't just
	pretend you're interested in it! :)

	* x.pl.in (x_parse_unique_int): Added check for uniqueness.
	(x_parse_unique_string): Ditto.

	* users-conf.in: Override new values found from logindefs
	and not in profiles. Removed xst_progress remains.
	Added reporting. Backups all files it (remotely) touches.

2001-10-02  Arturo Espinosa Aldama  <arturo@ximian.com>

	* network-conf.in (list_ifaces): directive that lists
	instantaneous info about all interfaces (ifconfig -a).

	* network.pl.in (xst_network_interfaces_get_info): Collect
	more info: active and dev, and include inactive interfaces.

2001-10-02  Tambet Ingo  <tambet@ximian.com>

	* x.pl.in: Use full paths to XFree86, don't try to depend on links.
	(x_update_list_string): Emptry string is valid string! doh!
	(x_add_unique_string): Ditto.

	* users-conf.in: Rewrote profiles and login.defs stuff.
	Removed/exchanged all old cruft so now it seems more like
	other 'up-to-date' backends.

	* xml.pl.in (xst_xml_format_pcdata): Don't use if ($name) conditions
	if 0 or empty string are valid values. Use if (defined ($name))
	instead.
	(xst_xml_print_comment): Implement.

2001-10-01  Arturo Espinosa Aldama  <arturo@ximian.com>

	* display-conf.in: Added mandrake-7.2 to the list of supported
	platforms.

	* network.pl.in (xst_network_rh62_parse_bootproto): typo caused
	bootproto to always be "none".

2001-09-28  Tambet Ingo  <tambet@ximian.com>

	* font.pl.in: Implemented addition and removal of TrueType and
	Type1 fonts for X. Currently works only with RH and derivates.

	(xfs_parse): Implementet xfs parser.

	* file.pl.in (xst_file_create_path): Added new parameter with nice
	default to set permissions.
	(xst_file_create_path_for_file): Ditto.

2001-09-27  Tambet Ingo  <tambet@ximian.com>

	* util.pl.in (xst_process_result_collect): Handle errors a bit better.

	* x.pl.in (x_probe_scan): Oops! I had two functions with same name
	and perl didin't even warn me about it! Removed one.

2001-09-25  Arturo Espinosa Aldama  <arturo@ximian.com>

	* network.pl.in (xst_network_rh_get_smb_desc): This removes
	the default "Samba Server" smb.conf string from redhat-like
	distros.

2001-09-24  Tambet Ingo  <tambet@ximian.com>

	* x.pl.in (x_xml_parse): Use standard report message for
	unexpected xml tag.

	* users-conf.in: Typos happen.

	* x.pl.in (x_parse_serverlayout_screen): Rewrote.
	Fixes bug #10790.

	* users-conf.in: Added missing report keywords. Moved one
	here from report.pl.in.

2001-09-21  Tambet Ingo  <tambet@ximian.com>

	* x.pl.in: Found and fixed some small typos. 

2001-09-21  Arturo Espinosa Aldama  <arturo@ximian.com>

	* util.pl.in (xst_process_result_collect): Exhaust buffer.

2001-09-21  Tambet Ingo  <tambet@ximian.com>

	* x.pl.in (x_probe_collect): Use xst_process_result_collect.

	* util.pl.in (xst_process_result_collect): Implemented to hide
	implementation details.

	* x.pl.in (x_probe_scan): Return array.

	* util.pl.in (xst_process_list_check_ready): Don't force second
	argument to array. Make an array of it if needed.
	(xst_process_fork): Taught to deal with arrays also.

	* x.pl.in (x_probe_run): Fork new X processes to avoid lockups.
	(x_probe_collect): Implement.
	(x_probe_scan): Implement.

Tue Sep 18 11:46:35 2001  Arturo Espinosa Aldama  <arturo@ximian.com>

	* service.pl.in (xst_service_sysv_install_script): reversed
	return value interpretation of copy.

	* report.pl.in: typo in new file_copy_failed entry.
	(xst_report): validate major, and better unk minor handling.
	(xst_report): also spit reports if they have debug major.

	* service.pl.in (xst_service_sysv_install_script): Oops: chmod
	the installed initd script, not the resource file! :)

Mon Sep 17 11:36:47 2001  Arturo Espinosa Aldama  <arturo@ximian.com>

        * Other Perl style changes in xml, network, service and other
	places.
	
	* file.pl.in (xst_file_rmtree): Got "Bad symbol for filehandle"
	fatal error with this code in Debian. Dunno why it appeared now,
	so I used something more "standard". Any comments on this?

	* ishare.pl.in: Ported to debian-2.2. Untested.

	* service.pl.in (xst_service_sysv_install_script): installs an
	initd script from the filesdir.

	* Makefile.am: Replace filesdir too.

	* service.pl.in (xst_service_sysv_set_links_active): Use %02d
	to format the priority number of the link.
	(xst_service_sysv_set_links_inactive): same.

	* util.pl.in (xst_util_read_boolean): Added "1" as a valid
	"true" representation.

	* replace.pl.in (xst_replace_sh_bool): Added optional parameters
	for true/false value representation.
	(xst_replace_sh_export_bool): same.

2001-09-19  Arturo Espinosa Aldama  <arturo@ximian.com>

	* Makefile.am (backends): Process runlevel-conf instead of sysv-conf.

	* sysv-conf.in -> runlevel-conf.in: Hans Petter said he didn't
	like the name, and I didn't like it either.

2001-09-19 Tambet Ingo   <tambet@ximian.com>

	* display-conf.in (distro_file): Rewrote to support possible irregular
	file config file locations in the future.

Sun Sep 16 13:30:28 2001  Arturo Espinosa Aldama  <arturo@ximian.com>

	* configure.in: set filesdir variable too.

Wed Sep 12 21:42:03 2001  Arturo Espinosa Aldama  <arturo@ximian.com>

	* sysv-conf.in (xml_parse_services): Parse array of available
	services.
	(xml_print): Print services array.
	(get): get available services array.

2001-09-18  Arturo Espinosa Aldama  <arturo@ximian.com>

	* network.pl.in (xst_network_rh62_parse_bootproto): If the
	bootproto is unknown, report error, default to none.
	(xst_network_suse70_parse_bootproto): same.

	* service.pl.in (xst_service_sysv_get_runlevels): added missing
	supported distros and removed bogus ones. Report an error if
	distro is not listed.

2001-09-17 Tambet Ingo   <tambet@ximian.com>

	* x.pl.in (x_update_section): Fixed bug which messed up config file
	when adding new (sub)sections.

2001-09-16  Tambet Ingo  <tambet@ximian.com>

	* x.pl.in (x_update_section): Fixed problem where more than one section
	with same name existed.

Tue Sep 11 20:48:25 2001  Arturo Espinosa Aldama  <arturo@ximian.com>

	* Makefile.am (backends): added sysv-conf backend.

	* report.pl.in (xst_report): Added report for unsupported
	platforms for sysv init scripts.

	* sysv-conf.in: A new backend for SystemV init script control
	and service activation. Only get operation ready.

	* service.pl.in (xst_service_sysv_installed): missing my
	declarations.
	(xst_service_sysv_get_paths): report unsupported distros.
	(xst_service_sysv_list_dir): return a list ref of the services
	in a sysv directory.
	(xst_service_sysv_list_available): list those services in
	the init.d directory.
	(xst_service_sysv_get_level_info): return structure with service
	info on a sysv directory.
	(xst_service_sysv_get_tree): return array of structures for
	all the runlevel directories.

	* *.pl.in: changed SCRIPTSDIR that was broken in principle,
	although in practice didn't matter.

2001-09-13  Arturo Espinosa Aldama  <arturo@ximian.com>

	* ishare.pl.in: Too many changes to ennumerate: a general
	rearrangement for a more intensive parse/replace table
	usage. This will make the porting process much simpler.

	* service.pl.in (xst_service_sysv_set_status_do): missing
	my declaration.

	* general.pl.in (xst_end_directive): The end directive sends
	all the standard directive reports before terminating backend.
	(xst_directive_run): removed exceptions for "end" directive.
	(xst_terminate): finishes the backend, no reports.
	(xst_run): call xst_terminate instead of running the end directive.

2001-09-12  Arturo Espinosa Aldama  <arturo@ximian.com>

	* service.pl.in (xst_service_sysv_force_status): New function
	that forces start/stop.

	* file.pl.in (xst_file_exists): Return 1/0 depending on file
	existance.

	* network.pl.in (xst_network_dialing_set): Set /etc/wvdial.conf
	or equivalent to 600 permissions: isp info was visible!

	* ishare.pl.in (xst_ishare_conf_set): random paste stopped
	ipchains service!

	* file.pl.in (xst_file_backup_rotate_dirs): Just unlink dir 9
	if it's a symbolic link.

2001-09-12  Tambet Ingo  <tambet@ximian.com>

	* x.pl.in (x_probe): Improved. Reports now if probe is required.
	Misc bug fixes on updating.

2001-09-12  Hans Petter Jansson  <hpj@ximian.com>

	* filesys.pl.in (xst_filesys_mount_off): Fix format of unmount messages.

	* report.pl.in: Ditto.
	
2001-09-11  Tambet Ingo  <tambet@ximian.com>

	* x.pl.in: 1000 little fixed bugs.

2001-09-10  Arturo Espinosa Aldama  <arturo@ximian.com>

	* file.pl.in (xst_file_rmtree): replicated File::Path::rmtree,
	because it has a bug that prevents it from removing directories.
	Any suggestions for an alternative?
	(xst_file_backup_rotate_dirs): use replacement.

	* debug.pl.in (xst_debug_rotate_try): same.

2001-09-05  Tambet Ingo  <tambet@ximian.com>

	* time-conf.in: Use perl functions to copy, move and delete.

	* file.pl.in: ditto.

	* debug.pl.in (xst_debug_rotate_try): ditto.

	* x.pl.in: s/TODO (reporting)/Implement $1/g;

	* report.pl.in (xst_report): Implement.
	(xst_report): use dynamical report message table.

	* display-conf.in (distro_file): Determine config file from X version.

	* x.pl.in: Line based to token based parser. Rewrite.

2001-08-30  Arturo Espinosa Aldama  <arturo@ximian.com>

	* internetsharing-conf.in (get_interfaces): new directive.

	* ishare.pl.in (xst_ishare_get_linux22_forward_support):
	Changed masquerading support to check for /proc/net/ip_masquerade.

2001-08-28  Arturo Espinosa Aldama  <arturo@ximian.com>

	* ishare.pl.in (xst_ishare_fwrules_get_ipchains): typo
	- $$hash{"kerneltool"} -> $hash{"kerneltool"}.
	Do set the "active" key, even if it's not configured.

Wed Aug 22 22:16:03 2001  Arturo Espinosa Aldama  <arturo@ximian.com>

	* *{pl,-conf}.in: Oops, forgot about the .in suffix of files
	that haven't been processed. Put the prefix if the backend is
	the .in version.

	* *.pl.in: Ah, change had to go here too.

	* *-conf.in: Check for ___scriptsdir___ value. If it is
	___scriptsdir__, then require files on the pwd. This way we
	can call backend-conf.in directly, and without make installing.

2001-08-23  Hans Petter Jansson  <hpj@ximian.com>

	* report.pl.in: Add report messages for filesys mount/unmount.
	Fix a random typo I noticed.

	* filesys.pl.in (xst_filesys_mount_on): Add error reporting.
	(xst_filesys_mount_off): Add error reporting.

2001-08-22  Tambet Ingo  <tambet@ximian.com>

	* x.pl.in (x_probe_load): use xst_file_* instead of open.
	(x_probe_store): ditto.
	Disable modelines for now. Misc updates.
	(x_probe_run): Removed some debugging messages.

2001-08-21  Arturo Espinosa Aldama  <arturo@ximian.com>

	* general.pl.in (xst_directive_run): Report the directive that
	is being processed.
	(xst_end_directive): close all debug before exit. Just paranoic.

2001-08-20  Tambet Ingo  <tambet@ximian.com>

	* x.pl.in: Made probe caching. Removed some debugging messages.
	Continued work on probe_* functions.

	* display-conf.in: Use portable copy and delete functions.
	(test): Get better temp file.
	(probe): Probe could have arguments.

2001-08-17  Arturo Espinosa Aldama  <arturo@ximian.com>

	* boot.pl.in (xst_boot_parse_global_kw): Report that no lilo.conf
	was found.
	(xst_boot_parse_global): same.
	(xst_boot_parse_images): same.

	* general.pl.in (xst_directive_run): Send a begin report whenever
	a directive is run, except for "end".
	Some other function name changes.

	* *.in: s/&xst_end (/&xst_report_end (/;
	
	* report.pl.in (xst_report_begin): Moved from general.pl.in:xst_begin.
	(xst_report_end): same.

Thu Aug 16 02:02:18 2001  Arturo Espinosa Aldama  <arturo@ximian.com>

	* platform.pl.in (xst_platform_ensure_supported): Removed extra
	xst_end calls.

	* report.pl.in (xst_report): Report major too.

2001-08-16  Arturo Espinosa Aldama  <arturo@ximian.com>

	* ishare.pl.in (xst_ishare_dhcp_conf_add_interface): Oops:
	missing semicolons here.

2001-08-15  Arturo Espinosa Aldama  <arturo@ximian.com>

	* boot.pl.in: Removed use strict until we can honour this
	clause.

2001-08-15  Tambet Ingo  <tambet@ximian.com>

	* x.pl.in (x_probe): Added X probing functions.
	Added Modeline functions. Added ability to add new sections.

2001-08-14  Arturo Espinosa Aldama  <arturo@ximian.com>

	* general.pl.in (xst_directive_fail): Some functions that
	have to be called every time a directive fails for different
	reasons.
	(xst_directive_run): Use this new thing, which now sends
	the end directive and the end of request string, so frontend
	doesn't hang. Renamed from xst_run_directive.
	(xst_run): Use directive_run.

2001-08-13  Arturo Espinosa Aldama  <arturo@ximian.com>

	* file.pl.in (xst_file_close): New abstraction for close.
	I got some errors for doing close undef (although perl -d has
	no trouble with that expression), so we're using this now, for
	simplicity.
	* *.in: changed all calls to close $var to &xst_file_close ($var).

2001-08-13  Tambet Ingo  <tambet@ximian.com>

	* configure.in: Fixed capitalization.

2001-08-09  Arturo Espinosa Aldama  <arturo@ximian.com>

	* ishare.pl.in (xst_ishare_fwrules_get_ipchains): Small
	correction to "configured" ipchains tag.

	* xml.pl.in (xst_xml_print_array): Use xst_xml_print_structure.
	(xst_xml_print_hash): same.
	(xst_xml_print_structure): Call the corresponding function
	depending on the reference type of $s. If just a scalar, print
	<$tag>$s</$tag>.

	* internetsharing-conf.in (xml_parse_fwrules): "overwrite"
	tag support for ipchains too.

	* ishare.pl.in (xst_ishare_dhcp_isc_save): Oops. The
	required argument is the hwaddr, only.
	(xst_ishare_dhcp_isc_set): Activate the dhcpd service:
	not ipchains (here).
	(xst_ishare_fwrules_set_ipchains): "overwrite" tag
	support for ipchains too.

	* service.pl.in (xst_service_sysv_get_status): little
	typo here.

	* ishare.pl.in (xst_ishare_fwrules_get_ipchains): The
	proc file for ipchains is in /proc/net, not /proc/sys/net.
	(xst_ishare_ipchains_save): typo. What was I thinking of?

2001-08-09  Christian Rose  <menthos@menthos.com>

	* report.pl.in: Fixed a typo.

2001-08-07  Arturo Espinosa Aldama  <arturo@ximian.com>

	* internetsharing-conf.in (xml_parse_dhcp): Support
	for "overwrite" tag.

	* ishare.pl.in (xst_ishare_dhcp_isc_save): Overwrite
	dhcp.conf with our own configuration, generated from
	the given XML.
	(xst_ishare_dhcp_conf_add_interface): Adds a subnet
	section to a buffer with the contents of the new
	dhcp.conf.
	(xst_ishare_dhcp_isc_set): Sets up dhcp configuration
	and activates if required.

	* file.pl.in (xst_file_run_backtick): New function
	that takes advantage of the path search functionality,
	and behaves just like ``.

	* service.pl.in (xst_service_sysv_get_status): Use
	xst_run_backtick to get pidof.

	* network.pl.in (xst_network_active_interfaces_get_info): Added
	hwaddr support.

	* xml.pl.in (xst_xml_print_array): Don't do anything
	if array is empty.

	* ishare.pl.in (xst_ishare_ipchains_save): Replace
	current ipchains state MASQ rules with those
	required for network masquerading for each landev.
	(xst_ishare_fwrules_set_ipchains): save ipchains
	rules and start/stop service, setup init.d links.

	* internetsharing-conf.in (xml_parse_fwrules): Parse
	the new tag.

	* ishare.pl.in (xst_ishare_fwrules_get_ipchains): Check
	for kernel ipchains support. New "kerneltool" tag.

2001-08-06  Arturo Espinosa Aldama  <arturo@ximian.com>

	* xml.pl.in (xst_xml_print_array): Another print
	utility function.
	(xst_xml_print_hash): Be recursive. Print hash refs
	with this same function and array refs with print_array.

	* internetsharing-conf.in (xml_parse_fwrules): landev
	tag support, to set which devices are attached to lans
	we want to masquerade to the exterior.

	* Makefile.am (PERLBODY): Generate ishare.pl.

	* ishare.pl.in: Added. Moved all xst_ishare* functions
	from internetsharing-conf.in.

	* file.pl.in (xst_file_get_base_path): Store setup and
	backups in /var/cache/setup-tool-backends.
	* files/Makefile.am, files/ChangeLog: created directory
	where files to be installed at run-time will reside.
	* configure.in: Generate files/Makefile.

Sun Aug  5 20:26:03 2001  Arturo Espinosa Aldama  <arturo@ximian.com>

	* file.pl.in (xst_file_run_pipe_write): The write version
	of run_pipe_read.
	(xst_file_run_pipe): And then some abstraction occurs.

Fri Aug  3 22:32:38 2001  Arturo Espinosa Aldama  <arturo@ximian.com>

	* network-conf.in (xml_parse_network): Call xst_network_xml_parse_interface,
	which used to be xml_parse_interface.

	* network.pl.in (xst_network_xml_parse_interface):
	Relocated so it can be shared with internetsharing.

2001-08-03  Arturo Espinosa Aldama  <arturo@ximian.com>

	* internetsharing-conf.in (xst_ishare_fwrules_get_ipchains): Get
	ipchains-related information.
	(xst_ishare_dhcp_mdk72_get): New. Used mdk72 because that's our base
	platform.
	(xst_ishare_get_linux22_support): Check for kernel support.
	(xst_ishare_get_linux22_support_active): Check if kernel support is active.
	Added mdk 7.2 as supported platform.

	* file.pl.in (xst_file_run_pipe_read): New utility to run commands
	that will be piped for reading.
	(xst_file_run): use xst_file_get_cmd_path now.
	(xst_file_get_cmd_path): Taken from xst_file_run to generate command.
	* *.in: Replaced a bunch of open "blah|" calls with xst_file_run_pipe_read.

2001-07-30  Tambet Ingo  <tambet@ximian.com>

	* boot.pl.in (xst_boot_known_var): Deal only with selected list of keywords.
	(xst_boot_conf_edit_image): Rewrote it. It's now much safer since it doesn't
	touch anything else than really needed (value part).
	(xst_boot_conf_set_images): Match images based on key, not name and image location.
	(xst_boot_set_global): Improved quoting of values with spaces or with '='.

	* boot-conf.in (xml_parse_boot): Removed some unused keywords.

2001-07-28  Tambet Ingo  <tambet@ximian.com>

	* x.pl.in (x_update_display_mode): Chop off additional space.

	* boot.pl.in (xst_boot_conf_is_image): Try default label also.
	(xst_boot_conf_delete_image): Fixed bug of deletion of last image.
	(xst_boot_conf_edit_image): Quote values which have '=' mark.
	(xst_boot_conf_add_image): Ditto.
	(_lilo_fix_images): New. Add 'label' field if it's missing.
	(xst_boot_conf_fix): New.

	* boot-conf.in (set): Don't flush conf file if XML was invalid or missing.

2001-07-26  Tambet Ingo  <tambet@ximian.com>

	* x.pl.in (x_update_display_mode): Remove extra space from we added before.

2001-07-26  Hans Petter Jansson  <hpj@ximian.com>

	* display-conf.in: Add debian-2.2 to supported platforms. Tested and
	  working.

	* print-conf.in: Remove debian-2.2 from supported platforms. This
	  is officially not supported yet.

2001-07-26  Tambet Ingo  <tambet@ximian.com>

	* display-conf.in (test): Oops, forogt that.

	* x.pl.in (x_config_fix): Support XFree86 v3 also.

	* display-conf.in (xml_print): ditto.

Wed Jul 25 03:45:51 2001  Arturo Espinosa Aldama  <arturo@ximian.com>

	* package-conf.in (get_package): missing comma.

	* mouse-conf.in: mouse.pl doesn't exist. Can't require it.

	* Makefile.am: Also s/___version___/$(VERSION)/.
	* *-conf.in: Removed arbitrary value for $version and
	assigned "___version___" instead. #3090 fixed.

	* boot.pl.in (xst_boot_conf_edit_image): Removed append
	key special case for quoting. Quote values only if they
	contain spaces and are not already quoted.
	(xst_boot_conf_add_image): same.

	* replace.pl.in (xst_replace_from_table): If interpolation
	failed, go to next feature. Failed interpolations return
	arguments that make no sense.
	(xst_replace_kw): Wasn't getting $value arg (!). This affected
	Debian ppp option replacing and possibly other places.

	* parse.pl.in (xst_parse_replace_hash_values): Return 1/0
	if interpolation succeeded.
	(xst_parse_from_table): If interpolation failed, go to next
	feature.

	* network.pl.in (xst_network_get_parse_table): Removed
	domainname tag support.
	(xst_network_get_replace_table): same.

	* network-conf.in (xml_parse_network): Removed domainname
	tag support.
	(xml_print): same.

	* replace.pl.in (xst_replace_split): Eliminate empty elements
	from value array. This will delete features whose XML tags are
	empty, but existent.

	* network.pl.in (xst_network_pump_get_nodns): Only omit
	updatedns tag if pump doesn't support it, or information will
	be lost.

	* parse.pl.in (xst_parse_interfaces_option_kw_not): Minor bug:
	undef ne 0.

	* network.pl.in (xst_network_interface_ensure_broadcast_and_network):
	Oops: forgot to receive the arguments.
	(xst_network_interface_changed): more intelligent network interface
	info comparison.
	(xst_network_rh62_interface_activate): Use this function here, getting
	rid of weird criterion.
	(xst_network_suse70_interface_activate): same.

2001-07-24  Arturo Espinosa Aldama  <arturo@ximian.com>

	* network.pl.in (xst_network_interface_ensure_broadcast_and_network):
	if the interface has address and netmask, calculate the broadcast
	and subnet.
	(xst_network_interfaces_get): call this function per iface.

2001-07-24  Hans Petter Jansson  <hpj@ximian.com>

	* time-conf.in (time_sync_hw_from_sys): Implement.
	  (conf_set): Sync hardware clock.

2001-07-24  Tambet Ingo  <tambet@ximian.com>

	* x.pl.in (parse_range_hz): Seems like spaces are allowed everywhere.

	* boot-conf.in (set): Removed some old cruft.

	* x.pl.in: we use strict from now on. Only for this file.
	Fixed damned bug that ruined $sections variable and crashed
	display tool.

2001-07-20  Arturo Espinosa Aldama  <arturo@ximian.com>

	* platform.pl.in (xst_platform_ensure_supported): Don't
	exit after listing the platforms.

	* general.pl.in (xst_merge_std_directives): Added standard
	"platform_set" directive.

	* platform.pl.in (xst_platform_ensure_supported): Send
	end of report before returning.
	(xst_platform_set): A directive handler that sets the
	currently selected platform.

2001-07-20  Hans Petter Jansson  <hpj@ximian.com>

	* replace.pl.in (xst_replace_alchemist_ensure_list_types): Implement.
	  (xst_replace_alchemist): Set required alchemist branch attributes.
	  (xst_replace_alchemist_print): Set required alchemist branch attributes.
	  (xst_replace_alchemist_print_option): Set required alchemist branch
	  attributes.

2001-07-20  Hans Petter Jansson  <hpj@ximian.com>

	* xml.pl.in (xst_xml_model_save): Implement.

	* replace.pl.in (xst_replace_xml_pcdata): Use xst_xml_model_save ().
	  (xst_replace_xml_attribute): Ditto.
	  (xst_replace_xml_pcdata_with_type): Ditto.
	  (xst_replace_xml_attribute_with_type): Ditto.
	  (xst_replace_xml_alchemist_print_option): Ditto.

2001-07-19  Hans Petter Jansson  <hpj@ximian.com>

	* xml.pl.in (xst_xml_scan_make_kid_array): Accept '.' in attribute values.
	  (xst_xml_model_ensure): Simplify slightly.

	* parse.pl.in (xst_xml_parse_alchemist_print_option): The variable naming
	  the XML node to get attribute from was wrong.

	* replace.pl.in (xst_xml_replace_alchemist_print_option): The variable
	  naming the XML node to set attribute on was wrong.

	* print.pl.in (xst_print_remove_printer_rh71): Implement empty shell for
	  now.
	  (xst_print_get_printer_parse_table): Additions and fixes.
	  (xst_print_get_printer_replace_table): Ditto.

2001-07-19  Hans Petter Jansson  <hpj@ximian.com>

	* parse.pl.in (xst_parse_xml_child_names): Return array, not reference.
	  Fixed comparison to be against input list, not output.
	  (xst_parse_alchemist): Set args. Alchemist attr is always VALUE.
	  (xst_parse_alchemist_print): Ditto.
	  (xst_parse_alchemist_print_option): Ditto.

	* print.pl.in (xst_print_get_printer_parse_table): Some fixes, additions.

2001-07-19  Hans Petter Jansson  <hpj@ximian.com>

	* xml.pl.in (xst_xml_model_get_children): Implement.
	
	* parse.pl.in (xst_parse_xml): Use new return convention of
	  xst_xml_model_scan ().
	  (xst_parse_xml_child_names): Renamed from xst_parse_xml_children ().
	  Use new return convention of xst_xml_model_scan ().
	  (xst_parse_alchemist): Implement.
	  (xst_parse_alchemist_print): Implement.
	  (xst_parse_alchemist_print_option): Implement.
		
	* replace.pl.in (xst_replace_alchemist): Add in alchemist's base data path.
	  (xst_replace_alchemist_print): Implement.
	  (xst_replace_alchemist_print_option): Implement.
		
	* print.pl.in (xst_print_printers_get_rh71): Use
	  xst_parse_xml_child_names ().
	  (xst_print_get_printer_parse_table): Begin rh71 table, not complete yet.
	  (xst_print_get_printer_replace_table): Begin rh71 table, not complete yet.
	
2001-07-18  Arturo Espinosa Aldama  <arturo@ximian.com>

	* file.pl.in (xst_file_run): Accept a flag arg $background
	that will run the command on background.
	(xst_file_run_bg): Wrapper to this.

	* users-conf.in (set): Call write_profiles.
	(xml_parse): Call xml_parse_profiles.
	(xml_parse_profiles): Get "profiles" tag contents from read
	xml document and set it in "profiles" key of data hash.
	(write_profiles): If $$hash{"profiles"} is not empty,
	save it to profiles.xml location.
	(xml_parse_users): Ignore profiles tag.
	(xml_parse_profiles): Profiles record is a ref to an array.

	* xml.pl.in (xst_xml_scan_recurse): Removed use of global
	array xst_xml_scan_list.
	(xst_xml_scan): Now optionally receives a tool structure.
	The read document is stored inside the tool structure.

	* users-conf.in (add_user): mkdir -p the parent directories
	of the new user.
	(get): receive tool as argument. This structure is passed
	to all directive handlers by xml_run_directive as the first
	argument.
	(set): same. Pass it to xml_parse.
	(filter): same.
	
2001-07-18  Hans Petter Jansson  <hpj@ximian.com>

	* replace.pl.in (xst_replace_alchemist): Implement. Top-level function
	  for replacing alchemist data.

2001-07-18  Hans Petter Jansson  <hpj@ximian.com>

	* replace.pl.in (xst_replace_xml_pcdata_with_type): Implement.
	  (xst_replace_xml_attribute_with_type): Implement. These are helper
	  functions for alchemist-like XML files.

2001-07-18  Arturo Espinosa Aldama  <arturo@ximian.com>

	* users-conf.in (add_user): mkdir -p the parent directories
	of the new user.

2001-07-17  Arturo Espinosa Aldama  <arturo@ximian.com>

	* users-conf.in (write_logindefs): Old xst_report_warning
	call that slipped.
	Enabled command reporting.
	Removed all global data variables in the backend. Delete
	user no works. Style corrections. This thing is old.

Sun Jul 15 07:46:23 2001  Arturo Espinosa Aldama  <arturo@ximian.com>

	* network.pl.in (xst_network_get_parse_table): userifacectl
	reveals if distro is capable of letting mortal users to control
	interface activation.

2001-07-17  Hans Petter Jansson  <hpj@ximian.com>

	* file.pl.in (xst_file_open_write_compressed): Implement.

	* replace.pl.in (xst_replace_xml_pcdata): Allow compressed files.
	  (xst_replace_xml_attribute): Ditto.

	* xml.pl.in (xst_xml_model_scan): Ditto.

2001-07-16  Hans Petter Jansson  <hpj@ximian.com>

	* print.pl.in (xst_print_printers_get_rh71): Implement.

	* xml.pl.in (xst_xml_read_compressed_file): Implement.
	  (xst_xml_model_scan): Read compressed files.

2001-07-16  Hans Petter Jansson  <hpj@ximian.com>

	* parse.pl.in (xst_parse_xml_children): Implement.

	* print.pl.in (xst_print_printers_get): Rename to
	  xst_print_printers_get_rh70. Update tables to use this.

	* replace.pl.in (xst_replace_xml_pcdata): Implement.
	  (xst_replace_xml_attribute): Implement.

Sat Jul 14 11:54:50 2001  Arturo Espinosa Aldama  <arturo@ximian.com>

	* file.pl.in (xst_file_run): Escape ($) in system call, heheh.

	* network-conf.in (enable_iface): Cosmetic description change.

	* file.pl.in (xst_file_run): Added PATH=$PATH:/sbin:/usr/sbin
	to the running command, as these important routes may not be
	set by the mortal user, and the executed scripts may fail (ie
	debian's ifup/ifdown fail when tool run by normal user).

	* network-conf.in (enable_iface): A directive handler that
	ifup/ifdowns a given interface.
	$directives: added directive entry, params and description.

	* report.pl.in (xst_report): New warning "platform_no_table",
	used now in all backends when no table for the detected dist
	is available (shouldn't happen, but typos happen).
	
	* network.pl.in (xst_network_debian_woody_set_auto): Removed
	debian-potato compatibility, because noauto is not compatible
	with auto stanzas.
	(xst_network_debian_woody_get_auto): same.

Fri Jul 13 14:58:00 2001  Arturo Espinosa Aldama  <arturo@ximian.com>

	* general.pl.in (xst_run_directive): Flush debug files after
	every run directive.

	* debug.pl.in (xst_debug_close_all): Function to make the
	debug files close (and so, flush).

	* network.pl.in (xst_network_interface_set): Maybe I don't
	understand myself, but don't force interface activation.
	(xst_network_ensure_loopback_interface): Add update_dns
	property to default loopback prefs.

	* xml.pl.in (xst_xml_read_stdin): Last if no more input is
	available. This fixes the tool waiting for the end of request
	string when using a file as stdin. (backend --set < in.xml).

	* network.pl.in (xst_network_set_ppp_options_re): if you found
	the matching line, last.
	(xst_network_set_ppp_options_unsup): These functions are hacky.
	Take the unsupported options and format them one by line.
	Don't chomp lines: this corrupted the file.

2001-07-15  Tambet Ingo  <tambet@ximian.com>

	* boot.pl.in (xst_boot_conf_edit_image): Always quote 'append' lines.
	(xst_boot_set_global): ditto. Fixes bug #3805.

Thu Jul 12 12:44:15 2001  Arturo Espinosa Aldama  <arturo@ximian.com>

	* report.pl.in (xst_report): Better reporting of errors.

	* platform.pl.in (xst_platform_ensure_supported): Use the
	$tool structure to get the dist.

	* hardware-conf.in: Well, this code is useless, but it had
	some spurious code here I found during a "grande grep".

	* platform.pl.in (xst_platform_ensure_supported): Removed
	explicit STDERR debug output: error reports are now forced
	to STDERR.

	* xml.pl.in (xst_xml_print_request_end): The request end
	string starts with a new line.

2001-07-13  Hans Petter Jansson  <hpj@ximian.com>

	* xml.pl.in (xst_xml_model_get_pcdata): Implement.
	  (xst_xml_model_set_pcdata): Implement.
	  (xst_xml_model_get_attribute): Implement.
	  (xst_xml_model_set_attribute): Implement.

2001-07-13  Hans Petter Jansson  <hpj@ximian.com>

	* xml.pl.in (xst_xml_model_add): Implement.
	  (xst_xml_model_ensure): Implement.
	  (xst_xml_model_remove): Implement.

2001-07-13  Tambet Ingo  <tambet@ximian.com>

	* display-conf.in (check_version): Implement. Check version
	and bail out on versions lower than 4.0.0

	* x.pl.in (x_version): Now it actually works.

2001-07-12  Arturo Espinosa Aldama  <arturo@ximian.com>

	* network.pl.in (xst_network_rh62_interface_activate_by_dev):
	Don't do ifdown on the background. ifdown is fast enough, and
	launching ifup/ifdown almost at the same time doesn't seem like
	a good idea.
	(xst_network_suse70_interface_activate_by_dev): same.
	(xst_network_suse70_ppp_iface_activate): same.
	Print ifup/ifdown debug reports to STDERR to track problems.
	(xst_network_debian_woody_get_auto): Got confused by the double
	negation of "noauto". Fixed (#4538)

	* users-conf.in (xml_parse_users): Ignore files and shells
	tags when parsing, instead of complaining.
	(xml_parse_login_defs): files tag should be ignored here.

	* file.pl.in (xst_file_open_write_from_names): Wrong report
	call.

2001-07-11  Arturo Espinosa Aldama  <arturo@ximian.com>

	* network.pl.in (xst_network_get_interfaces_parse_table):
	Commented out dns[12] unsupported tags for debians.
	(xst_network_debian_woody_set_auto): Dunno what I was
	thinking when I first coded this. Fixed now.

	* parse.pl.in (xst_parse_trivial): Return undef if 0 args.

2001-07-12  Chema Celorio  <chema@celorio.com>

	* configure.in (dnl): try again
	
2001-07-12  Tambet Ingo  <tambet@ximian.com>

	* AUTHORS: Fixed my mail address :)

	* x.pl.in (x_add_keyword): Fixed stupid bug I introduced
	in my last commit. (new resolutions didn't get added).

	* display-conf.in (xml_parse): Fixed very strange bug:
	if run with new style "set" then everything worked, but
	not when run with --set. The problem was that $tree array
	had one extra empty element as a first one int the list.
	Other tools may suffer the same thing.
	(xml_parse): Added optional argument to parse from.
	(parse): Removed, was a single line nonsense.
	(test): Implement. Tests if X can start up and whether it's
	picture is readable.
	
2001-07-12  Chema Celorio  <chema@celorio.com>

	* configure.in (dnl): fix the scriptdirs thing
	
2001-07-11  Hans Petter Jansson  <hpj@ximian.com>

	* xml.pl.in (xst_xml_model_find): Implement.

	* parse.pl.in (xst_parse_xml): Use xst_xml_model_find().

2001-07-11  Hans Petter Jansson  <hpj@ximian.com>

	This implements an exact internal representation of XML, which can
	be scanned to and printed out from.

	* xml.pl.in (xst_xml_model_print_attributes): Implement.
	  (xst_xml_model_print_recurse): Implement.
	  (xst_xml_model_print): Implement.
	  (xst_xml_scan_make_kid_array): Accept more characters in attributes.
	  (xst_xml_model_scan_recurse): Implement.
	  (xst_xml_model_scan): Implement in full.

	* parse.pl.in (xst_parse_xml): Use xst_xml_model_scan().

2001-07-11  Arturo Espinosa Aldama  <arturo@ximian.com>

	* network.pl.in (xst_network_get_replace_table): Typos.
	(xst_network_route_set_default_gw): The gatewaydev also
	counts to check if the default route should change.

2001-07-11  Tambet Ingo  <tambet@ximian.com>

	* x.pl.in (x_version): Beginnings of X version detection.
	(parse_modeline): Finished to support "ModeLine" entries.
	(x_xml_print_modelines): Implement.
	(x_parse_section): Fixed options parsing bug.

2001-07-10  Arturo Espinosa Aldama  <arturo@ximian.com>

	* network.pl.in (xst_network_get_replace_table): Oops:
	support gatewaydev for replacing too.
	(xst_network_route_set_default_gw): Run route to set
	default gw as required.

	* network-conf.in (xml_print): Print the gwdevunsup
	tag as well.

	* network.pl.in (xst_network_get_parse_table): Added
	gwdevunsup for those platforms that don't support this.

2001-07-10  Hans Petter Jansson  <hpj@ximian.com>

	* xml.pl.in (xst_xml_get_attribute): Implement.

	* parse.pl.in (xst_parse_xml): Implement in full.

2001-07-09  Arturo Espinosa Aldama  <arturo@ximian.com>

	* network-conf.in (xml_print): gatewaydev support.
	(xml_parse_network): same.

	* network.pl.in (xst_network_get_parse_table): new gatewaydev
	feature required to avoid ambiguous situations. RedHat-only
	for the moment. SuSE doesn't need it (well, doesn't use it).
	(xst_network_get_replace_table): same.
	TODO: investigate what to do for Debian.

2001-07-09  Tambet Ingo  <tambet@ximian.com>

	* x.pl.in (x_update_display_mode): Implement.
	(x_update_kw_list): Implement, has it's own function now.
	(xml_parse_display_modes): Implement.

2001-07-06  Arturo Espinosa Aldama  <arturo@ximian.com>

	* network.pl.in (xst_network_lookup_address_collect):
	Improved reusability by taking out xst_process_list_check_ready.
	(xst_network_lookup_address): Put that call here.

	* share.pl.in (xst_share_get_smbclient_list_cmd): Get
	smbclient command to get a list of shares from a host.
	(xst_share_scan_smb_host_call): Function to be called
	from xst_process_fork.
	(xst_share_scan_smb_start): Spawn an smbclient for
	every host.
	(xst_share_scan_nfs_host_call): Analogue.
	(xst_share_scan_nfs_start): Same.
	(xst_share_scan_share_collect): Get strings from
	children and return hash with host => [ @dirs ].
	(xst_share_scan_network): Finished, not tested. Launches
	all processes in parallel, after the bcast ping, including
	name lookups. Returns hash with information.

2001-07-06  Hans Petter Jansson  <hpj@ximian.com>

	* parse.pl.in (xst_parse_xml): Begin XML config parser.

2001-07-06  Arturo Espinosa Aldama  <arturo@ximian.com>

	* network.pl.in (xst_network_address_lookup_call): A
	function to be called by xst_process_fork.
	(xst_network_lookup_address_start): Now calls
	xst_process_fork.
	(xst_network_lookup_address_collect): Now calls
	xst_process_list_check_ready and inspects "ready" key.
	(xst_network_active_interfaces_get_info): Run ifconfig,
	getting addr, bcast and mask info for all ifaces in a hash.
	(xst_network_get_broadcast_ping_cmd): Code that selects
	the right command to ping a given broadcast.
	(xst_network_ping_broadcast_call): Runs a broadcast ping and
	returns string containing replying hosts.
	(xst_network_find_hosts): Return an array of IPs of the hosts
	in all the adjacent local networks.

	* util.pl.in (xst_process_fork): Do a pipe, fork
	a process where the child executes a given function,
	return process info (pid, fd) in the parent.
	(xst_process_kill): Kill process, close pipe.
	(xst_process_list_check_ready): With a timeout, do
	a select over all of the pipe fd's of a list of procs.

2001-07-05  Arturo Espinosa Aldama  <arturo@ximian.com>

	* network.pl.in (xst_network_ipv4_str2vec): Routines
	for ipv4 mannipulations.
	(xst_network_ipv4_vec2str): Converse.
	(xst_network_ipv4_calc_subnet_vec): Subnet, bitmap.
	(xst_network_ipv4_calc_subnet): Returns str version.
	(xst_network_ipv4_calc_bcast_vec): Broadcast, bitmap.
	(xst_network_ipv4_calc_bcast): And the str version.
	(xst_network_active_interfaces_get): Why am I using sed
	here? Changed to s///.
	(xst_network_lookup_address_start): Does all the forking
	and returns ref to proc list.
	(xst_network_lookup_address_collect): Collects all the
	info from the proclist available before timeout.
	(xst_network_lookup_address): Split this function in
	these two processes.

2001-07-04  Arturo Espinosa Aldama  <arturo@ximian.com>

	* network.pl.in (xst_network_lookup_address): Modified
	function so it can resolve multiple addresses in
	paralel.
	(xst_network_fork_address_lookup): Abstracted this
	process.
	* *-conf.in: Put require instructions inside a BEGIN
	block, which make it easier to start debugging the backends.

2001-07-04  Hans Petter Jansson  <hpj@ximian.com>

	* rhprinterdb2xstxml.pl: Added script to translate the RH printerdb to
	  XML.

2001-07-04  Tambet Ingo  <tambet@ximian.com>

	* x.pl.in (x_add_keyword): Quote new values if neccesary.

2001-07-03  Tambet Ingo  <tambet@ximian.com>

	* x.pl.in (general_parse_section): Split lines with
	Text::ParseWords (right way).
	Added additional field and comments to control struct $sections.
	(parse_kw_list): Add to the end of list only if defined.
	(x_update_keyword): Quote new values if neccesary.
	(x_update_keyword): Check that new values have at least
	on space between.

2001-07-03  Arturo Espinosa Aldama  <arturo@ximian.com>

	* network.pl.in (xst_network_lookup_address): A nice
	address lookup routine, with timeout (using fork).
	(xst_network_lookup_address_block): For those who have
	a block fetish.

2001-07-02  Arturo Espinosa Aldama  <arturo@ximian.com>

	* shares-conf.in (xml_print): imports and exports tags
	only appear if there is info to display. This allows me
	to reuse it for network scanning.

2001-07-02  Tambet Ingo  <tambet@ximian.com>

	* display-conf.in (xml_parse): Removed extra 'shift'.

	* x.pl.in (parse_serverlayout_screen): Implement.
	(x_xml_print_serverlayout_screen): Implement.

2001-06-29  Hans Petter Jansson  <hpj@ximian.com>

	* print-conf.in: Make XML parsing and options writing work.
	  Both get and set now seem to work as expected.

2001-06-29  Arturo Espinosa Aldama  <arturo@ximian.com>

	* users-conf.in (my_system): use xst_file_run, only send
	debug strings if $DEBUG & 2, and to STDERR, not STDOUT.

	* xml.pl.in (xst_xml_read_stdin): Like, a precedence bug.

	* users-conf.in (xml_parse): Use standard xst_xml_scan.
	This bug comes since the no-shared-code days! It slipped!
	(xml_scan): This should have been removed ages ago.

2001-06-29  Tambet Ingo  <tambet@ximian.com>

	* x.pl.in (x_config_set): Give up if something is wrong.
	Remove Modelines from $sections list.

	* display-conf.in (xml_parse): Write conf when asked to.
	Bad bad typo!

	* x.pl.in (x_update_section): Now we can write XF86Config files too.

2001-06-27  Tambet Ingo  <tambet@ximian.com>

	* util.pl.in (xst_ignore_line): Allow spaces before comments at
	the start of a line.

2001-06-29  Hans Petter Jansson  <hpj@ximian.com>

	This implements printer settings replacement and makes more code
	shared between parsing and replacement functions.

	* parse.pl.in (xst_parse_printcap_buffer_load): Insert.
	  (xst_parse_printcap_get_next_stanza): Insert.
	  (xst_parse_printcap_get_next_option): Insert.
	  (xst_parse_printcap_parse_stanza): Insert.
	  (xst_parse_printcap_parse_option): Insert.
	  (xst_parse_printcap_find_stanza): Insert.
	  (xst_parse_printcap_find_option): Insert.
	  (xst_parse_printcap): Implement.
	  (xst_parse_printcap_bool): Implement.

	* replace.pl.in (xst_replace_printcap_buffer_load): Remove.
	  (xst_replace_printcap_get_next_stanza): Remove.
	  (xst_replace_printcap_get_next_option): Remove.
	  (xst_replace_printcap_parse_stanza): Remove.
	  (xst_replace_printcap_parse_option): Remove.
	  (xst_replace_printcap_find_stanza): Remove.
	  (xst_replace_printcap_find_option): Remove.
	  (xst_replace_printcap_add_stanza): Use xst_parse_printcap_*() funcs.
	  (xst_replace_printcap): Use xst_parse_printcap_*() funcs.

	* print.pl.in (xst_print_conf_get): Remove stray variable.
	  (xst_print_conf_set): Implement.
	  (xst_print_get_printer_parse_table): Use xst_parse_printcap(), not
	  generic xst_parse_cap().
	  (xst_print_get_printer_replace_table): Implement.

2001-06-29  Chema Celorio  <chema@celorio.com>

	* network-conf.in: add suport for turbolinux 7.0

2001-06-28  Hans Petter Jansson  <hpj@ximian.com>

	* replace.pl.in (xst_replace_printcap_print_stanza): Implement.
	  (xst_replace_printcap_print_option): Implement.
	  (xst_replace_printcap_add_stanza): Implement.
	  (xst_replace_printcap_add_option_slot): Implement.
	  (xst_replace_printcap_remove_stanza_from_buf): Implement.
	  (xst_replace_printcap_remove_option_slot): Implement.
	  (xst_replace_printcap_remove_printer): Implement.
	  (xst_replace_printcap): Add stanzas and options that are referred
	  to but not present.

2001-06-27  Hans Petter Jansson  <hpj@ximian.com>

	* replace.pl.in (xst_replace_cap): Comment out for now, we've got
	  something better up our sleeves.
	  (xst_replace_printcap_buffer_load): Implement.
	  (xst_replace_printcap_buffer_save): Implement.
	  (xst_replace_printcap_get_next_stanza): Implement.
	  (xst_replace_printcap_get_next_option): Implement.
	  (xst_replace_printcap_parse_stanza): Implement.
	  (xst_replace_printcap_parse_option): Implement.
	  (xst_replace_printcap_find_stanza): Implement.
	  (xst_replace_printcap_find_option): Implement.
	  (xst_replace_printcap): Implement.

2001-06-27  Arturo Espinosa Aldama  <arturo@ximian.com>

	* xml.pl.in (xst_xml_read_file): Code readability.
	(xst_xml_read_stdin): same, and wait for magic string to stop
	reading.
	(xst_xml_scan): readability.

	* general.pl.in (xst_run_directive): Print the request end string
	after every directive. This doesn't happen for the "end" directive,
	which terminates the process.

	* xml.pl.in (xst_xml_print_request_end): Print a request end string,
	encapsulated in an XML comment. This is for the frontends to know when
	the backend is ready for new input.

	* memory-conf.in (xml_print): No prototypes, thank-you. Read
	http://www.perl.com/pub/language/misc/fmproto.html for enlightening.
	(xml_print): Use xst_xml_print_{begin,end}.

	* x.pl.in: same. Prototypes were invented to allow people to
	call procedures as if they were Perl special functions. That's not
	what we want to do with these functions. Perl is ugly, let's choose
	"features" more carefuly. Same for shift and other abuses of the
	implicit variable, but I'll kill those on the run.

2001-06-21  Arturo Espinosa Aldama  <arturo@ximian.com>

	* general.pl.in (xst_print_interface): sort the keys to get a better
	result.

Tue Jun 12 04:41:33 2001  Arturo Espinosa  <arturo@ximian.com>

	* xml.pl.in (xst_xml_print_hash_hash): Sort the tags to print, to
	make schema documentation easier.
	(xst_xml_print_hash): same
	(xst_xml_print_arrays): same
	(xst_xml_print_scalars): same

2001-06-27  Hans Petter Jansson  <hpj@ximian.com>

	* print-conf.in: Update supported platforms.

	* print.pl.in: Ditto.

	* replace.pl.in (xst_replace_sh_export): Implement.
	  (xst_replace_sh_export_bool): Implement.
	  (xst_replace_cap): Implement.
	  (xst_replace_remove_cap_section): Implement.

2001-06-26  Tambet Ingo  <tambet@ximian.com>

	* xml.pl.in (xst_xml_get_text): ref safe now. Don't return 'ARRAY'
	if it's reference to array, send reference.

2001-06-22  Tambet Ingo  <tambet@ximian.com>

	* x.pl.in (parse_modeline): Implement. Doesn't work right yet.

2001-06-21  Tambet Ingo  <tambet@ximian.com>

	* x.pl.in (xst_xfree4_conf_get): Added support for "SubSection"s,
	improved readability A LOT, alomst a rewrite.

2001-06-20  Bradford Hovinen  <hovinen@ximian.com>

	* general.pl.in (xst_set_location): remove xst_archive_data

	* xml.pl.in (xst_xml_scan): Don't archive XML data

2001-06-20  Tambet Ingo  <tambet@ximian.com>

	* general.pl.in (xst_init): Use "SET_ME_UP_HARDER" env variable to
	turn on debugging (just like frontends do).

2001-06-19  Hans Petter Jansson  <hpj@ximian.com>

	* parse.pl.in (xst_parse_sh_export_bool): Implement.
	  (xst_parse_cap): Implement.
	  (xst_parse_cap_bool): Implement.

	* print.pl.in (xst_print_conf_get): Rewrite.
	  (xst_printcap_read): Eliminate.
	  (xst_print_printers_get): Implement.
	  (xst_print_get_printer_parse_table): Implement.

2001-06-15  Arturo Espinosa Aldama  <arturo@ximian.com>

	* general.pl.in: Deprecated some globals that come now inside a hash
	structure. Those that are in a more general use should be passed to
	this hash in a future "no globals!" crusade.
	(xst_print_usage_synopsis): Prints the synopsis, adding get, set
	and filter functions only if they are present in the directives.
	(xst_print_usage_generic): The more explanatory text, with the
	same rationale as above. Added explanations for the new -i and -d args.
	(xst_print_usage): Simplified. May exit if requested.
	(xst_print_version): Use new hash structure to get info. May exit
	if requested.
	(xst_set_operation): Use new structure.
	(xst_set_with_param): Helper.
	(xst_set_op_directive): Sets the directive, taken from cmd arg.
	(xst_set_prefix): Sets the prefix.
	(xst_set_dist): And the distro.
	(xst_set_location): The location here.
	(xst_merge_std_directives): Adds the directives supported by all
	backends: end and interface. interface reveals the supported
	directives in an XML format to the frontend.
	(xst_init): Lots of cleanup, the new structure, and a little change
	in the order of the startup sequence.
	(xst_print_interface_comment): Print the directive comment in XML.
	(xst_print_interface): Print the interface XML, based on the directives hash.
	(xst_run_directive): The directives engine. Checks the number of
	params passed and calls the corresponding function.
	
	See the documentation on the new stuff here.

	(xst_run): The function that makes the backend enter interactive
	mode, or executes a directive, if given with -d at the prompt.
	
	* *-conf.in: Changed the "main" stuff with new boilerplate.
	
2001-06-14  Hans Petter Jansson  <hpj@ximian.com>

	* parse.pl.in (xst_parse_cap_line_clean): Implement.
	  (xst_parse_cap_line_read): Implement.
	  (xst_parse_cap_sections): Implement.

2001-06-14  Arturo Espinosa Aldama  <arturo@ximian.com>

	* font.pl.in (regexp_cmp_foreach): helper.
	(xst_font_info_get_foundry_from_notice): Deduct foundry from copyright.
	(xst_font_info_get_setwidth_from_label): Deduct setwidth from font name.
	(xst_font_info_deduct_extras): From the information obtained, try to
	find implicit info.
	(xst_font_info_get_from_afm_buff): Parse an afm buffer, return font_info.
	(xst_font_info_get_from_afm_str): Split string in \n, parse buffer.
	(xst_font_info_get_from_afm): Read file into buffer, parse.
	(xst_font_info_get_from_ttf2pt1): Run ttf2pt1 -A, pipe into buffer, parse.
	(namerec_value): Helper for ttf routines.
	(xst_font_info_get_from_ttf): Use Font::TTF to get font_info from ttf.
	(xst_font_info_to_fontdir): Return fontdir line from font_info.

2001-06-13  Tambet Ingo  <tambet@ximian.com>

	* Makefile.am (backends): s/xconf/display/

	* x.pl.in: Many improvemets, parser works.

	* display-conf.in: Renamed from misnamed xconf-conf.in
	Mucho improvements.

2001-06-12  Richard Bos  <allabos@freeler.nl>

	* platform.pl.in (check_solaris): Add Solaris check.
	(xst_platform_guess): Allow for Solaris.

	* hardware-conf.in: Add required requires. Make it work.

2001-06-06  Hans Petter Jansson  <hpj@ximian.com>

	* shares-conf.in (xml_print_import_smb): Don't print tags for user and
	  password if they are empty/unknown.

2001-06-06  Hans Petter Jansson  <hpj@ximian.com>

	* shares-conf.in (xml_print_import_smb): Print <user> and <password> tags.
	  Fixes bug #3222.

2001-06-06  Arturo Espinosa Aldama  <arturo@ximian.com>

	* package-conf.in: contributed by Richard Bos <allabos@freeler.nl>
	* Makefile.am: added pertinent entries for package backend.

2001-06-05  Tambet Ingo  <tambet@ximian.com>

	* users-conf.in (change_user_chfn): Little fix.

2001-06-04  Hans Petter Jansson  <hpj@ximian.com>

	* disks-conf.in (get_fdisk): Know more about extended partitions.

2001-06-04  Hans Petter Jansson  <hpj@ximian.com>

	* shares-conf.in (set): Merge things properly, so old options are kept.
	* filesys.pl.in (xst_filesys_table_merge_subset): Fix doc text.

2001-06-04  Hans Petter Jansson  <hpj@ximian.com>

	* filesys.pl.in (xst_filesys_info_set_network_host): Nicen input slightly.
	  (xst_filesys_info_set_network_path): Nicen input slightly.
	  (xst_filesys_info_get_dump): Return 0 if empty.
	  (xst_filesys_info_get_priority): Return 0 if empty.
	  (xst_filesys_entry_identify): Ensure return values agree with changes
	  in xst_filesys_info_set_network_*().

2001-06-04  Hans Petter Jansson  <hpj@ximian.com>

	* shares-conf.in (remove_shares_from_filesys_table): Implement.
	  (set): Remove shares from filesys table.

2001-06-04  Tambet Ingo  <tambet@ximian.com>

        * x.pl.in: Add

	* xconf-conf.pl.in: Add

2001-06-04  Tambet Ingo  <tambet@ximian.com>

	* users-conf.in (change_user_chfn): Added hack to support Debian's chfn.

2001-06-01  Arturo Espinosa Aldama  <arturo@ximian.com>

	* network.pl.in (xst_network_dialing_set): Remove old sections
	that are not in the new values.
	(xst_network_suse70_set_ppp): Remove dialing hash entries,
	instead of removing in the file: this is done in dialing_get.
	(xst_network_iface2dial): don't overwrite login, phone and
	password: that's done at frontend level.
	Typo fixes.

	Lots of other typo fixes in network.pl.in. Basicly, I left
	SuSE 7.0 ppp management working, and did a lot of testing to
	make sure of that.

2001-06-01  Hans Petter Jansson  <hpj@ximian.com>

	Implement inline replacing of NFS entries and options.

	* share.pl.in (xst_share_nfs_info_dup): Implement.
	  (xst_share_nfs_info_match_data): Implement.
	  (xst_share_nfs_table_dup): Implement.
	  (xst_share_nfs_table_find): Implement.
	  (xst_share_nfs_table_find_info_equivalent): Implement.
	  (xst_share_nfs_client_info_dup): Implement.
	  (xst_share_nfs_client_table_dup): Implement.
	  (xst_share_nfs_exports_get_next_entry_line): Implement.
	  (xst_share_nfs_exports_get_entry_line_fields): Implement.
	  (xst_share_nfs_info_print_clients): Implement.
	  (xst_share_nfs_info_print_entry): Implement.
	  (xst_share_nfs_client_print_option_hash): Implement.
	  (xst_share_nfs_info_print_synthesized_entry): Implement.
	  (xst_share_nfs_exports_add_entry): Implement.
	  (xst_share_nfs_exports_update_entry): Implement.
	  (xst_share_nfs_exports_remove_entry): Implement.
	  (xst_share_nfs_exports_get_entry_line_point): Implement.
	  (xst_share_replace_nfs_exports): Re-implement.

2001-05-31  Arturo Espinosa Aldama  <arturo@ximian.com>

	* replace.pl.in (xst_replace_remove_ini_section): remove lines
	if they're left empty. This is nicer.

	* network.pl.in: Multiple fixes to new SuSE 70 ppp stuff. Did
	some testing. Still one bug in output remaining.

2001-05-30  Arturo Espinosa Aldama  <arturo@ximian.com>

	* network.pl.in (xst_network_iface2dial): To merge ppp interface
	information with dialing stuff.
	(xst_network_suse70_set_ppp): Implemented, with some trickery.
	(xst_network_suse70_ppp_iface_activate): Takes care of SuSE 70
	ppp interface activation.
	(xst_network_suse70_activate_ppp): same.

	* parse.pl.in (xst_parse_replace_hash_values): If replaced  value
	is a reference, set that as the interpolated value, not the
	string representation.

	* replace.pl.in (xst_replace_ini_bool_onoff): not required any more.

	* network.pl.in (xst_network_get_interface_replace_table): A typo.
	Bug 3133.
	(xst_network_dialing_get): Added new wvdial capabilities SuSE 70
	requires.
	(xst_network_dialing_set): same.
	(xst_network_get_new_dialing_dev): Get the latest device from the
	dialing hash.
	(xst_network_dial2iface): Convert a dialing profile into a ppp
	interface, for SuSE 7.0.
	(xst_network_suse70_get_ppp): Get ppp interfaces from dialing info.

2001-05-30  Tambet Ingo  <tambet@ximian.com>

	* boot.pl.in (xst_boot_set_global_kw): Made it sane.
	(xst_boot_set_global): ditto.

	* file.pl.in (xst_file_buffer_save): Treat $buffer as scalar only if it is scalar.

2001-05-29  Arturo Espinosa Aldama  <arturo@ximian.com>

	* network.pl.in (xst_network_set_ppp_options_re): Respect
	comments and spacing in ppp files.
	(xst_network_set_ppp_options_unsup): Same.

2001-05-29  Arturo Espinosa Aldama  <arturo@ximian.com>

	* network.pl.in (xst_network_get_replace_table): Remove RESOLV_CONF
	in SuSE 7.0: it's created by SuSEconfig.

	* file.pl.in (xst_file_remove): Removes a file.

2001-05-29  Tambet Ingo  <tambet@ximian.com>

	* users-conf.in (change_user_chfn): Implement. use chfn to set finger infromation.
	(add_user): use (change_user_chfn).
	(change_user): ditto.

2001-05-28  Tambet Ingo  <tambet@ximian.com>

	* boot.pl.in (xst_boot_parse_images): Preserve leading spaces of images.
	(xst_boot_parse_global): Don't double escape quotes.
	(xst_boot_conf_edit_image): Fixed bug where XstPartitionType lines got wrong.
	(xst_boot_conf_add_image): ditto.

2001-05-25  Hans Petter Jansson  <hpj@ximian.com>

	* file.pl.in (xst_file_backup_rotate_dirs): Create the 'First' directory on
	  the first invocation, and provide a symlink to it which is rotated with
	  the other dirs. Fixes bug #2732.

2001-05-25  Arturo Espinosa Aldama  <arturo@ximian.com>

	* service.pl.in (xst_service_sysv_get_paths): Added redhat-7.1.

	* parse.pl.in (xst_parse_shell_escape): Some special chars
	are escaped when surrounded by quotes, so let's apply quotes
	if they appear, and not escape them with '\', as they may
	be latter surrounded by quotes and make the backslash appear.

	* parse.pl.in: More comment documentation.
	* replace.pl.in: same.

2001-05-25  Tambet Ingo  <tambet@ximian.com>

	* boot.pl.in (xst_boot_conf_set_images): Reimplement.
	(xst_boot_conf_add_image): Helper function for (xst_boot_conf_set_images).
	(xst_boot_conf_edit_image): ditto.
	(xst_boot_conf_delete_image): ditto.
	(xst_boot_conf_is_image): ditto.
	(xst_boot_conf_find_image): ditto.

2001-05-25  Chema Celorio  <chema@celorio.com>

	* boot-conf.in (xml_print_global_kws): remove print. duh !
	* boot.pl.in (xst_boot_parse_global): ditto

2001-05-24  Arturo Espinosa Aldama  <arturo@ximian.com>

	* 0.5 RELEASE

2001-05-24  Arturo Espinosa Aldama  <arturo@ximian.com>

	* share.pl.in (xst_share_parse_nfs_exports): If the pattern
	for a client_info is empty, assume 0.0.0.0/0.

	* network.pl.in (xst_network_suse70_interface_activate): Fixed
	bug that prevented ifaces from activation/deactivation in suse70.
	(xst_network_interface_set): Force activation setup of interfaces.
	Implemented force macanism in other activation functions.

	* parse.pl.in (xst_parse_replace_files): return () if $values
	is undef.
	(xst_parse_from_table): Don't unshift files if none were passed.

	* replace.pl.in (xst_replace_from_table): same.

	* report.pl.in (xst_report_enter): Ugly hack to avoid po warnings.

2001-05-23  Arturo Espinosa Aldama  <arturo@ximian.com>

	* replace.pl.in (xst_replace_pump_get_next_option): More pump
	stuff.
	(xst_replace_pump_option_locate): Implemented.
	(xst_replace_pump_get_device): Implemented.
	(xst_replace_pump_add_device): Implemented.
	(xst_replace_pump_iface_option_str): Implemented.
	(xst_replace_pump_iface_kw): Implemented.
	(xst_replace_pump_iface_kw_not): Implemented.

	* parse.pl.in (xst_parse_from_table): eliminated dumb paranoia.
	(xst_parse_shell_unescape): Name change. This function unescapes.
	(xst_parse_shell_escape): Taken for replace, to use in other places.
	
	Pump stuff that may be useful for dhcpd.conf some day:
	(xst_parse_pump_get_next_option): Implemented.
	(xst_parse_pump_get_device): Implemented.
	(xst_parse_pump_get_iface_option_ref): Implemented.
	(xst_parse_pump_get_iface_kw): Implemented.
	(xst_parse_pump_get_iface_kw_not): Implemented.

	* network.pl.in (xst_network_pump_iface_supported): check if
	the iface is a type that pump supports.
	(xst_network_pump_get_nodns): Implemented.
	(xst_network_pump_set_nodns): Implemented.
	Added pump support to all distros that make use of it. peerdns
	inteface tag deprecated.

	* network-conf.in (xml_print): print new tag smartdhcpcd.

2001-05-23  Hans Petter Jansson  <hpj@ximian.com>

	* shares-conf.in: XML tags: browseable -> browse, writable -> write.

2001-05-24  Chema Celorio  <chema@celorio.com>

	* network.pl.in (xst_network_get_interface_replace_table): added
	RH 7.1 based on RH 7.0

	* network-conf.in: added RH 7.1

2001-05-23  Chema Celorio  <chema@celorio.com>

	* users-conf.in: added RH 7.1

2001-05-23  Arturo Espinosa <arturo@ximian.com>

	* network.pl.in (xst_network_debian_woody_set_auto): Fixed
	invariant bug in while loop (bug 2714 fixed).

2001-05-23  Tambet Ingo  <tambet@ximian.com>

	* boot.pl.in (xst_boot_set_global): Quote globals with spaces
	if neccecary.
	(xst_boot_conf_replace_image): Reverted from 1.23 changes,
	fixes bugs 2986 and 2989.

2001-05-22  Hans Petter Jansson  <hpj@ximian.com>

	* shares-conf.in (xml_parse_conf): It's path, not point.

2001-05-20  Theo van Klaveren <t.vanklaveren@student.utwente.nl>

	* filesys.pl.in (xst_filesys_mount_cmd_parse): New function,
	parses output from 'mount -p' on FreeBSD.

	* platform.pl.in (check_freebsd): New function, double-checks
	FreeBSD version by querying the sysctl kern.version.
	(xst_platform_guess): Also check for FreeBSD.

	* shares-conf.in: Add FreeBSD to supported platforms.

	* users-conf.in: Add FreeBSD to supported platforms. Add paths
	for shadow_names, login_defs_names and skel_dir on FreeBSD.
	(read_passwd_shadow): Munge shell comments from passwd and
	shadow_passwd.

2001-05-21  Arturo Espinosa Aldama  <arturo@ximian.com>

	* xml.pl.in (xst_xml_scan): Use new debug_print_log func.

	* users-conf.in (change_user): Just changed arg order to
	make it easier to compare it with man page when checking
	compatibility.

	* replace.pl.in (xst_replace_sh): Changed behaviour so that
	shell var will be expunged from file if $value eq "".
	(xst_replace_sh_join): Implemented. Required by network:suse70

	* platform.pl.in (check_lsb): Check through lsb file, which
	may make our lives easier in the near future.
	check_*: use $xst_prefix to check platform too.

	* network.pl.in (xst_network_suse70_active_interfaces_get):
	Don't list "lo" as an active interface.
	(xst_network_suse70_ifaces_get_existing): Better code:
	finds all NETDEV vars in rc.config and takes values from there.
	(xst_network_suse70_parse_iface_num): Braking the 4
	interface barrier here too. SuSE 7.0 scripts are broken, still.
	(xst_network_suse70_set_ifconfig_arg): Beautified output.
	(xst_network_suse70_get_file): Completly missed implemening
	this one. New interfaces weren't getting a NETDEV number.
	(xst_network_get_file): "suse-7.0" entry added.
	(xst_network_suse70_interface_delete): Was calling activate
	_by_dev with wrong value for $dev.
	(xst_network_suse70_interface_delete): Oops. Use "_" between
	var type and $dev.
	(xst_network_ensure_loopback_interface): Those distros that
	map to "" are not "ensured".
	(xst_network_get_interfaces_parse_table): Changed from XST_NAME
	to XST_IFACE_NAME, which is more verbose.
	(xst_network_get_interface_replace_table): same.

	* debug.pl.in (xst_debug_print_log_to_file): Seems like
	print can't handle strings larger than 4096 bytes. This
	routine is for printing large strings that may contain
	\n's inside (like in.xml).

2001-05-18  Arturo Espinosa Aldama  <arturo@ximian.com>

	* replace.pl.in (xst_replace_sh_set_hostname): Wasn't
	receiving @_ values.
	(xst_replace_sh_set_domain): same.

	* parse.pl.in (xst_parse_sh_get_domain): Wasn't receiving
	@_ values. duh.
	(xst_parse_sh_get_hostname): same, and a typo.

	* network.pl.in (xst_network_suse70_active_interfaces_get):
	translate from SuSE interface numbers to actual devices.
	(xst_network_interface_active): Comparison was numerical.
	Changed to string cmp.
	(xst_network_suse70_parse_iface_sh): Interpolation wasn't
	working fine here. Added explicit braces.
	(xst_network_suse70_replace_iface_sh): same.
	(xst_network_suse70_get_ifconfig_arg): Returned value was
	1/undef, and not $1, as thought. Fixed.
	(xst_network_suse70_set_ifconfig_arg): Precedence bug.
	(xst_network_suse70_set_ifconfig_ip): same.
	Using a more flexible regexp for HOST_CONF order parsing.

	* network-conf.in: Added suse-7.0 to @platforms.

	* users-conf.in: Added suse-7.0

	* service.pl.in (xst_service_sysv_get_paths): an
	explanation comment I found useful to set.

	* replace.pl.in (xst_replace_sh_set_hostname): Implemented.
	(xst_replace_sh_set_domain): Implemented.

	* parse.pl.in (xst_parse_sh_split): Implemented. After
	taking a sh value, it splits it, returning ref to arr.
	(xst_parse_sh_get_hostname): Implemented.
	(xst_parse_sh_get_domain): Implemented.

	* network.pl.in (xst_network_suse70_ifaces_get_existing):
	Implemented.
	(xst_network_suse70_parse_iface_num): Implemented. Not used.
	(xst_network_suse70_parse_iface_auto): Implemented.
	(xst_network_suse70_replace_iface_auto): Implemented.
	(xst_network_suse70_parse_iface_sh): Implemented.
	(xst_network_suse70_replace_iface_sh): Implemented.
	(xst_network_suse70_get_ifconfig_arg): Implemented.
	(xst_network_suse70_set_ifconfig_arg): Implemented.
	(xst_network_suse70_set_ifconfig_ip): Implemented.
	(xst_network_suse70_interface_activate_by_dev): Implemented.
	(xst_network_suse70_interface_activate): Implemented.
	(xst_network_suse70_interface_delete): Implemented.
	(xst_network_suse70_parse_bootproto): Implemented.
	(xst_network_suse70_replace_bootproto): Guess what? Implemented.
	suse-7.0 parse/replace tables implemented too.

	* network-conf.in (xml_print, xml_parse): Got rid of "forward"
	option, and added "gateway" option, for those broken distros.

	* file.pl.in (xst_file_run): Trivial style changes.

2001-05-17  Hans Petter Jansson  <hpj@ximian.com>

	* disks-conf.in (get_fdisk): Omit entries for extended partitions.

2001-05-17  Hans Petter Jansson  <hpj@ximian.com>

	* gettext.pl.in (_): This manner of gettexting disabled due to speed
	  considerations.

2001-05-17  Arturo Espinosa Aldama  <arturo@ximian.com>

	* service.pl.in (xst_service_sysv_get_paths): Added woody and
	suse 7.0 paths.
	* *-conf.in: Added suse 7.0, except for network and users.
	* time-conf.in: Added suse 7.0 table, and missing woody entries.

2001-05-17  Tambet Ingo  <tambet@ximian.com>

	* users-conf.in (read_skel_dir): Implement.
	(xml_print): Print out files for Profiles.

2001-05-16  Hans Petter Jansson  <hpj@ximian.com>

	* shares-conf.in (xml_print_export_nfs): Add (unset) names to NFS exports.
	  (xml_print_export_smb): Add export name to XML output.

2001-05-16  Hans Petter Jansson  <hpj@ximian.com>

	* filesys.pl.in (xst_filesys_info_settings_to_options): Implement.
	  (xst_filesys_info_remove_option): Implement.

	* shares-conf.in (set): Add "noauto" to non-mount shares.

2001-05-16  Hans Petter Jansson  <hpj@ximian.com>

	* shares-conf.in: Multiplatformize.
	  (distro_file): Implement.
	  (remove_local_from_filesys_table): Remove.
	  (remove_network_from_filesys_table): Remove.

2001-05-16  Hans Petter Jansson  <hpj@ximian.com>

	* disks-conf.in (update_partition): Fix breakage, call
	  xst_filesys_ext2_device_to_label().

2001-05-16  Hans Petter Jansson  <hpj@ximian.com>

	* file.pl.in (xst_open_filter_write_from_names): Fix log output.

	* filesys.pl.in (xst_filesys_table_to_hash): Not in use, so removed.
	  (xst_filesys_hash_to_table): Ditto.
	  (xst_filesys_table_merge_superset): Use new compare algorithm, not
	  key generator.
	  (xst_filesys_table_merge_subset): Ditto.
	  (xst_filesys_fstab_get_next_entry_line): Fix printing of ignored lines.
	  (xst_filesys_info_print_device): Implement.
	  (xst_filesys_info_print_entry): Reduce.
	  (xst_filesys_fstab_replace): Fix to only print permanent file systems.
	  Comment out some debug.
	  (xst_filesys_mount_on): Implement.
	  (xst_filesys_mount_off): Implement.
	  (xst_filesys_mount_sync_all): Implement.

	* share.pl.in (xst_share_replace_nfs_exports): Put newline in right place.

	* xml.pl.in (xst_xml_get_state): Implement.

	* shares-conf.in: Completely rewritten shares backend.

2001-05-16  Arturo Espinosa Aldama  <arturo@ximian.com>

	* platform.pl.in (xst_platform_guess): Changed code so xst_dist = "unknown"
	if none of the checks passed.
	(check_*): they all now return -1 if failed, or dist string if success. No
	more global manipulation.

2001-05-15  Arturo Espinosa Aldama  <arturo@ximian.com>

	* replace.pl.in (xst_replace_interfaces_stanza_value): function renamed
	from "interface_stanza".

	* network.pl.in (xst_network_deb22_replace_bootproto): function renamed.
	
	* *-conf.in: Added support for Debian Woody. Woody users will have to
	do echo 'woody' > /etc/debian_version

	* boot.pl.in: debian-woody works as redhat-6.2.
	* network.pl.in: created new interface parse/replace tables for debian woody,
	because the /etc/network/interfaces format changes. Partialy implemented
	(only auto stanza supported, but not mapping stanza). Not tested.
	* parse.pl.in: stanza scanning routines no longer assume stanzas are iface
	type.
	* replace.pl.in: same here. Added auto_stanza create.

2001-05-16  Hans Petter Jansson  <hpj@ximian.com>

	* share.pl.in (xst_share_smb_info_get_name): Implement.
	  (xst_share_smb_info_set_name): Implement.
	  (xst_share_smb_table_find): Implement.
	  (xst_share_parse_smb_conf): Set share name as well.
	  (xst_share_replace_smb_conf): Implement.
	  (xst_share_replace_nfs_exports): Cosmetic fix.

	* replace.pl.in (xst_replace_ini): Change so that blank values will
	  remove the variable altogether.
	  (xst_replace_remove_ini_section): Implement.
	  (xst_replace_remove_ini_var): Implement.

	* test.pl: Test cases for my personal enjoyment tomorrow.

2001-05-15  Hans Petter Jansson  <hpj@ximian.com>

	* share.pl.in (xst_share_replace_nfs_exports): Implement.

2001-05-15  Hans Petter Jansson  <hpj@ximian.com>

	* share.pl.in (xst_share_smb_info_new): Implement.
	  (xst_share_smb_info_set): Implement.
	  (xst_share_smb_info_get_point): Implement.
	  (xst_share_smb_info_set_point): Implement.
	  (xst_share_smb_info_get_comment): Implement.
	  (xst_share_smb_info_set_comment): Implement.
	  (xst_share_smb_info_get_enabled): Implement.
	  (xst_share_smb_info_set_enabled): Implement.
	  (xst_share_smb_info_get_browse): Implement.
	  (xst_share_smb_info_set_browse): Implement.
	  (xst_share_smb_info_get_public): Implement.
	  (xst_share_smb_info_set_public): Implement.
	  (xst_share_smb_info_get_write): Implement.
	  (xst_share_smb_info_set_write): Implement.
	  (xst_share_smb_table_new): Implement.
	  (xst_share_smb_table_add): Implement.
	  (xst_share_nfs_info_new): Implement.
	  (xst_share_nfs_info_set): Implement.
	  (xst_share_nfs_info_get_point): Implement.
	  (xst_share_nfs_info_set_point): Implement.
	  (xst_share_nfs_info_get_client_table): Implement.
	  (xst_share_nfs_info_set_client_table): Implement.
	  (xst_share_nfs_table_new): Implement.
	  (xst_share_nfs_table_add): Implement.
	  (xst_share_nfs_client_info_new): Implement.
	  (xst_share_nfs_client_info_set): Implement.
	  (xst_share_nfs_client_info_get_pattern): Implement.
	  (xst_share_nfs_client_info_set_pattern): Implement.
	  (xst_share_nfs_client_info_get_write): Implement.
	  (xst_share_nfs_client_info_set_write): Implement.
	  (xst_share_nfs_client_table_new): Implement.
	  (xst_share_nfs_client_table_add): Implement.
	  (xst_share_parse_smb_conf): Implement.
	  (xst_share_parse_nfs_exports): Implement.

	* Makefile.am: Add share.pl.in.

2001-05-15  Hans Petter Jansson  <hpj@ximian.com>

	* filesys.pl.in (xst_filesys_translate_ext2_device_to_label): Rename to
	  xst_filesys_ext2_device_to_label.
	  (xst_filesys_info_dup): Fix bug in options copying.
	  (xst_filesys_info_merge_options): Fix typo in doc.
	  (xst_filesys_info_set_options): Sync doc with actual use.
	  (xst_filesys_info_match): Implement.
	  (xst_filesys_info_match_options): Implement.
	  (xst_filesys_info_match_data): Implement.
	  (xst_filesys_table_find): Reimplement.
	  (xst_filesys_table_find_info_equivalent): Implement.
	  (xst_filesys_hash_to_table): Fix typo in doc.
	  (xst_filesys_entry_identify): Implement.
	  (xst_filesys_entry_identify_info): Implement.
	  (xst_filesys_parse_fstab): Rename to xst_filesys_fstab_parse and shortened
	  drastically.
	  (xst_filesys_parse_mtab): Rename to xst_filesys_mtab_parse and shortened
    drastically.
	  (xst_filesys_fstab_get_next_entry_line): Implement.
	  (xst_filesys_fstab_get_entry_line_fields): Implement.
	  (xst_filesys_fstab_get_entry_line_comments): Leave unimplemented for now.
	  (xst_filesys_info_print_options): Implement.
	  (xst_filesys_info_print_entry): Implement.
	  (xst_filesys_fstab_add_entry): Implement.
	  (xst_filesys_fstab_update_entry): Implement.
	  (xst_filesys_fstab_remove_entry): Implement.
	  (xst_filesys_fstab_replace): Implement.

2001-05-15  Chema Celorio  <chema@celorio.com>

	* internetsharing-conf.in (xst_ishare_rules_get_ipchains): implement.

2001-05-14  Chema Celorio  <chema@celorio.com>

	* time-conf.in: tested in RH 7.1. Add the platform

2001-05-13  Chema Celorio  <chema@celorio.com>

	* internetsharing-conf.in (conf_get_replace_table): initial code for
	this tool. It is not doing a lot right now

2001-05-12  Chema Celorio  <chema@celorio.com>

	* time-conf.in (xml_parse): small typo

2001-05-12  Hans Petter Jansson  <hpj@ximian.com>

	* time-conf.in: Fixed timezone write bug.

2001-05-10  Hans Petter Jansson  <hpj@ximian.com>

	* report.pl.in: Added new key to message table.

2001-05-10  Hans Petter Jansson  <hpj@ximian.com>

	* parse.pl.in (xst_parse_split_hash_with_continuation): Implement.

2001-05-10  Hans Petter Jansson  <hpj@ximian.com>

	* disks-conf.in: Include '-' in fstab option matching.

2001-05-10  Hans Petter Jansson  <hpj@ximian.com>

	* network.pl.in: For redhat-7.0, smb.conf is in /etc/samba/smb.conf. Make
	  a new pair of parse/replace-tables for this.

2001-05-09  Hans Petter Jansson  <hpj@ximian.com>

	* filesys.pl.in (xst_filesys_info_get_network_host): Implement.
	  (xst_filesys_info_set_network_host): Implement.
	  (xst_filesys_info_get_network_path): Implement.
	  (xst_filesys_info_set_network_path): Implement.
	  (xst_filesys_info_get_mounted): Implement.
	  (xst_filesys_info_set_mounted): Implement.
	  (xst_filesys_info_get_permanent): Implement.
	  (xst_filesys_info_set_permanent): Implement.
	  (xst_filesys_info_get_detected): Implement.
	  (xst_filesys_info_set_detected): Implement.
	  (xst_filesys_table_set_mounted_true): Implement.
	  (xst_filesys_table_set_permanent_true): Implement.
	  (xst_filesys_table_set_detected_true): Implement.
	  (xst_filesys_parse_fstab): Parse network-specific options.
	  (xst_filesys_parse_mtab): Ditto.

2001-05-09  Arturo Espinosa Aldama  <arturo@ximian.com>

	* 0.4 RELEASE

2001-05-09  Hans Petter Jansson  <hpj@ximian.com>

	* time-conf.in: Red Hat 7.0 timezone fix from Arturo.

2001-05-09  Arturo Espinosa Aldama  <arturo@ximian.com>

	* report.pl.in (xst_report): We're sending report strings into debug
	file again: they're quite useful.

	* debug.pl.in (xst_debug_open_output_file): set up a hash here so we
	cache the opened files. 
	(xst_debug_print_string_to_file): Not closing this files any more.

2001-05-08  Hans Petter Jansson  <hpj@ximian.com>

	* shares-conf.in (set_immediate): Fix up the path before creating share
	  string.

2001-05-08  Hans Petter Jansson  <hpj@ximian.com>

	* shares-conf.in (set_immediate): Use smbmount directly and don't rely on
	  fstab entry.

2001-05-08  Arturo Espinosa Aldama  <arturo@ximian.com>

	* network-conf.in (xml_print): Oops: print dialinstalled
	tag too.

	* parse.pl.in (xst_parse_split_ref): Do a regexp comparison,
	which is more flexible.

	* network.pl.in (xst_network_get_parse_table): Check if
	wvdial tool is installed. Just to warn the user about it.
	(xst_network_get_pap_passwd): Handle values surrounded
	by double quotes.

	* file.pl.in (xst_file_tool_installed): Check if a tool
	is found. Return 1/0 value.

	* general.pl.in (xst_end): Turn off reporting here, to make
	sure no further reporting gets mixed with the XML.

	* network.pl.in (xst_network_sysconfig_ifaces_get_existing):
	only check files that START with ifcfg-. This was confusing
	the backend with Mandrake's, and potentially others, backup
	files.

2001-05-08  Arturo Espinosa Aldama  <arturo@ximian.com>

	After some profiling, some optimizations:
	
	* report.pl.in (xst_report): Only send debug string if debug flag
	is set.

	* parse.pl.in (xst_parse_from_table): Calling xst_report instead
	of doing a direct debug.

	* gettext.pl.in (gettext): gettext results are now cached. This
	is still too expensive, and we should use the gettext CPAN module.

	* file.pl.in (xst_file_open_read_from_names): removed unnecesary
	debug function.
	(xst_file_run): system already calls with /bin/sh -c. Removed.
	  

2001-05-07  Arturo Espinosa Aldama  <arturo@ximian.com>

	* report.pl.in (xst_report_enter, xst_report_leave): trivialized
	  until a new solution comes. Read comments for comments.

2001-05-04  Hans Petter Jansson  <hpj@ximian.com>

	* shares-conf.in (read_exports): Parse NFS exports without options correctly.
	  (print_xml): Print a default name for unnamed shares.

2001-05-04  Hans Petter Jansson  <hpj@ximian.com>

	* shares-conf.in (write_fstab): Don't leave unaccounted-for shares lying
	  around.
	  (set_immediate): Use new service calls. Interim fix.

2001-04-30  Hans Petter Jansson  <hpj@ximian.com>

	* shares-conf.in (print_xml): Fixed an output problem in <allow> tags.

2001-04-27  Hans Petter Jansson  <hpj@ximian.com>

	Did a h4rD<0r3 patch of disks-conf.in, to allow it to operate on
	ext2 LABEL= devices found in the fstab.

	* disks-conf.in (update_partition): If we have a device node, try to get
	  its label. If we have a label, look for partitions with matching label
	  in all disks. Set the label when appropriate. Retrofitted with the new
	  filesys code.
	  (get_partition): Look for label as well.
	  (get_partition_data): Ditto.
	  (read_fstab): Handle LABEL= lines.
	  (write_fstab): Ditto.
	  (xml_parse_partition): Parse <label> tags.
	  (xml_print): Print <label> tags.

2001-04-27  Hans Petter Jansson  <hpj@ximian.com>

	* file.pl.in (xst_file_open_filter_write_from_names): Corrected a bug which
	  would cause the file to never be found. Local variables don't propagate
	  upwards.

2001-04-27  Arturo Espinosa Aldama  <arturo@ximian.com>

	* parse.pl.in (xst_parse_process_sh_line): sepparated from
	shell parsing code for reusability.

	* boot.pl.in (xst_boot_conf_replace_image): simplified function.
	Still too big, but not as much. Fixed bug that appeared when two
	sections using the same image but different label. No values
	come out with the quotes inside. This are added/deleted now at
	the backend level.

	* boot-conf.in (xml_parse_boot): Added keytable support, guided by
	some unexplained impulse.
	(xml_print): replaced xml_print_globals with xst_xml_print_scalars.

2001-04-26  Arturo Espinosa Aldama  <arturo@ximian.com>

	* boot-conf.in: removed useless commented debug code.
	* boot.pl.in: Added mandrake-7.2 and debian-2.2 table equivalences.
	Fixed bug where a comment would get into the options hash.
	* memory-conf.in: end_of_description; should go at beginning of line.
	* time-conf.in: qw values were separated by comma. fixed.
	timezone description file comments are those that START with #.
	
2001-04-26  Chema Celorio  <chema@celorio.com>

	* Makefile.am (EXTRA_DIST): add print-conf.in to pass distcheck
	(EXTRA_DIST): added mouse-conf.in

2001-04-26  Arturo Espinosa Aldama  <arturo@ximian.com>

	* boot-conf.in: Added mandrake-7.2 and debian-2.2 as supported platforms.
	* disks-conf.in: Added mandrake-7.2 and debian-2.2 as supported platforms.
	* memory-conf.in: Added mandrake-7.2 and debian-2.2 as supported platforms.
	Some indentation corrections.
	* print.pl.in: Escaped a couple of hashes that confused emacs.
	* print-conf.in: Added mandrake-7.2 and debian-2.2 as supported platforms.
	* users-conf.in: Added mandrake-7.2 and debian-2.2 as supported platforms.
	
2001-04-25  Arturo Espinosa Aldama  <arturo@ximian.com>

	* filesys.pl.in (xst_filesys_translate_ext2_device_to_label):
	chomp is the same in this case, and a common idiom. Also,
	always return $label, as "" eq undef.
	Some other style changes.
	(xst_filesys_table_merge_superset): merge stuff missing in
	first table from second one.
	(xst_filesys_table_merge_subset): delete stuff in first table
	missing	in second.
	(xst_filesys_table_to_hash): This made these two possible.
	(xst_filesys_hash_to_table): Don't you love Perl?
	(xst_filesys_info_merge): Merge stuff inside infos.
	(xst_filesys_info_merge_options): And options.
	(merge_hashes): Small utility that makes life more bearable.

2001-04-23  Arturo Espinosa  <arturo@ximian.com>

	* debug.pl.in: minor cosmetic change to path.
	* general.pl.in: require gettext.pl routines and set textdomain
	to "ximian-setup-tools".
	* gettext.pl.in: Removed function N_. This is only a C trick
	to fool the preprocessor. Oh, but this is not C.
	* report.pl.in: Surround strings to be translated by '_()'.
	
2001-04-23  Arturo Espinosa  <arturo@ximian.com>

	* network.pl.in: init.d script for smb in Debian is samba.
	* service.pl.in (xst_service_sysv_get_paths): Added paths for
	  Debian and Mandrake.
	* time-conf.in: Check for service availability and activation.
	  Minor indentation fixes.
	
2001-04-23  Arturo Espinosa  <arturo@ximian.com>

	* parse.pl.in (xst_parse_interfaces_option_str/kw): this code
	  was passing invalid xst_report keys. How did this get here?

	* time-conf.in: redhat-7.0, mdk-7.2 & debian-2.2 parse/replace
	  tables.
	
2001-04-20  Arturo Espinosa  <arturo@ximian.com>

	* report.pl.in (xst_report): As we are killing the format strings
	  from the frontend common code, we pass it in the report now.
	
2001-04-19  Arturo Espinosa  <arturo@ximian.com>

	* file.pl.in (xst_file_run): return -1 if command fails to be found.
	  return system (command) / 256 (as stated in perlfunc) to return exit
	  code of process. Fixed stdio/stderr redirection.
	  (xst_file_locate_tool): return trivialy if path is absolute.
	* network.pl.in: when checking for "smbuse", use new service behaviour
	  to check for smbd and nmbd.
	  Parsing for hosts and dns servers now filters repeated entries out.
	* service.pl.in (xst_service_sysv_get_status): some init.d scripts are broken.
	  Stole redhat's init.d/function:status to do new, more fine-grained checking.
	  (xst_service_sysv_get_status_any): just a proxy.
	  (xst_service_sysv_run_initd_script): fixed init.d script invocation typo.
	  (xst_service_sysv_set_status): Always set links, to fix broken setups.
	* network-conf.in (xml_parse_network, push_unique): when parsing hosts and
	  dns servers, filter repeated entries out.
	* parse.pl.in (xst_parse_split_all_unique_hash_comment,
	  xst_parse_split_first_array_unique): new functions that return arrays with
	  unique elements.
	
	
2001-04-17  Arturo Espinosa  <arturo@ximian.com>

	* file.pl.in: changed wrong report keys.
	* network-conf.in: smbuse and smbinstalled support.
	* network.pl.in: ditto.
	* service.pl.in (xst_service_sysv_installed): tells if certain service
	  is installed, by looking for the sysv script. Maybe should use rpm or
	  dpkg for this.
	
2001-04-14  Chema Celorio  <chema@celorio.com>

	* time-conf.in (conf_get_replace_table): typo . duh !

	* network-conf.in: ditto
	
	* users-conf.in: add Mandrake 7.2

2001-04-14  Chema Celorio  <chema@celorio.com>

	* time-conf.in: add Mandrake 7.2
	(conf_get_replace_table): link mdk 7.2 to rh 6.2
	(conf_get_parse_table): ditto.

2001-04-11  Bradford Hovinen  <hovinen@ximian.com>

	* xml.pl.in (xst_xml_scan): Call &xst_archive_data

	* general.pl.in (xst_archive_data): Implement. Archive data with
	the Ximian archiver

	* Makefile.am ($(perl_libs)): Add substitution for bin directory

2001-04-03  Hans Petter Jansson  <hpj@ximian.com>

	* shares-conf.in (read_fstab): Fix detection of username for SMB imports.

2001-04-03  Ravi Pratap  <ravi@che.iitm.ac.in>

	* .cvsignore : add mouse-conf.in

2001-04-02  Michael Meeks  <michael@ximian.com>

	* backends/print.pl.in: Revise to simplify

	* backends/print-conf.in: ditto.

2001-03-30  Ravi Pratap  <ravi@che.iitm.ac.in>

	* mouse-conf.in (get, set, filter) : Add
	(xst_mouse_conf_get, xml_print): Implement

2001-03-29  Ravi Pratap  <ravi@che.iitm.ac.in>

	* mouse-conf.in : Add

	* Makefile.am : Modify accordingly

2001-04-02  Hans Petter Jansson  <hpj@ximian.com>

	* shares-conf.in: Generate/parse XML suitable for displaying in e-tables.

2001-04-02  Hans Petter Jansson  <hpj@ximian.com>

	* shares-conf.in: Fixed broken report calls.

2001-04-02  Kenneth Christiansen  <kenneth@gnu.org>

        * perldoc.pl: A JavaDoc like system for Perl
	* option.pl: A module required by the above program.

2001-03-31  Hans Petter Jansson  <hpj@ximian.com>

	* parse.pl.in (xst_parse_fstab): Went back underground, now rumored to
	  be living in filesys.pl.in, under the name xst_filesys_parse_fstab().

2001-03-31  Hans Petter Jansson  <hpj@ximian.com>

	* filesys.pl.in: Added. Implements parsing of fstab and mtab files,
	  and manipulating the information presented by these as in-memory
	  structures.

2001-03-30  Arturo Espinosa Aldama  <arturo@ximian.com>

	* report.pl.in (xst_report): new "::" separated report format.

	* general.pl.in: when asking for report, set $xst_do_report, not
	$xst_do_verbose.

2001-03-29  Hans Petter Jansson  <hpj@ximian.com>

	* xml.pl.in (xst_xml_scan): Now accepts a filename to scan from. Fallback
	  remains stdin.

2001-03-29  Hans Petter Jansson  <hpj@ximian.com>

	* parse.pl.in (xst_parse_fstab): Don't use -> for hash indirection.

2001-03-29  Hans Petter Jansson  <hpj@ximian.com>

	* parse.pl.in (xst_parse_fstab): Implement.

2001-03-29  Kenneth Christiansen  <kenneth@gnu.org>

        * internet-share: replacement for ishare-launc.pl. Try to follow
          the naming use in /etc/rc.d/rc.init. If you place this file there
          and put the config file in the dir specified in internet-share it
          should be able to run this script at startup.
        * ishare-launch.pl: remove

2001-03-29  Kenneth Christiansen  <kenneth@gnu.org>

        * internet-config.cfg: Template for now an internet config can look
        * ishare-launch.pl: Launcher program that reads the above config file
          and activates the settings.

2001-03-29  Hans Petter Jansson  <hpj@ximian.com>

	* debug.pl.in (xst_debug_print_struct): Print all arguments.
	  (xst_debug_print_struct_r): Indentation correction.

2001-03-29  Simo Sorce  <simo.sorce@polimi.it>

	* shares-conf.in (xml_print): Make XML printing work again.

	* util.pl.in (xst_read_boolean): Ignore case in boolean-denoting strings.

2001-03-29  Arturo Espinosa  <arturo@ximian.com>

	* report.pl.in: Report entries for replace.
	* replace.pl.in: Documented functions, and
	  added report stuff too.
	
2001-03-29  Tambet Ingo  <tambet@ximian.com>

	* users-conf.in (read_shells): Implement.
	(xml_print_shells): Implement.

	* general.pl.in (xst_init): Fixed typo.

2001-03-28  Hans Petter Jansson  <hpj@ximian.com>

	* general.pl.in: Honour --verbose flag like --report.

	* report.pl.in (xst_report): --verbose output is human-readable. Make sure
	  verbose output gets printed independently of report - they're two
	  different requestable output log formats.
	  (xst_report_message): Trivial re-indent of table.

2001-03-28  Arturo Espinosa  <arturo@ximian.com>

	* network.pl.in: smbuse, a feature that reports if
	  the samba daemon is running.
	
2001-03-28  Arturo Espinosa  <arturo@ximian.com>

	* report.pl.in: New report code, which dumps the use
	  of mayor and minor numbers and uses keys instead. A
	  hash, mapping keys to messages is at the end of this
	  file. Fitted progress report with this scheme.

	* *.in: use new reporting code. Some other naming and
	  style corrections I found on the way.
	
2001-03-28  Ryan Boren <rboren@fuzzybelly.org>

	* print.pl.in (xst_printcap_read): parse the ##PRINTTOOL##
	line to grok another description

	* print-conf.in (xml_parse, xml_parse_printer): fixup
	(xml_parse_section): impl.
	(xml_print_printer): add description.

2001-03-26  Tambet Ingo  <tambet@ximian.com>

	* users-conf.in (write_logindefs): Implement.

2001-03-26  Ryan Boren <rboren@fuzzybelly.org>

	* backends/print-conf.in (xst_printcap_read): Fix spool
	naming and contents assumptions.

2001-03-22  Michael Meeks  <michael@ximian.com>

	* backends/print-conf.in (xml_print): don't put redundant
	extra print header and footer in.

2001-03-21  Ryan Boren <rboren@fuzzybelly.org>

	* backends/*: my $var -> my ($var) everywhere

	* backends/*: @_[n] -> $_[n] everywhere

	* backends/network-conf.in: Use qw in places.

	* backends/*: forward -> "forward" etc.

	* backends/parse.pl.in, backeds/replace.pl.in: replace
	\n in regexps with $n.
	
2001-03-21  Michael Meeks  <michael@ximian.com>

	* Makefile.am: add print bits.

	* print-conf.in: Add.

	* print.pl.in: Add.

	* parse.pl.in (xst_shell_escape): split from
	(xst_parse_sh): here.
	(xst_parse_sh_export): impl.

2001-03-21  Tambet Ingo  <tambet@ximian.com>

	* users-conf.in (xml_scan): We need raw xml and slightly modified from xst_xml_scan.
	(save_profiles): Implement.

	* file.pl.in (xst_file_get_data_path): Implement.
	(xst_buffer_save): Now it can write one line of text also.

	* users-conf.in (xml_print_profiles): Don't print empty tags if no profiles defined.

2001-03-20  Arturo Espinosa  <arturo@ximian.com>

	Bug fixes for Debian port to work well.
	
	* network.pl.in (xst_network_interface_activate):
	  renamed to xst_network_interface_active.
	  (xst_network_deb22_get_file): found what this
	  function does. It should trivialy return $dev.
	  (xst_network_deb22_replace_bootproto): "none"
	  is mapped to "static", not the other way. Also,
	  the stanza value to replace is the 2nd, not 3rd.
	  (xst_network_debian_replace_remote_address): the
	  option name is "up", not "on".
	  (xst_network_get_interfaces_parse_table): features
	  not supported by distro are trivialy set to some
	  default value.
	* replace.pl.in (xst_replace_interfaces_get_next_option):
	  backtrack if last lines found were empty lines, so
	  added options get before those, instead of after. Just
	  for beauty.
	  (xst_replace_interface_stanza_value): create stanza
	  if not found. Added missing chomp.
	  (xst_replace_interfaces_option_str): Another missing
	  chomp.
	
2001-03-20  Kenneth Christiansen  <kenneth@gnu.org>

	reviewed by: Hans Petter Jansson  <hpj@ximian.com>

	* xml.pl.in: Added some my's
	  implimented stack for managing tag containers
	* xml.pl.in(xst_xml_(print|format)_indent): 
	  Made format version
	* xml.pl.in(xst_xml_(print|format)_pcdata: 
	  New function for printing pcdata  
	* xml.pl.in(xst_xml_(print|format)_state_tag): 
	  Made format version, cleaned up a little
	* xml.pl.in(xst_xml_container_enter): New function     
	* xml.pl.in(xst_xml_container_leave): New function
	* xml.pl.in(xst_xml_print_container): New function

2001-03-20  Tambet Ingo  <tambet@ximian.com>

        * users-conf.in: Initial support for profiles.

2001-03-20  Michael Meeks  <michael@ximian.com>

	* xml.pl.in (xst_xml_print_line): print @_ not $_[0] -
	fixes bug in memory conf.

2001-03-19  Michael Meeks  <michael@ximian.com>

	* Makefile.am: Clean.

2001-03-19  Arturo Espinosa  <arturo@ximian.com>

	* file.pl.in (xst_buffer_load): return a ref to an empty
	  array if file not found. This lets the buffer be
	  filled with stuff as soon as the function returns.
	* network.pl.in: some function renaming, a minor
	  prefix usage bug and the interface configuration editting
	  functions and table for Debian 2.2. semi-tested.
	* parse.pl.in: minor code simplification.
	* replace.pl.in: all the debian interfaces file replacers.

2001-03-17  Hans Petter Jansson  <hpj@ximian.com>

	* Added gettext.pl.in by Kenneth Christiansen.

2001-03-16  Arturo Espinosa  <arturo@ximian.com>

	* Network parsing works fully for Debian. Tested on Poiss.
	* network.pl.in (xst_network_active_interfaces_get): fixed
	  network discovery command.
	  (xst_network_interfaces_get_existing): get existing ifaces
	  for Debian.
	  (xst_network_debian_get_file): counterpart of a useless
	  function. :)
	  (xst_network_get_chap_passwd): deleted. Useless.
	  (xst_network_get_ppp_options_re): general function to get
	  options from pppd option files.
	  (xst_network_get_ppp_options_unsup): get unknown options.
	  (xst_network_debian_parse_remote_address): cool hack that
	  allows plip existance under Debian.
	  Some parse and replace table beautifying.
	* parse.pl.in (xst_parse_replace_hash_values): more flexible
	  replacing. New syntax is %has_value%, anywhere on the param.
	  Check the interface parse table for Debian for an example.
	  (xst_parse_trivial): Just return the arguments.
	  Modified return value for all line parsers: the old method
	  regarded a line containing "-1" as EOF. Now returning
	  a refference to the string, or -1 if EOF.
	  (xst_parse_split_ref): returns -1 if key not found.
	  (xst_parse_split): now calls xst_parse_split_ref, and generates
	  old behaviour.
	  (xst_parse_kw): look for a keyword matching $re, reporting
	  existence.
	  (xst_parse_chat): minor nesting simplification.
	  Other minor bugs.
	* report.pl.in: Perl style change. @array[index] -> $array[index]

	
2001-03-15  Arturo Espinosa  <arturo@ximian.com>

	* network-conf.in: Added supported platform "debian-2.2".
	  Removed RH-dependent gateway and gateway_dev params.
	* network.pl.in (xst_network_active_interfaces_get):
	  improved ifconfig call and filter.
	  (xst_network_debian_parse_bootproto): bootproto translation
	  from interfaces file for a given iface in Debian.
	  Added Debian parsing tables and general network replace
	  table.
	* parse.pl.in: Lots of stuff here. Basicly parsing functions
	  for the Debian interfaces file.
	* platform.pl.in (check_debian): changed quotes to double
	  quotes. $xst_dist appeared as debian-$ver!
	
2001-03-15  Hans Petter Jansson  <hpj@ximian.com>

	* test.pl: Added test skeleton.

2001-03-13  Hans Petter Jansson  <hpj@ximian.com>

	* boot-conf.in: Modernize XML printing - do all output through
	  xst_xml_print_* calls.

	* network-conf.in: Ditto.

	* time-conf.in: Ditto.

	* users-conf.in: Ditto.

2001-03-13  Hans Petter Jansson  <hpj@ximian.com>

	* boot-conf.in: Remove calls to xst_begin() - it's invoked by
	  xst_init(). Unfortunately this makes the code asymmetric, but if
	  we were to invoke it ourselves, we'd also have to call
	  xst_platform_ensure_supported() in three places.

	* network-conf.in: Ditto.

2001-03-13  Hans Petter Jansson  <hpj@ximian.com>

	* xml.pl.in (xst_xml_print_state_tag): Renamed from
	  xst_xml_print_state. Removed spurious indent.
	
	* disks-conf.in (xml_print): Use xst_xml_print_state_tag instead of
	  direct print..

	* media.pl.in (xst_media_xml_print): Use xst_xml_print_state_tag.

2001-03-13  Hans Petter Jansson  <hpj@ximian.com>

	* xml.pl.in (xst_xml_print_begin): Implement.
	  (xst_xml_print_end): Implement.
	  (xst_xml_print_indent): Use xst_xml_print_string.
	  (xst_xml_print_vspace): Use xst_xml_print_string.
	  (xst_xml_print_state): Use xst_xml_print_string.

	* disks-conf.in (xml_print): Use xst_xml_print_(begin|end).

2001-03-13  Hans Petter Jansson  <hpj@ximian.com>

	* debug.pl.in: Fixed bug, debug 9 was not being rotated out.

2001-03-12  Arturo Espinsoa  <arturo@ximian.com>

	* network.pl.in: using debug functions for messages.
	* parse.pl.in: same
	* replace.pl.in: quote backquote also in replace_sh.
	* xml.pl.in: &quot; was being transformed into \'. Should
	  be ' only. Fixed.
	
2001-03-12  Hans Petter Jansson  <hpj@ximian.com>

	* xml.pl.in (xst_xml_indent): -> xst_xml_print_indent.
	  (xst_xml_vspace): -> xst_xml_print_vspace.
	  (xst_xml_print_string): Implement.
	  (xst_xml_print_line): Use xst_xml_print_string().

	* boot-conf.in disks-conf.in hardware-conf.in
	  media.pl.in memory-conf.in network-conf.in
	  removable-media.pl.in time-conf.in users-conf.in:

	  xst_xml_indent -> xst_xml_print_indent.
	  xst_xml_vspace -> xst_xml_print_vspace.

2001-03-08  Arturo Espinosa  <arturo@ximian.com>

	* service.pl.in: New functions to handle SysV rc
	  scripts, a little better organized code.
	* time-conf.in: Use xst_service_sysv_set_status
	  and get_status now.
	* Removing networking-conf.in, nameresolution-conf.in
	  and network-conf.in.bak.

	
2001-03-08  Hans Petter Jansson  <hpj@ximian.com>

	* file.pl.in (xst_open_read_from_names): Missing $ in var for
	  debug output corrected.

2001-03-08  Hans Petter Jansson  <hpj@ximian.com>

	* boot-conf.in disks-conf.in hardware-conf.in media.pl.in
          memory-conf.in nameresolution-conf.in network-conf.in
          networking-conf.in removable-media.pl.in time-conf.in
          users-conf.in xml.pl.in: xst_xml_print -> xst_xml_print_line.

	  Doing this replace first, in a way that shouldn't affect the
	  handful of other functions starting with xst_xml_print_.

2001-03-08  Hans Petter Jansson  <hpj@ximian.com>

	* replace.pl.in (xst_replace_ini): Use debug funcs.
	  (is_array_ref): Use debug funcs.

2001-03-08  Arturo Espinosa  <arturo@ximian.com>

	* time-conf.in (time_set_local_time, time_set_rh62_zone,
	time_rh62_service_set_status, conf_set): replace functions.
	Not tested yet.
	* time-conf.in (time_get_local_time): bad order in scalar
	assignment. fixed.
	* time-conf.in (xml_print): mistakingly deleted timezone
	printing. fixed.
	
2001-03-08  Hans Petter Jansson  <hpj@ximian.com>

	* Makefile.am: Remove nameresolution-conf relics.

2001-03-08  Hans Petter Jansson  <hpj@ximian.com>

	* general.pl.in: Add $xst_debug flag.
	  (xst_init): Honour --debug arg and XST_DEBUG env. Also some
	  comments.

	* debug.pl.in (xst_debug_print_indent): Use xst_debug_print_string().
	  (xst_debug_print_string): Print to STDERR only if $xst_debug set.

2001-03-08  Hans Petter Jansson  <hpj@ximian.com>

	* xml.pl.in (xst_xml_quote): return() -> return, makes code look
	  more uniform.
	  (xst_xml_get_word): Missing semicolon added.
	  (xst_xml_get_text): Missing semicolon added.

2001-03-08  Hans Petter Jansson  <hpj@ximian.com>

	* debug.pl.in (xst_debug_open_output_file): Implement.
	  (xst_debug_print_string_to_file): Implement.
	  (xst_debug_print_indent): Print to file. More efficient.
	  (xst_debug_rotate_try): Fix bug that would lead to multiple
	  rotations on one backend invocation.

	* file.pl.in (xst_open_read_from_names): Use debug funcs.
	  (xst_buffer_save): Use debug funcs.

	* xml.pl.in (xst_xml_scan): Dump scanned XML to in.xml.
	  (xst_xml_get_pcdata): Use debug funcs.

2001-03-07  Arturo Espinosa  <arturo@ximian.com>

	* replace.pl.in (xst_replace_from_table): big oops here. A
	  line of old code (51) wasn't deleted and this prevented any
	  changes to take place.
	* network.pl.in (xst_network_ensure_loopback_interface): Ensure
	  the interface is activated if it already exists.
	* parse.pl.in: line analyzers take care of reading the file, so
	  we can have routines that read more than one line, etc.
	* time-conf.in: replace table, but this isn't working yet.
	
	
2001-03-06  Arturo Espinosa  <arturo@ximian.com>

	* network-conf.in: moved xml_print stuff to xml.pl.in. Removed
	  stale set_immediate code.
	* parse.pl.in: xst_parse_replace files. Now it is possible to
	  pass a reference to an array with several files to be replaced
	  from the fn hash. Check time-conf.in (conf_get_parse_table) for
	  an example.
	  (xst_parse_chomp_line_std, xst_parse_chomp_line_hash_comment):
	  line reading routines. The latter remove hash comments.
	  (xst_parse_split): now receives a ref to a sub for the line
	  reading sub, with xst_parse_chomp_line_std as default.
	  (xst_parse_*): pass the line_read_proc param all around.
	* replace.pl.in (xst_replace_from_table): same as xst_parse_replace.
	* time-conf.in: an almost complete rewrite. XML structure changed a
	  bit.
	* xml.pl.in: moved the xst_xml_print* subs here. Renamed xml_print_hash
	  to xst_xml_print_hash_hash, and created new xst_xml_print_hash,
	  which does what its name says.
	
2001-03-05  Hans Petter Jansson  <hpj@ximian.com>

	* file.pl.in (xst_file_get_debug_path): Implement.

2001-03-05  Hans Petter Jansson  <hpj@ximian.com>

	* disks-conf.in: Added redhat-7.0.

2001-03-05  Hans Petter Jansson  <hpj@ximian.com>

	* debug.pl.in: Implement xst_debug_rotate_try().

2001-03-02  Arturo Espinosa  <arturo@ximian.com>

	* network.pl.in: add loopback interface if it doesn't exist
	  (ensure_loopback). Add "localhost" and "localhost.localdomain"
	  entries to loopback statichost entry.
	
2001-03-01  Hans Petter Jansson  <hpj@ximian.com>

	* debug.pl.in: Implemented basic debug functions.
	* Makefile.am: Included debug.pl.in in build and install.

2001-03-01  Arturo Espinosa  <arturo@ximian.com>

	* file.pl.in (xst_run): run command with sh -c.
	* network.pl.in (xst_network_interface_active): make interface discovery
	  platform indpenedent: old method couldn't detect if ifconfig failed.
	
2001-02-28  Hans Petter Jansson  <hpj@ximian.com>

	* disks-conf.in (read_fstab, write_fstab): Don't touch UUID= either.

2001-02-28  Arturo Espinosa  <arturo@ximian.com>

	* file.pl.in (xst_open_write_from_names): old criterion was preventing
	  file creation. Create file if it doesn't exist, under any condition.
	
2001-02-28  Hans Petter Jansson  <hpj@ximian.com>

	* disks-conf.in (read_fstab, write_fstab): Don't touch LABEL= lines
	  for now.

2001-02-27  Chema Celorio  <chema@celorio.com>

	* boot.pl.in (xst_boot_conf_set): fix a small typo

2001-02-27  Arturo Espinosa  <arturo@ximian.com>

	* network-conf.in (xml_parse_network): support winsuse boolean.
	* network.pl.in (xst_network_get_replace_table, parse_table): winsuse.
	* parse.pl.in (xst_parse_ini_bool): get a boolean from an ini file.
	* replace.pl.in (xst_replace_ini_bool): save a boolean...
	* xml.pl.in (xml_get_pcdata): return "" if tag doesn't have contents.
	
2001-02-26  Chema Celorio  <chema@celorio.com>

	* Makefile.am (perl_libs): remove be.pl

2001-02-27  Tambet Ingo  <tambet@ximian.com>

	* boot-conf.in (set_immediate): New function, we didn't actually run lilo before.

2001-02-26  Arturo Espinosa  <arturo@ximian.com>

	* network-conf.in (xml_parse_dialing): set the file item if none came from the XML.
	* network.pl.in (xst_network_rh62_get_file, xst_network_get_file): check the file
	  name for any given distro. The corresponding sysconfig file for rh62.
	
2001-02-26  Tambet Ingo  <tambet@ximian.com>

	* boot-conf.in (xml_parse_image): get text (not word).

	* boot.pl.in (xst_boot_conf_replace_image): Fixed bug that sometimes didn't write
	type. Don't scan to the end of file if everything is done already. 

2001-02-25  Hans Petter Jansson  <hpj@ximian.com>

	* general.pl.in (xst_begin): Don't break if platform unknown -
	  let xst_platform_ensure_supported () handle that.

	* platform.pl.in (xst_platform_ensure_supported): Make
	  unknown-platform and unsupported-platform scenarios similar.

2001-02-24  Arturo Espinosa  <arturo@ximian.com>

	* network.pl.in: peerdns support.
	* util.pl.in (xst_util_struct_eq): oops, forgot to rename inner calls.
	
2001-02-24  Arturo Espinosa  <arturo@ximian.com>

	* network-conf.in (xml_print): cosmetic changes.
	* network.pl.in (xst_network_rh62_interface_set_by_dev,
	xst_network_rh62_interface_set) better criterion for device activation.
	* network.pl.in: chap support, lots of bug fixes to activation stuff.
	* util.pl.in (xst_util_struct_eq): renamed from cmp due to different semantic.
	
2001-02-23  Hans Petter Jansson  <hpj@ximian.com>

	* file.pl.in (xst_file_get_base_path): Implement.
	  (xst_file_get_tmp_path): Implement.
	  (xst_file_get_backup_path): Implement.
	  (xst_backup_file): Use xst_file_get_backup_path.
	  (xst_open_filter_write_from_names): Use xst_file_get_tmp_path.

2001-02-23  Arturo Espinosa  <arturo@ximian.com>

	* replace.pl.in (xst_replace_sh): surround by quotes after escaping.
	
2001-02-23  Arturo Espinosa  <arturo@ximian.com>

	* network-conf.in (xml_parse-dialing): minor naming change.
	* network.pl.in (xst_network_dialing_set): "Stupid mode" corresponding tag
	  is "stupid", not "mode". This was causing the "= 0" bug.
	* replace.pl.in (xst_replace_ini): Forgot the case where you found the
	  section, but not the var. Handle this.
	
2001-02-23  Arturo Espinosa  <arturo@ximian.com>

	* file.pl.in (xst_open_read_from_names): debug reporting opened file,
	  but with the xst_prefix also.
	* network-conf.in: use xst_xml_get_pcdata instead of get_word.
	* network.pl.in (xst_network_sysconfig_ifaces_get_existing): use xst_prefix
	  to open directory.
	* network.pl.in: added "file" attrib to interface structures, to know from
	  which file an interface configuration came. This tag could be the same
	  value accross all interfaces for some distros (RH required, dunno others).
	* network.pl.in (xst_network_interfaces_down_changed): get active interfaces
	  and deactivate only those whose data have changed.
	* network.pl.in (xst_network_interfaces_set): now requires the OLD_HASH
	  structure, so that interfaces_down_changed can compare.
	* network.pl.in (xst_network_conf_set): call xst_network_conf_get to get the
	  $old_hash, and pass it to replace_from_table.
	* replace.pl.in (xst_replace_from_table): $$fn{"OLD_HASH"} = $old_hash;, so
	  if you ask for the OLD_HASH file key, you get a reference to the $old_hash.
	  See network.pl.in (xst_network_get_replace_table) for an example.
	* replace.pl.in (xst_replace_ini): cosmetic change to new section appending.
	* util.pl.in (xst_util_struct_cmp): recursively compare two references,
	  diving into any references to scalars, arrays or to see if structs are equal.
	* xml.pl.in (xst_xml_get_pcdata): get the contents of the element, with no
	  processing, except for entity unquoting.
	* xml.pl.in (xst_xml_get_word, xst_xml_get_text, xst_xml_get_size): they now
	  call get_pcdata and then process that to their need, then return.
	
	
2001-02-23  Hans Petter Jansson  <hpj@ximian.com>

	* file.pl.in (xst_backup_file): Add permanent archival of first-ever
	  backup made.

2001-02-23  Hans Petter Jansson  <hpj@ximian.com>

	* file.pl.in (xst_rotate_backups): Remove.
	  (xst_backup_file): Implement.
	  (xst_create_path): Implement.
	  (xst_create_path_for_file): Implement from old xst_create_path.
	  (xst_open_write_from_names): Use xst_backup_file.
	  (xst_open_filter_write_from_names): Use xst_backup_file. Use new
	  filter source (in private tmp directory).

	* time-conf.in (write_localtime): Use xst_create_path_for_file.

2001-02-23  Tambet Ingo  <tambet@ximian.com>

	* boot.pl.in (xst_boot_conf_replace_image): We are #XstPartitionType aware.
	(xst_boot_parse_images): We too!
	(xst_boot_conf_del_images): Taught deleting images.
	(xst_boot_conf_set_images): Use copy of data, not data itself, call del_images.
	(xst_boot_conf_replace_image): Made image matching stronger.

2001-02-22  Arturo Espinosa  <arturo@ximian.com>

	* network.pl.in (xst_network_get_pap_passwd): get the pap password from a pap-secrets file.
	  The tag name for dialing dialers passwords is now password, not passwd.
	* parse.pl.in: don't use @_ to pass arguments: it's difficult to know the required args
	  for the function. xst_parse_sh now unquotes the value.
	* replace.pl.in (xst_replace_sh): quote value and surround by quotes if required, before replacing.
	
2001-02-22  Hans Petter Jansson  <hpj@ximian.com>

	* xml.pl.in (xst_xml_scan_recurse) (xst_xml_scan_make_kid_array):
	  Allow [0-9] in tag names.

2001-02-22  Tambet Ingo  <tambet@ximian.com>

	* boot.pl.in (xst_boot_conf_set): Added some more known tags.

2001-02-22  Hans Petter Jansson  <hpj@ximian.com>

	* report.pl.in (xst_report): Re-enable report printing. It works.

	* shares-conf.in (xml_print): Move to xst_xml_quote ().

2001-02-22  Tambet Ingo  <tambet@ximian.com>

	* boot.pl.in (xst_boot_conf_replace_image): Now we can delete image tags too.

2001-02-22  Hans Petter Jansson  <hpj@ximian.com>

	* xml.pl.in (xst_xml_quote): Put old code back in, since Chema's
	  didn't work.

2001-02-22  Chema Celorio  <chema@celorio.com>

	* boot-conf.in (xml_print_globals): fix s/quote/xst_xml_quote
	so that Crimz can stop crying like a baby

2001-02-21  Arturo Espinosa  <arturo@ximian.com>

	* network.pl.in (xst_network_interfaces_set, xst_network_rh62_interface_delete,
	  xst_network_remove_pap_entry): remove interfaces that are not present, and remove
	  pap entry if the interface used one, for security.
	* network.pl.in (xst_network_remove_pap_entry): used when a ppp interface is removed,
	  for security.
	  (xst_network_rh62_interface_delete): entry removal in rh62ish machines.
	  DNS1 and DNS2 support in tables.
	
2001-02-21  Chema Celorio  <chema@celorio.com>

	* users-conf.in (xml_print): quote the group too.

2001-02-21  Chema Celorio  <chema@celorio.com>
	
	* users-conf.in : replace the plaint_to_entities & entities
	to plain with xst_xml_quote & xst_xml_unquote
	(xml_print): quote the user data before sending it
	to the front end.

	* boot-conf.in (quote): remove use xst_xml_quote
	(unquote): remove use xst_xml_unquote

	* xml.pl (xst_xml_entities_to_plain): remove, use xst_xml_unquote
	(xst_xml_plain_to_entities): remove use xst_xml_quote instead

2001-02-21  Chema Celorio  <chema@celorio.com>

	* report.pl.in (xst_report): return, don't report status. This was
	causing a bug (which took me 3 hrs. to find) in the backends.

2001-02-21  Tambet Ingo  <tambet@ximian.com>

	* boot.pl.in (xst_boot_set_global_kw): New fn to add or modify global keywords.
	(xst_boot_set_global): New fn to add or modify globals (repsects all spaces).
	(xst_boot_del_global): Nef fn to delete globals (keywords and vars).
	(xst_boot_replace_from_table): My own version of xst_replace_from_table.
	(xst_boot_conf_set_images): Rewrote this and
	(xst_boot_conf_replace_image): this.
	(xst_boot_conf_replace_image): Now it adds new images too.

2001-02-20  Tambet Ingo  <tambet@ximian.com>

	* boot.pl.in (xst_boot_parse_images): New (and nice) function to get images.

	* boot-conf.in (xml_print_global_kws): New function, splitted from 
	(xml_print_globals), added more known tags.

	* boot.pl.in (xst_boot_conf_get): Use those new functions.
	(xst_boot_parse_global_kw): New function to parse global lilo.conf keyword.
	(xst_boot_parse_global): New function to parse global lilo variable.

2001-02-19  Chema Celorio  <chema@celorio.com>

	* be.pl.in (xst_buffer_save): remove this function it is
	duplicated in file.pl
	(xst_buffer_load): ditto
	(xst_buffer_clean): ditto

2001-02-19  Arturo Espinosa  <arturo@ximian.com>

	* network.pl: Ensure local host entry, by checking the internal
	  structures before writing. Run hostname.

2001-02-16  Hans Petter Jansson  <hpj@ximian.com>

	* report.pl.in: Make sure the same progress int is not printed twice.

2001-02-16  Hans Petter Jansson  <hpj@ximian.com>

	* platform.pl.in: Silence stderr output, disable early abort code.

2001-02-15  Arturo Espinosa  <arturo@ximian.com>

	* xml.pl.in: substitute &amp; entity too.

2001-02-13  Hans Petter Jansson  <hpj@ximian.com>

	* gen-reportcode-list.sh: Look in *.pl.in as well.
	* general.pl.in, platform.pl.in: Report fixups.

2001-02-12  Arturo Espinosa Aldama  <arturo@ximian.com>

	* network.pl.in: (xst_network_get_interface_{replace,parse}_table) added iface name support.
	
2001-02-12  Hans Petter Jansson  <hpj@ximian.com>

	* shares-conf.in: Fixed bug which would cause [global] section to
	  not be written in some cases.

2001-02-10  Arturo Espinosa Aldama  <arturo@ximian.com>

	* network.pl.in: (xst_network_get_interface_{replace,parse}_table) added wvdial support.
	  (xst_network_ensure_local_host_entry) changed name: added "network" prefix.
	  (xst_network_dialing_set) save the wvdial configuration.
	* network-conf.in: (xml_print_hash) a more general instance of xml_print_interfaces, to
	  handle both interfaces and dialing.
	  (xml_parse_dialing) parse the wvdial configuration from XML to internal hash.
	
2001-02-09  Hans Petter Jansson  <hpj@ximian.com>

	* *-conf.in: Added platform comparisons and die if necessary.

2001-02-09  Hans Petter Jansson  <hpj@ximian.com>

	* platform.pl.in: (xst_platform_ensure_supported): Implement.

2001-02-09  Hans Petter Jansson  <hpj@ximian.com>

	* *.in: Removed -*-perl-*- lines that were confusing Emacs.

2001-02-09  Arturo Espinosa <arturo@ximian.com>

	* network-conf.in: removed a bunch of set_* functions, whose functionality
	  already is in network.pl.in.
	* network.pl.in: almost finished, lots of bug fixes. added bootproto support.
	* replace.pl.in: xst_replace_chat implemented.
	* network.pl.in, replace.pl.in: fixed conflicts with new general function namings.
	* network.pl.in: (xst_network_dialing_get) wvdialer parsing support. Minor indentation fix.
	* parse.pl.in: fix to ini parser and new parser to get ini sections.
	* replace.pl.in: similar fix to ini replacer, and minor indentation fix.
	
2001-02-08  Hans Petter Jansson  <hpj@ximian.com>

	* shares-conf.in: Added missing dependency on service.pl.

2001-02-08  Tambet Ingo  <tambet@ximian.com>

	* boot.pl.in: New file.
	* boot-conf.in: Removed stuff which is in boot.pl.in.

2001-02-07  Hans Petter Jansson  <hpj@ximian.com>

	* be.pl.in, boot-conf.in, disks-conf.in, file.pl.in, 
	  gen-reportcode-list.sh, general.pl.in, guess_system.sh, 
	  hardware-conf.in, media.pl.in, memory-conf.in, 
	  nameresolution-conf.in, network-conf.in, network.pl.in, 
	  networking-conf.in, parse.pl.in, platform.pl.in, 
	  removable-media.pl.in, replace.pl.in, report.pl.in, 
	  service.pl.in, shares-conf.in, time-conf.in, users-conf.in,
	  util.pl.in, xml.pl.in: be_ -> xst_

2001-02-07  Hans Petter Jansson  <hpj@ximian.com>

	* be.pl.in: Refactored into obsoletion.

	* file.pl.in, general.pl.in, platform.pl.in, report.pl.in,
	  service.pl.in, util.pl.in, xml.pl.in: Added.

	* boot-conf.in, disks-conf.in, memory-conf.in,
	  network-conf.in, shares-conf.in, time-conf.in, users-conf.in,
	  media.pl.in, network.pl.in, parse.pl.in, replace.pl.in:
	  Removed dependency on be.pl. Added new dependencies.

	* Makefile.am: Removed be.pl from distribution (but not
	  build). Added new targets.

	* removable-media.pl.in: Added an XML skeleton. This file will
	  go away later, though.

2001-02-07  Hans Petter Jansson  <hpj@ximian.com>

	* network.pl.in: Separated the parse/replace tables from the rest
	  of the code. They are now returned by get_table functions that
	  pick the table depending on the platform.

2001-02-07  Hans Petter Jansson  <hpj@ximian.com>

	* be.pl.in: Redid the platform naming scheme, added switch for
	  manual override.

2001-02-06  Hans Petter Jansson  <hpj@ximian.com>

	* media.pl.in: (xst_media_xml_print): Implement.

2001-02-06  Hans Petter Jansson  <hpj@ximian.com>

	* be.pl.in: (be_xml_print_state): Implement.

2001-02-06  Tambet Ingo  <tambet@ximian.com>

	* boot-conf.in: Get some more stuff out of lilo.conf

2001-02-06  Hans Petter Jansson  <hpj@ximian.com>

	* shares-conf.in: Disabled scanning so that UI testing becomes
	  less of a pain. Will have to work out a switch to enable it
	  later.

2001-02-06  Hans Petter Jansson  <hpj@ximian.com>

	* Makefile.in: Added media.pl to the list of targets.

2001-02-06  Arturo Espinosa  <arturo@ximian.com>

	* replace.pl.in: xst_replace_join_hash, the last of the replacing
	  functions for network to be finished.
	* network-conf.in: bug in xml_parse_network for nameserver and 
	  searchdomain.
	* General bug fixes on all the new code and other parts.
	* All general network param writing is ready. Interfaces is the only 
	  missing.
	

2001-02-06  Arturo Espinosa  <arturo@ximian.com>

	* be.pl.in: be_buffer_clean, be_buffer_join_lines: new functions to
	  help with in-line editting.
	* network-conf.in: support for "auto" and "description" tags when
	  parsing: forgot these.
	* network.pl.in: xst_map_dist -> be_map_dist, pass the hash with
	  the configuration to the replace_with_table function.
	* replace.pl.in: Lots of code, for writing configuration. Partialy
	  tested, but hash replacing is missing still.

2001-02-05  Tambet Ingo  <tambet@ximian.com>

	* Makefile.am (backends): Added boot-conf into build

	* boot-conf.in: New file.

2001-02-05  Arturo Espinosa  <arturo@ximian.com>

	* be.pl.in: (be_buffer_{load,save}): load a file into an array buffer
	and save it back.
	(be_map_dist): moved from network.pl.in.
	* network.pl.in: minor & typos.
	* replace.pl.in: routines for in-line replacing.
	* Makefile.am: install replace routines.
	* .cvsignore: ignore replace routines .pl file.

2001-02-05  Hans Petter Jansson  <hpj@ximian.com>

	* parse.pl.in (xst_parse_split): Keep all tokens on line
	  associated with key.

	* media.pl.in: Added.

	* removable-media.pl.in: Added.

2001-02-04  Hans Petter Jansson  <hpj@ximian.com>

	* parse.pl.in (xst_parse_line_first): Stopped from losing return value.
	  Added & prefix to function call. Close file when done.
	* parse.pl.in (xst_parse_chat): Prevented $found from being global.
	  Close file when done.

2001-01-31  Tambet Ingo  <tambet@ximian.com>

	* users-conf.in (xml_print_nis): test function for nis.

2001-01-28  Arturo Espinosa  <arturo@ximian.com>

	* *-conf.in, *.pl.in: added emacs style directives.

2001-01-28  Hans Petter Jansson  <hpj@ximian.com>

	* be.pl.in: Added disaster recovery, with 9 rotated backups.
	  Removed some bogus debug output someone left behind.

2001-01-26  Arturo Espinosa  <arturo@ximian.com>

	* network-conf.in: parsing now follows the new hash structure.

2001-01-26  Chema Celorio  <chema@celorio.com>

	* be.pl.in: if $verbose, print the file name before it is
	opened

2001-01-25  Arturo Espinosa  <arturo@ximian.com>

	* new_network-conf.in, network.pl.in, parse.pl.in: completly new
	  network code and parsing routines.
	* network-conf.in: overwrote with new_network-conf.in and cvs
	  removing new_network-conf.in. Saving a backup, though.

2001-01-22  Arturo Espinosa  <arturo@ximian.com>

	* add_amp.sh: dumb program that fixes missing & when calling
	  functions in perl code.
	* *-conf.in and be.pl.in: passed through add_amp.sh.

2001-01-18  Chema Celorio  <chema@celorio.com>

	* TODO: deleted

2001-01-18  Arturo Espinosa <arturo@ximian.com>

	* be.pl.in: be_network_get_redhat now gives away more info. Same
	  should be done for debian and SuSE.
	* network-conf.in: be_ppp_get_phone_redhat is called from
	  be_network_get_redhat to obtain the phone pppd dials.
	
2001-01-17 Tambet Ingo  <tambet@ximian.com>

	* Changelog: fixed my revious wacky entry. 

2001-01-17  Arturo Espinosa <arturo@ximian.com>

	* network-conf.in: print and parse interface tags. Also bring up
	  or down network interfaces, and report their status when printing.
	
2001-01-16  Arturo Espinosa <arturo@ximian.com>

	* network-conf.in: network backend.
	* guess_system.sh: stolen from autoconf, a script to tell the
	system the backends are running on.
	* Makefile.am: install guess_system.sh where be.pl goes.
	* be.pl.in: need to replace ___scriptsdir___ here too, so I removed
	  be.pl and have this one for preprocessing.

2001-01-16  Tambet Ingo  <tambet@ximian.com>

	* memory-conf.in: Added debugging support. Got rid of hardcoded tool
	  locations, made it using be_locate_tool. Switched hardcoded 
	  /proc/meminfo to variable. Get all sizes in format %.1f to unify
	  with frontend.

2001-01-16  Chema Celorio  <chema@celorio.com>

	* time-conf.in (get_zone): when scanning for timezones
	only do a system "diff ..." if the file size matches the
	timezone we are looking for. This reduces loading time.

	* Added ChangeLog 
	
